View Issue Details

IDProjectCategoryView StatusLast Update
0022485LazarusOtherpublic2015-05-02 15:24
ReporterReinier OlislagersAssigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindows 
Summary0022485: ContextHelpDemo doesn't show proper help page & shows errors
Descriptionlazarus\components\chmhelp\democontrol\ContextHelpDemo.lpi

1. Starting lhelp using F1 in the Tedits or the button gives "Help Viewer Error", lhelp does not respond. lhelp is shown, but with the main page, not the correct pages.
2. Once lhelp is running, pressing F1 in the second Tedit or clicking the button should, as I understand, give the second help page/the Lazarus info page, but those are not shown. Instead, the main page is shown (even if you were on a different page).
Tagschm, lhelp, patch
Fixed in Revisionr46156
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0027981 resolvedJuha Manninen Error-Message lHelp-Viewer 

Activities

Mattias Gaertner

2012-07-22 12:41

manager   ~0061183

I fixed the second issue.

Reinier Olislagers

2012-07-22 13:51

developer   ~0061184

Thanks, confirmed.

Reinier Olislagers

2012-08-27 04:58

developer   ~0061927

Last edited: 2014-05-09 11:31

View 2 revisions

First issue Help Viewer Error/lhelp does not respond still present in r38340 and r44972

Reinier Olislagers

2014-09-05 09:48

developer   ~0076903

Currently only left:
Starting lhelp (using F1 in the Tedits or the button) gives "Help Viewer Error", lhelp does not respond.

Can't figure out what the reason is - as lhelp now loads the proper page it should send back a success result code which should be processed ok.
This error does not occur in Laz IDE CHM help itself either...!??!

Reinier Olislagers

2014-09-06 14:48

developer   ~0076940

Attached patch fixes the problem on my system (and I suspect for others):
* LHelp: remove debug info in default mode, enable smartlinking, strip. There is a debug build mode already present that can be used for debugging
* Replace fixed iteration # timeout in wait loop for getting response from lhelp with time based version (10 seconds): if lhelp doesn't respond within that time, it's unlikely the user will be able to use it effectively.
* lazhelpchm.pas: follow help protocol description already implemented in IDE help that uses processID in IPC name to minimize chance of conflict between multiple instances
* Some additional debugln diagnostic logging
* LHelp demo package: separate instructions that user needs before running from background info
* Cosmetic changes, updated readme to follow naming/defaults for current Lazarus

Juha Manninen

2014-09-06 17:55

developer   ~0076942

No patch.

Reinier Olislagers

2014-09-07 08:47

developer  

help.diff (176,376 bytes)   
Index: components/chmhelp/README.txt
===================================================================
--- components/chmhelp/README.txt	(revision 46146)
+++ components/chmhelp/README.txt	(working copy)
@@ -35,20 +35,18 @@
     http://sourceforge.net/projects/freepascal/files/Documentation/
     the lcl.chm, rtl.chm, fcl.chm, prog.chm from
     http://www.stack.nl/~marcov/doc-chm.zip
-    or a daily snapshot from
-    ftp://freepascal.dfmk.hu/pub/lazarus/snapshots/
 
     HelpLabel Name and Tag do not need to be altered.
     The HelpLabel is the name of the named pipe that lazarus will use to communicate with lhelp.
 
-7 ) Configure the DataBases
+7 ) Configure the Databases
 
-    Choose the DataBases tab.
+    Choose the Databases tab.
 
     RTLUnits:
-    this should be "rtl.chm://"
+    Leave it empty to use the default: "rtl.chm://"
     FCLUnits:
-    this should be "fcl.chm://"
+    Leave it empty to use the default: "fcl.chm://"
 
     NOTE if you have only a single lcl-fcl-rtl.chm file then paths become:
     "lcl-fcl-rtl.chm://rtl/"
Index: components/chmhelp/democontrol/ctxchmhelpunit1.lfm
===================================================================
--- components/chmhelp/democontrol/ctxchmhelpunit1.lfm	(revision 46146)
+++ components/chmhelp/democontrol/ctxchmhelpunit1.lfm	(working copy)
@@ -7,10 +7,10 @@
   ClientHeight = 239
   ClientWidth = 359
   OnCreate = FormCreate
-  LCLVersion = '1.1'
+  LCLVersion = '1.3'
   object Edit1: TEdit
     Left = 71
-    Height = 25
+    Height = 21
     Top = 72
     Width = 225
     HelpType = htKeyword
@@ -20,7 +20,7 @@
   end
   object Edit2: TEdit
     Left = 71
-    Height = 25
+    Height = 21
     Top = 128
     Width = 224
     HelpType = htKeyword
@@ -30,7 +30,7 @@
   end
   object ShowHelpButton: TButton
     Left = 70
-    Height = 27
+    Height = 23
     Top = 20
     Width = 105
     AutoSize = True
Index: components/chmhelp/democontrol/ctxchmhelpunit1.pas
===================================================================
--- components/chmhelp/democontrol/ctxchmhelpunit1.pas	(revision 46146)
+++ components/chmhelp/democontrol/ctxchmhelpunit1.pas	(working copy)
@@ -7,13 +7,22 @@
 
   TLHelpConnector starts "lhelp" a chm viewer written in pure pascal.
 
+How to run this program
+    Make sure the example.chm file is created
+    You can create the example.chm with
+    ../../../tools/chmaker/chmmaker.lpi
+    (see the README.txt in the chmmaker directory).
+
+    Run the program.
+
+    Focus the edit field and press F1. lhelp will be started. lhelp will load
+    example.chm and shows the page MainPage.html.
+
 How was the example created:
     Put a TCHMHelpDatabase on a form.
     Set AutoRegister to true.
     Set KeywordPrefix to 'example'
     Set Filename to the path of the chm file '../../../tools/chmaker/example.chm'
-    You can create the example.chm with chmmaker (see the REDAME.txt
-    in the chmmaker directory).
 
     Put a TLHelpConnector on the form.
     Set AutoRegister to true.
@@ -22,10 +31,6 @@
     Put a TEdit on a form.
     Set HelpType to htKeyword
     Set HelpKeyword to 'example/MainPage.html'
-
-    Run the program.
-    Focus the edit field and press F1. lhelp will be started. lhelp will load
-    example.chm and shows the page MainPage.html.
 }
 unit CtxCHMHelpUnit1;
 
Index: components/chmhelp/lhelp/lhelp.lpi
===================================================================
--- components/chmhelp/lhelp/lhelp.lpi	(revision 46146)
+++ components/chmhelp/lhelp/lhelp.lpi	(working copy)
@@ -82,7 +82,6 @@
       <Unit1>
         <Filename Value="chmdataprovider.pas"/>
         <IsPartOfProject Value="True"/>
-        <UnitName Value="ChmDataProvider"/>
       </Unit1>
       <Unit2>
         <Filename Value="chmspecialparser.pas"/>
@@ -113,7 +112,6 @@
       <Unit7>
         <Filename Value="chmcontentprovider.pas"/>
         <IsPartOfProject Value="True"/>
-        <UnitName Value="chmcontentprovider"/>
       </Unit7>
       <Unit8>
         <Filename Value="httpcontentprovider.pas"/>
@@ -141,6 +139,10 @@
       </Optimizations>
     </CodeGeneration>
     <Linking>
+      <Debugging>
+        <GenerateDebugInfo Value="False"/>
+        <StripSymbols Value="True"/>
+      </Debugging>
       <Options>
         <Win32>
           <GraphicApplication Value="True"/>
Index: components/chmhelp/lhelp/lhelpcore.pas
===================================================================
--- components/chmhelp/lhelp/lhelpcore.pas	(revision 46146)
+++ components/chmhelp/lhelp/lhelpcore.pas	(working copy)
@@ -540,6 +540,7 @@
     end;
     if (URL<>'') and (Res = Ord(srSuccess)) then
       AddRecentFile(Url);
+    debugln('Going to send TLHelpResponse code: '+inttostr(Res));
     SendResponse(Res);
     if MustClose then
     begin
Index: components/chmhelp/packages/help/lazhelpchm.pas
===================================================================
--- components/chmhelp/packages/help/lazhelpchm.pas	(revision 46146)
+++ components/chmhelp/packages/help/lazhelpchm.pas	(working copy)
@@ -184,8 +184,14 @@
   end;
 
   if Connection.ServerRunning = false then begin
-    IPCFile:=ExtractFileName(Application.ExeName);
-    IPCFile+='lhelpconnector';
+    // Use '_lhlpctl_' in case application developer uses SimpleIPC
+    // and also uses the exe name followed by the process ID.
+    // Follow help protocol specs defined in
+    // http://wiki.lazarus.freepascal.org/Help_protocol
+    // Use process id in order to avoid conflicts when multiple entries are running
+    IPCFile:=LowerCase(ExtractFileName(Application.ExeName))+
+      '_lhlpctl_'+
+      copy(inttostr(GetProcessID)+'00000',1,5);
     {$IFDEF Unix}
     if FileExistsUTF8('/tmp/'+IPCFile) then
       DeleteFileUTF8('/tmp/'+IPCFile);
Index: components/chmhelp/packages/help/lhelpcontrol.pas
===================================================================
--- components/chmhelp/packages/help/lhelpcontrol.pas	(revision 46146)
+++ components/chmhelp/packages/help/lhelpcontrol.pas	(working copy)
@@ -97,14 +97,24 @@
 { TLHelpConnection }
 
 function TLHelpConnection.WaitForMsgResponse: TLHelpResponse;
+const
+  // This value should be big enough to give any reasonable help system time to
+  // respond.
+  // If it does respond but takes longer, the delay should be irritating for the
+  // typical user so it then isn't fit for purpose.
+  TimeoutSecs=10;
 var
+  Iterations: integer;
   Stream: TStream;
-  WaitTime: Integer = 5000;
+  StartTime: TDateTime;
+  TimeOut: TDateTime;
 begin
   Result := srNoAnswer;
-  while WaitTime >= 0 do
+  TimeOut := EncodeTime(0,0,TimeOutSecs,0);
+  StartTime := Now;
+  while (Now-StartTime)<TimeOut do
   begin
-    Dec(WaitTime, 50);
+    Inc(Iterations);
     if fServerIn.PeekMessage(50, True) then
     begin
       Stream := fServerIn.MsgData;
@@ -114,6 +124,7 @@
     end;
     if Assigned(FProcessWhileWaiting) then FProcessWhileWaiting();
   end;
+  debugln('LHelpControl: WaitForMsgResponse: hit timeout ('+inttostr(TimeoutSecs)+')');
 end;
 
 function TLHelpConnection.SendMessage(Stream: TStream): TLHelpResponse;
@@ -215,6 +226,7 @@
       InheritHandles := false;
       ShowWindow:=swoShowNormal;
       CommandLine := Cmd;
+      debugln('LHelpControl: going to start help server by executing '+Cmd);
       Execute;
       Free;
     end;
@@ -243,7 +255,7 @@
     UrlRequest.FileRequest.FileName := HelpFileName+#0;
     UrlRequest.FileRequest.RequestType := rtURL;
     UrlRequest.Url := Url+#0;
-    Result:=srNoAnswer;
+    Result := srNoAnswer;
     try
       Stream.Write(UrlRequest,SizeOf(UrlRequest));
       Result := SendMessage(Stream);
Index: components/chmhelp/packages/idehelp/lazchmhelp.pas
===================================================================
--- components/chmhelp/packages/idehelp/lazchmhelp.pas	(revision 46146)
+++ components/chmhelp/packages/idehelp/lazchmhelp.pas	(working copy)
@@ -310,8 +310,8 @@
 function TChmHelpViewer.PassTheBuck(Node: THelpNode; var ErrMsg: string
   ): TShowHelpResult;
 var
- I: Integer;
- Viewer: THelpViewer;
+  I: Integer;
+  Viewer: THelpViewer;
 begin
   Result := shrViewerNotFound;
   ErrMsg := 'Attempted to find viewer for "'+ Node.URL + '" failed.';
@@ -522,7 +522,10 @@
 
   case Res of
     srSuccess: Result := shrSuccess;
-    srNoAnswer: Result := shrSuccess;
+    srNoAnswer: begin
+      Result := shrHelpNotFound;
+      ErrMsg := 'No answer from help viewer for URL '+URL;
+    end;
     srInvalidContext: begin
       Result := shrNone;
       ErrMsg := 'Invalid context showing '+URL;
Index: components/codetools/ide/languages/codystrconsts.de.po
===================================================================
--- components/codetools/ide/languages/codystrconsts.de.po	(revision 46146)
+++ components/codetools/ide/languages/codystrconsts.de.po	(working copy)
@@ -308,14 +308,6 @@
 msgid "(Filter)"
 msgstr "(Filter)"
 
-#: codystrconsts.crsfindgdbbacktraceline
-msgid "Find GDB backtrace line"
-msgstr ""
-
-#: codystrconsts.crsfindsourceofgdbbacktrace
-msgid "Find source of GDB backtrace"
-msgstr ""
-
 #: codystrconsts.crsflags
 msgid "Flags"
 msgstr ""
@@ -385,10 +377,6 @@
 msgid "Insert File Contents at Cursor ..."
 msgstr ""
 
-#: codystrconsts.crsjump
-msgid "Jump"
-msgstr ""
-
 #: codystrconsts.crsjumpto
 msgid "&Jump to"
 msgstr "Springe zu"
@@ -497,10 +485,6 @@
 msgid "Package with same name"
 msgstr ""
 
-#: codystrconsts.crspastelinesofagdbbacktrace
-msgid "Paste lines of a gdb backtrace:"
-msgstr ""
-
 #: codystrconsts.crspleaseopenaprojectfirst
 msgid "Please open a project first."
 msgstr ""
@@ -605,10 +589,6 @@
 msgid "Show CodeTools Node Info ..."
 msgstr ""
 
-#: codystrconsts.crsshowcodydict
-msgid "Show Cody Dictionary for \"%s\""
-msgstr ""
-
 #: codystrconsts.crsshowonlyidentifierscontainingfiltertext
 msgid "Show only identifiers containing filter text"
 msgstr ""
Index: components/codetools/ide/languages/codystrconsts.it.po
===================================================================
--- components/codetools/ide/languages/codystrconsts.it.po	(revision 46146)
+++ components/codetools/ide/languages/codystrconsts.it.po	(working copy)
@@ -308,14 +308,6 @@
 msgid "(Filter)"
 msgstr ""
 
-#: codystrconsts.crsfindgdbbacktraceline
-msgid "Find GDB backtrace line"
-msgstr ""
-
-#: codystrconsts.crsfindsourceofgdbbacktrace
-msgid "Find source of GDB backtrace"
-msgstr ""
-
 #: codystrconsts.crsflags
 msgid "Flags"
 msgstr ""
@@ -385,10 +377,6 @@
 msgid "Insert File Contents at Cursor ..."
 msgstr ""
 
-#: codystrconsts.crsjump
-msgid "Jump"
-msgstr ""
-
 #: codystrconsts.crsjumpto
 msgid "&Jump to"
 msgstr ""
@@ -497,10 +485,6 @@
 msgid "Package with same name"
 msgstr ""
 
-#: codystrconsts.crspastelinesofagdbbacktrace
-msgid "Paste lines of a gdb backtrace:"
-msgstr ""
-
 #: codystrconsts.crspleaseopenaprojectfirst
 msgid "Please open a project first."
 msgstr "Aprire un progetto prima."
@@ -607,10 +591,6 @@
 msgid "Show CodeTools Node Info ..."
 msgstr ""
 
-#: codystrconsts.crsshowcodydict
-msgid "Show Cody Dictionary for \"%s\""
-msgstr ""
-
 #: codystrconsts.crsshowonlyidentifierscontainingfiltertext
 msgid "Show only identifiers containing filter text"
 msgstr ""
Index: components/codetools/ide/languages/codystrconsts.lt.po
===================================================================
--- components/codetools/ide/languages/codystrconsts.lt.po	(revision 46146)
+++ components/codetools/ide/languages/codystrconsts.lt.po	(working copy)
@@ -310,14 +310,6 @@
 msgid "(Filter)"
 msgstr "(Filtras)"
 
-#: codystrconsts.crsfindgdbbacktraceline
-msgid "Find GDB backtrace line"
-msgstr ""
-
-#: codystrconsts.crsfindsourceofgdbbacktrace
-msgid "Find source of GDB backtrace"
-msgstr ""
-
 #: codystrconsts.crsflags
 msgid "Flags"
 msgstr "Žymės"
@@ -387,10 +379,6 @@
 msgid "Insert File Contents at Cursor ..."
 msgstr "Žymekliu įterpti failo turinį…"
 
-#: codystrconsts.crsjump
-msgid "Jump"
-msgstr ""
-
 #: codystrconsts.crsjumpto
 msgid "&Jump to"
 msgstr "&Šokti į"
@@ -499,10 +487,6 @@
 msgid "Package with same name"
 msgstr "Paketas tuo pačiu pavadinimu"
 
-#: codystrconsts.crspastelinesofagdbbacktrace
-msgid "Paste lines of a gdb backtrace:"
-msgstr ""
-
 #: codystrconsts.crspleaseopenaprojectfirst
 msgid "Please open a project first."
 msgstr "Pirma atverkite projektą."
@@ -607,10 +591,6 @@
 msgid "Show CodeTools Node Info ..."
 msgstr "Rodyti informaciją apie CodeTools mazgą…"
 
-#: codystrconsts.crsshowcodydict
-msgid "Show Cody Dictionary for \"%s\""
-msgstr ""
-
 #: codystrconsts.crsshowonlyidentifierscontainingfiltertext
 msgid "Show only identifiers containing filter text"
 msgstr "Rodyti tik tuos identifikatorius, kuriuose yra filtro tekstas"
Index: components/codetools/ide/languages/codystrconsts.po
===================================================================
--- components/codetools/ide/languages/codystrconsts.po	(revision 46146)
+++ components/codetools/ide/languages/codystrconsts.po	(working copy)
@@ -300,14 +300,6 @@
 msgid "(Filter)"
 msgstr ""
 
-#: codystrconsts.crsfindgdbbacktraceline
-msgid "Find GDB backtrace line"
-msgstr ""
-
-#: codystrconsts.crsfindsourceofgdbbacktrace
-msgid "Find source of GDB backtrace"
-msgstr ""
-
 #: codystrconsts.crsflags
 msgid "Flags"
 msgstr ""
@@ -377,10 +369,6 @@
 msgid "Insert File Contents at Cursor ..."
 msgstr ""
 
-#: codystrconsts.crsjump
-msgid "Jump"
-msgstr ""
-
 #: codystrconsts.crsjumpto
 msgid "&Jump to"
 msgstr ""
@@ -489,10 +477,6 @@
 msgid "Package with same name"
 msgstr ""
 
-#: codystrconsts.crspastelinesofagdbbacktrace
-msgid "Paste lines of a gdb backtrace:"
-msgstr ""
-
 #: codystrconsts.crspleaseopenaprojectfirst
 msgid "Please open a project first."
 msgstr ""
@@ -597,10 +581,6 @@
 msgid "Show CodeTools Node Info ..."
 msgstr ""
 
-#: codystrconsts.crsshowcodydict
-msgid "Show Cody Dictionary for \"%s\""
-msgstr ""
-
 #: codystrconsts.crsshowonlyidentifierscontainingfiltertext
 msgid "Show only identifiers containing filter text"
 msgstr ""
Index: components/codetools/ide/languages/codystrconsts.pt_BR.po
===================================================================
--- components/codetools/ide/languages/codystrconsts.pt_BR.po	(revision 46146)
+++ components/codetools/ide/languages/codystrconsts.pt_BR.po	(working copy)
@@ -316,14 +316,6 @@
 msgid "(Filter)"
 msgstr "(Filtro)"
 
-#: codystrconsts.crsfindgdbbacktraceline
-msgid "Find GDB backtrace line"
-msgstr ""
-
-#: codystrconsts.crsfindsourceofgdbbacktrace
-msgid "Find source of GDB backtrace"
-msgstr ""
-
 #: codystrconsts.crsflags
 msgid "Flags"
 msgstr "Flags"
@@ -394,10 +386,6 @@
 msgid "Insert File Contents at Cursor ..."
 msgstr "Inserir conteúdo do arquivo na posição do cursor ..."
 
-#: codystrconsts.crsjump
-msgid "Jump"
-msgstr ""
-
 #: codystrconsts.crsjumpto
 #| msgid "Jump to"
 msgid "&Jump to"
@@ -508,10 +496,6 @@
 msgid "Package with same name"
 msgstr "Pacote com mesmo nome"
 
-#: codystrconsts.crspastelinesofagdbbacktrace
-msgid "Paste lines of a gdb backtrace:"
-msgstr ""
-
 #: codystrconsts.crspleaseopenaprojectfirst
 msgid "Please open a project first."
 msgstr "Favor abrir um projeto primeiro."
@@ -618,10 +602,6 @@
 msgid "Show CodeTools Node Info ..."
 msgstr "Exibir info. do nó das ferramentas de código ..."
 
-#: codystrconsts.crsshowcodydict
-msgid "Show Cody Dictionary for \"%s\""
-msgstr ""
-
 #: codystrconsts.crsshowonlyidentifierscontainingfiltertext
 msgid "Show only identifiers containing filter text"
 msgstr "Exibir apenas identificadores contendo o texto do filtro"
Index: components/codetools/ide/languages/codystrconsts.ru.po
===================================================================
--- components/codetools/ide/languages/codystrconsts.ru.po	(revision 46146)
+++ components/codetools/ide/languages/codystrconsts.ru.po	(working copy)
@@ -315,14 +315,6 @@
 msgid "(Filter)"
 msgstr "(Фильтр)"
 
-#: codystrconsts.crsfindgdbbacktraceline
-msgid "Find GDB backtrace line"
-msgstr "Найти строку кода для стека вызовов GDB"
-
-#: codystrconsts.crsfindsourceofgdbbacktrace
-msgid "Find source of GDB backtrace"
-msgstr "Поиск строк исходного кода для стека вызовов GDB"
-
 #: codystrconsts.crsflags
 msgid "Flags"
 msgstr "Флаги"
@@ -394,10 +386,6 @@
 msgid "Insert File Contents at Cursor ..."
 msgstr "Вставить содержимое файла в месте расположения курсора ..."
 
-#: codystrconsts.crsjump
-msgid "Jump"
-msgstr "Перейти"
-
 #: codystrconsts.crsjumpto
 #| msgid "Jump to"
 msgid "&Jump to"
@@ -508,10 +496,6 @@
 msgid "Package with same name"
 msgstr "Пакет с тем же именем"
 
-#: codystrconsts.crspastelinesofagdbbacktrace
-msgid "Paste lines of a gdb backtrace:"
-msgstr "Вставьте строки стека вызовов GDB:"
-
 #: codystrconsts.crspleaseopenaprojectfirst
 msgid "Please open a project first."
 msgstr "Сначала необходимо открыть проект."
@@ -619,10 +603,6 @@
 msgid "Show CodeTools Node Info ..."
 msgstr "Показать сведения об элементе CodeTools ..."
 
-#: codystrconsts.crsshowcodydict
-msgid "Show Cody Dictionary for \"%s\""
-msgstr "Показать словарь идентификаторов для \"%s\""
-
 #: codystrconsts.crsshowonlyidentifierscontainingfiltertext
 msgid "Show only identifiers containing filter text"
 msgstr "Показывать только идентификаторы, содержащие текст фильтра"
Index: components/codetools/ide/languages/codystrconsts.uk.po
===================================================================
--- components/codetools/ide/languages/codystrconsts.uk.po	(revision 46146)
+++ components/codetools/ide/languages/codystrconsts.uk.po	(working copy)
@@ -318,14 +318,6 @@
 msgid "(Filter)"
 msgstr ""
 
-#: codystrconsts.crsfindgdbbacktraceline
-msgid "Find GDB backtrace line"
-msgstr ""
-
-#: codystrconsts.crsfindsourceofgdbbacktrace
-msgid "Find source of GDB backtrace"
-msgstr ""
-
 #: codystrconsts.crsflags
 msgid "Flags"
 msgstr "Прапорці"
@@ -397,10 +389,6 @@
 msgid "Insert File Contents at Cursor ..."
 msgstr "Вставити файл під курсором ..."
 
-#: codystrconsts.crsjump
-msgid "Jump"
-msgstr ""
-
 #: codystrconsts.crsjumpto
 msgid "&Jump to"
 msgstr ""
@@ -509,10 +497,6 @@
 msgid "Package with same name"
 msgstr ""
 
-#: codystrconsts.crspastelinesofagdbbacktrace
-msgid "Paste lines of a gdb backtrace:"
-msgstr ""
-
 #: codystrconsts.crspleaseopenaprojectfirst
 msgid "Please open a project first."
 msgstr "Спочатку відкрийте проект."
@@ -621,10 +605,6 @@
 msgid "Show CodeTools Node Info ..."
 msgstr "Показати інфо про вузол CodeTools ..."
 
-#: codystrconsts.crsshowcodydict
-msgid "Show Cody Dictionary for \"%s\""
-msgstr ""
-
 #: codystrconsts.crsshowonlyidentifierscontainingfiltertext
 msgid "Show only identifiers containing filter text"
 msgstr ""
Index: components/dbexport/languages/sdb_consts.cs.po
===================================================================
--- components/dbexport/languages/sdb_consts.cs.po	(revision 46146)
+++ components/dbexport/languages/sdb_consts.cs.po	(working copy)
@@ -76,8 +76,8 @@
 
 #: sdb_consts.snrecordsexported
 #, fuzzy
-#| msgid "Succesfully exported %d records."
-msgid "Successfully exported %d records."
+#| msgid "Successfully exported %d records."
+msgid "Succesfully exported %d records."
 msgstr "Úspěšně exportováno %d položek."
 
 #: sdb_consts.sprogress
Index: components/dbexport/languages/sdb_consts.de.po
===================================================================
--- components/dbexport/languages/sdb_consts.de.po	(revision 46146)
+++ components/dbexport/languages/sdb_consts.de.po	(working copy)
@@ -77,8 +77,8 @@
 
 #: sdb_consts.snrecordsexported
 #, fuzzy
-#| msgid "Succesfully exported %d records."
-msgid "Successfully exported %d records."
+#| msgid "Successfully exported %d records."
+msgid "Succesfully exported %d records."
 msgstr "%d Datensätze erfolgreich exportiert."
 
 #: sdb_consts.sprogress
Index: components/dbexport/languages/sdb_consts.hu.po
===================================================================
--- components/dbexport/languages/sdb_consts.hu.po	(revision 46146)
+++ components/dbexport/languages/sdb_consts.hu.po	(working copy)
@@ -76,7 +76,9 @@
 msgstr "Végrehajtás ..."
 
 #: sdb_consts.snrecordsexported
-msgid "Successfully exported %d records."
+#, fuzzy
+#| msgid "Successfully exported %d records."
+msgid "Succesfully exported %d records."
 msgstr "%d rekord sikeresen exportálva."
 
 #: sdb_consts.sprogress
Index: components/dbexport/languages/sdb_consts.it.po
===================================================================
--- components/dbexport/languages/sdb_consts.it.po	(revision 46146)
+++ components/dbexport/languages/sdb_consts.it.po	(working copy)
@@ -78,8 +78,8 @@
 
 #: sdb_consts.snrecordsexported
 #, fuzzy
-#| msgid "Succesfully exported %d records."
-msgid "Successfully exported %d records."
+#| msgid "Successfully exported %d records."
+msgid "Succesfully exported %d records."
 msgstr "Esportati %d record con successo."
 
 #: sdb_consts.sprogress
Index: components/dbexport/languages/sdb_consts.lt.po
===================================================================
--- components/dbexport/languages/sdb_consts.lt.po	(revision 46146)
+++ components/dbexport/languages/sdb_consts.lt.po	(working copy)
@@ -78,8 +78,8 @@
 
 #: sdb_consts.snrecordsexported
 #, fuzzy
-#| msgid "Succesfully exported %d records."
-msgid "Successfully exported %d records."
+#| msgid "Successfully exported %d records."
+msgid "Succesfully exported %d records."
 msgstr "Sėkmingai eksportuota laukų: %s."
 
 #: sdb_consts.sprogress
Index: components/dbexport/languages/sdb_consts.po
===================================================================
--- components/dbexport/languages/sdb_consts.po	(revision 46146)
+++ components/dbexport/languages/sdb_consts.po	(working copy)
@@ -66,7 +66,7 @@
 msgstr ""
 
 #: sdb_consts.snrecordsexported
-msgid "Successfully exported %d records."
+msgid "Succesfully exported %d records."
 msgstr ""
 
 #: sdb_consts.sprogress
Index: components/dbexport/languages/sdb_consts.pt_BR.po
===================================================================
--- components/dbexport/languages/sdb_consts.pt_BR.po	(revision 46146)
+++ components/dbexport/languages/sdb_consts.pt_BR.po	(working copy)
@@ -77,8 +77,8 @@
 
 #: sdb_consts.snrecordsexported
 #, fuzzy
-#| msgid "Succesfully exported %d records."
-msgid "Successfully exported %d records."
+#| msgid "Successfully exported %d records."
+msgid "Succesfully exported %d records."
 msgstr "Registros exportados com sucesso %d."
 
 #: sdb_consts.sprogress
Index: components/dbexport/languages/sdb_consts.ru.po
===================================================================
--- components/dbexport/languages/sdb_consts.ru.po	(revision 46146)
+++ components/dbexport/languages/sdb_consts.ru.po	(working copy)
@@ -75,8 +75,9 @@
 msgstr "Выполнение ..."
 
 #: sdb_consts.snrecordsexported
-#| msgid "Succesfully exported %d records."
-msgid "Successfully exported %d records."
+#, fuzzy
+#| msgid "Successfully exported %d records."
+msgid "Succesfully exported %d records."
 msgstr "Экспорт записей (%d шт.) успешно завершён."
 
 #: sdb_consts.sprogress
Index: components/dbexport/languages/sdb_consts.uk.po
===================================================================
--- components/dbexport/languages/sdb_consts.uk.po	(revision 46146)
+++ components/dbexport/languages/sdb_consts.uk.po	(working copy)
@@ -79,8 +79,8 @@
 
 #: sdb_consts.snrecordsexported
 #, fuzzy
-#| msgid "Succesfully exported %d records."
-msgid "Successfully exported %d records."
+#| msgid "Successfully exported %d records."
+msgid "Succesfully exported %d records."
 msgstr "Успішно експортовано %d записів."
 
 #: sdb_consts.sprogress
Index: components/fpweb/languages/weblazideintf.cs.po
===================================================================
--- components/fpweb/languages/weblazideintf.cs.po	(revision 46146)
+++ components/fpweb/languages/weblazideintf.cs.po	(working copy)
@@ -57,38 +57,6 @@
 msgid "HTML WEB Module%sA Web datamodule for producing strict HTML."
 msgstr "Webový HTML modul%sWebový modul pro vytváření přísného HTML."
 
-#: weblazideintf.rshttpappli
-msgid "HTTP server Application"
-msgstr ""
-
-#: weblazideintf.rshttpappli2
-msgid "HTTP server Application. Complete HTTP Server program in Free Pascal using webmodules. The program source is automatically maintained by Lazarus."
-msgstr ""
-
-#: weblazideintf.rswebdataprovi
-msgid "Web DataProvider Module"
-msgstr ""
-
-#: weblazideintf.rswebdataprovi2
-msgid "WEB DataProvider Module%sA datamodule to handle data requests for WEB (HTTP) applications using WebDataProvider components."
-msgstr ""
-
-#: weblazideintf.rswebextdirect
-msgid "Web Ext.Direct Module"
-msgstr ""
-
-#: weblazideintf.rswebextdirect2
-msgid "WEB Ext.Direct Module%sA datamodule to dispatch Ext.Direct requests in WEB (HTTP) applications using TJSONRPCHandler components."
-msgstr ""
-
-#: weblazideintf.rswebjsonrpcmo
-msgid "Web JSON-RPC Module"
-msgstr ""
-
-#: weblazideintf.rswebjsonrpcmo2
-msgid "WEB JSON-RPC Module%sA datamodule to dispatch JSON-RPC requests in WEB (HTTP) applications using TJSONRPCHandler components."
-msgstr ""
-
 #: weblazideintf.rswebmodule
 msgid "Web Module"
 msgstr "Webový modul"
Index: components/fpweb/languages/weblazideintf.hu.po
===================================================================
--- components/fpweb/languages/weblazideintf.hu.po	(revision 46146)
+++ components/fpweb/languages/weblazideintf.hu.po	(working copy)
@@ -59,38 +59,6 @@
 msgid "HTML WEB Module%sA Web datamodule for producing strict HTML."
 msgstr "HTML WEB modul%sEgy web adatmodul szigorú HTML létrehozására."
 
-#: weblazideintf.rshttpappli
-msgid "HTTP server Application"
-msgstr "HTTP kiszolgáló alkalmazás"
-
-#: weblazideintf.rshttpappli2
-msgid "HTTP server Application. Complete HTTP Server program in Free Pascal using webmodules. The program source is automatically maintained by Lazarus."
-msgstr "HTTP kiszolgáló alkalmazás. Teljes HTTP kiszolgáló program Free Pascal-ban webmodulok használatával. Az program forráskódját a Lazarus automatikusan karbantartja."
-
-#: weblazideintf.rswebdataprovi
-msgid "Web DataProvider Module"
-msgstr "Web adatszolgáltató modul"
-
-#: weblazideintf.rswebdataprovi2
-msgid "WEB DataProvider Module%sA datamodule to handle data requests for WEB (HTTP) applications using WebDataProvider components."
-msgstr "WEB adatszolgáltató modul%sEgy adatmodul WEB (HTTP) alkalmazások számára az adatkérések kezelésére WebDataProvider komponensek haszálatával."
-
-#: weblazideintf.rswebextdirect
-msgid "Web Ext.Direct Module"
-msgstr "Web Ext.Direct modul"
-
-#: weblazideintf.rswebextdirect2
-msgid "WEB Ext.Direct Module%sA datamodule to dispatch Ext.Direct requests in WEB (HTTP) applications using TJSONRPCHandler components."
-msgstr "Web Ext.Direct modul%sEgy adatmodul, mely WEB (HTTP) alkalmazásokban az Ext.Direct kéréseket kezeli TJSONRPCHandler komponensek használatával."
-
-#: weblazideintf.rswebjsonrpcmo
-msgid "Web JSON-RPC Module"
-msgstr "Web JSON-RPC modul"
-
-#: weblazideintf.rswebjsonrpcmo2
-msgid "WEB JSON-RPC Module%sA datamodule to dispatch JSON-RPC requests in WEB (HTTP) applications using TJSONRPCHandler components."
-msgstr "Web JSON-RPC modul%sEgy adatmodul, mely WEB (HTTP) alkalmazásokban a JSON-RPC kéréseket kezeli TJSONRPCHandler komponensek használatával."
-
 #: weblazideintf.rswebmodule
 msgid "Web Module"
 msgstr "Web modul"
Index: components/fpweb/languages/weblazideintf.it.po
===================================================================
--- components/fpweb/languages/weblazideintf.it.po	(revision 46146)
+++ components/fpweb/languages/weblazideintf.it.po	(working copy)
@@ -58,38 +58,6 @@
 msgid "HTML WEB Module%sA Web datamodule for producing strict HTML."
 msgstr "Modulo web HTML%sUn modulo dati web che produce HTML stretto."
 
-#: weblazideintf.rshttpappli
-msgid "HTTP server Application"
-msgstr ""
-
-#: weblazideintf.rshttpappli2
-msgid "HTTP server Application. Complete HTTP Server program in Free Pascal using webmodules. The program source is automatically maintained by Lazarus."
-msgstr ""
-
-#: weblazideintf.rswebdataprovi
-msgid "Web DataProvider Module"
-msgstr ""
-
-#: weblazideintf.rswebdataprovi2
-msgid "WEB DataProvider Module%sA datamodule to handle data requests for WEB (HTTP) applications using WebDataProvider components."
-msgstr ""
-
-#: weblazideintf.rswebextdirect
-msgid "Web Ext.Direct Module"
-msgstr ""
-
-#: weblazideintf.rswebextdirect2
-msgid "WEB Ext.Direct Module%sA datamodule to dispatch Ext.Direct requests in WEB (HTTP) applications using TJSONRPCHandler components."
-msgstr ""
-
-#: weblazideintf.rswebjsonrpcmo
-msgid "Web JSON-RPC Module"
-msgstr ""
-
-#: weblazideintf.rswebjsonrpcmo2
-msgid "WEB JSON-RPC Module%sA datamodule to dispatch JSON-RPC requests in WEB (HTTP) applications using TJSONRPCHandler components."
-msgstr ""
-
 #: weblazideintf.rswebmodule
 msgid "Web Module"
 msgstr "Modulo Web"
Index: components/fpweb/languages/weblazideintf.lt.po
===================================================================
--- components/fpweb/languages/weblazideintf.lt.po	(revision 46146)
+++ components/fpweb/languages/weblazideintf.lt.po	(working copy)
@@ -59,38 +59,6 @@
 msgid "HTML WEB Module%sA Web datamodule for producing strict HTML."
 msgstr "HTML saityno modulis%sSaityno duomenų modulis griežto HTML kūrimui,"
 
-#: weblazideintf.rshttpappli
-msgid "HTTP server Application"
-msgstr ""
-
-#: weblazideintf.rshttpappli2
-msgid "HTTP server Application. Complete HTTP Server program in Free Pascal using webmodules. The program source is automatically maintained by Lazarus."
-msgstr ""
-
-#: weblazideintf.rswebdataprovi
-msgid "Web DataProvider Module"
-msgstr ""
-
-#: weblazideintf.rswebdataprovi2
-msgid "WEB DataProvider Module%sA datamodule to handle data requests for WEB (HTTP) applications using WebDataProvider components."
-msgstr ""
-
-#: weblazideintf.rswebextdirect
-msgid "Web Ext.Direct Module"
-msgstr ""
-
-#: weblazideintf.rswebextdirect2
-msgid "WEB Ext.Direct Module%sA datamodule to dispatch Ext.Direct requests in WEB (HTTP) applications using TJSONRPCHandler components."
-msgstr ""
-
-#: weblazideintf.rswebjsonrpcmo
-msgid "Web JSON-RPC Module"
-msgstr ""
-
-#: weblazideintf.rswebjsonrpcmo2
-msgid "WEB JSON-RPC Module%sA datamodule to dispatch JSON-RPC requests in WEB (HTTP) applications using TJSONRPCHandler components."
-msgstr ""
-
 #: weblazideintf.rswebmodule
 msgid "Web Module"
 msgstr "Saityno modulis"
Index: components/fpweb/languages/weblazideintf.po
===================================================================
--- components/fpweb/languages/weblazideintf.po	(revision 46146)
+++ components/fpweb/languages/weblazideintf.po	(working copy)
@@ -49,38 +49,6 @@
 msgid "HTML WEB Module%sA Web datamodule for producing strict HTML."
 msgstr ""
 
-#: weblazideintf.rshttpappli
-msgid "HTTP server Application"
-msgstr ""
-
-#: weblazideintf.rshttpappli2
-msgid "HTTP server Application. Complete HTTP Server program in Free Pascal using webmodules. The program source is automatically maintained by Lazarus."
-msgstr ""
-
-#: weblazideintf.rswebdataprovi
-msgid "Web DataProvider Module"
-msgstr ""
-
-#: weblazideintf.rswebdataprovi2
-msgid "WEB DataProvider Module%sA datamodule to handle data requests for WEB (HTTP) applications using WebDataProvider components."
-msgstr ""
-
-#: weblazideintf.rswebextdirect
-msgid "Web Ext.Direct Module"
-msgstr ""
-
-#: weblazideintf.rswebextdirect2
-msgid "WEB Ext.Direct Module%sA datamodule to dispatch Ext.Direct requests in WEB (HTTP) applications using TJSONRPCHandler components."
-msgstr ""
-
-#: weblazideintf.rswebjsonrpcmo
-msgid "Web JSON-RPC Module"
-msgstr ""
-
-#: weblazideintf.rswebjsonrpcmo2
-msgid "WEB JSON-RPC Module%sA datamodule to dispatch JSON-RPC requests in WEB (HTTP) applications using TJSONRPCHandler components."
-msgstr ""
-
 #: weblazideintf.rswebmodule
 msgid "Web Module"
 msgstr ""
Index: components/fpweb/languages/weblazideintf.pt_BR.po
===================================================================
--- components/fpweb/languages/weblazideintf.pt_BR.po	(revision 46146)
+++ components/fpweb/languages/weblazideintf.pt_BR.po	(working copy)
@@ -57,38 +57,6 @@
 msgid "HTML WEB Module%sA Web datamodule for producing strict HTML."
 msgstr "Módulo Web HTML%sUm módulo de dados Web para geração HTML."
 
-#: weblazideintf.rshttpappli
-msgid "HTTP server Application"
-msgstr ""
-
-#: weblazideintf.rshttpappli2
-msgid "HTTP server Application. Complete HTTP Server program in Free Pascal using webmodules. The program source is automatically maintained by Lazarus."
-msgstr ""
-
-#: weblazideintf.rswebdataprovi
-msgid "Web DataProvider Module"
-msgstr ""
-
-#: weblazideintf.rswebdataprovi2
-msgid "WEB DataProvider Module%sA datamodule to handle data requests for WEB (HTTP) applications using WebDataProvider components."
-msgstr ""
-
-#: weblazideintf.rswebextdirect
-msgid "Web Ext.Direct Module"
-msgstr ""
-
-#: weblazideintf.rswebextdirect2
-msgid "WEB Ext.Direct Module%sA datamodule to dispatch Ext.Direct requests in WEB (HTTP) applications using TJSONRPCHandler components."
-msgstr ""
-
-#: weblazideintf.rswebjsonrpcmo
-msgid "Web JSON-RPC Module"
-msgstr ""
-
-#: weblazideintf.rswebjsonrpcmo2
-msgid "WEB JSON-RPC Module%sA datamodule to dispatch JSON-RPC requests in WEB (HTTP) applications using TJSONRPCHandler components."
-msgstr ""
-
 #: weblazideintf.rswebmodule
 msgid "Web Module"
 msgstr "Módulo Web"
Index: components/fpweb/languages/weblazideintf.ru.po
===================================================================
--- components/fpweb/languages/weblazideintf.ru.po	(revision 46146)
+++ components/fpweb/languages/weblazideintf.ru.po	(working copy)
@@ -57,38 +57,6 @@
 msgid "HTML WEB Module%sA Web datamodule for producing strict HTML."
 msgstr "Веб-модуль HTML%sМодуль данных веб для создания Strict HTML."
 
-#: weblazideintf.rshttpappli
-msgid "HTTP server Application"
-msgstr "Приложение сервера HTTP"
-
-#: weblazideintf.rshttpappli2
-msgid "HTTP server Application. Complete HTTP Server program in Free Pascal using webmodules. The program source is automatically maintained by Lazarus."
-msgstr "Приложение сервера HTTP. Законченная программа сервера HTTP на Free Pascal, использующая веб-модули. Исходный код программы автоматически поддерживается Lazarus."
-
-#: weblazideintf.rswebdataprovi
-msgid "Web DataProvider Module"
-msgstr "Модуль Web DataProvider"
-
-#: weblazideintf.rswebdataprovi2
-msgid "WEB DataProvider Module%sA datamodule to handle data requests for WEB (HTTP) applications using WebDataProvider components."
-msgstr "Модуль Web DataProvider%sМодуль данных для обработки информационных запросов в приложениях веб (HTTP) с использованием компонентов WebDataProvider."
-
-#: weblazideintf.rswebextdirect
-msgid "Web Ext.Direct Module"
-msgstr "Модуль Web Ext.Direct"
-
-#: weblazideintf.rswebextdirect2
-msgid "WEB Ext.Direct Module%sA datamodule to dispatch Ext.Direct requests in WEB (HTTP) applications using TJSONRPCHandler components."
-msgstr "Модуль Web Ext.Direct%sМодуль данных для обработки запросов Ext.Direct в приложениях веб (HTTP) с использованием компонентов TJSONRPCHandler."
-
-#: weblazideintf.rswebjsonrpcmo
-msgid "Web JSON-RPC Module"
-msgstr "Модуль Web JSON-RPC"
-
-#: weblazideintf.rswebjsonrpcmo2
-msgid "WEB JSON-RPC Module%sA datamodule to dispatch JSON-RPC requests in WEB (HTTP) applications using TJSONRPCHandler components."
-msgstr "Модуль Web JSON-RPC%sМодуль данных для обработки запросов JSON-RPC в приложениях веб (HTTP) с использованием компонентов TJSONRPCHandler."
-
 #: weblazideintf.rswebmodule
 msgid "Web Module"
 msgstr "Веб-модуль"
Index: components/fpweb/languages/weblazideintf.uk.po
===================================================================
--- components/fpweb/languages/weblazideintf.uk.po	(revision 46146)
+++ components/fpweb/languages/weblazideintf.uk.po	(working copy)
@@ -57,38 +57,6 @@
 msgid "HTML WEB Module%sA Web datamodule for producing strict HTML."
 msgstr "Веб-модуль HTML%sМодуль даних веб для створення суворого HTML."
 
-#: weblazideintf.rshttpappli
-msgid "HTTP server Application"
-msgstr ""
-
-#: weblazideintf.rshttpappli2
-msgid "HTTP server Application. Complete HTTP Server program in Free Pascal using webmodules. The program source is automatically maintained by Lazarus."
-msgstr ""
-
-#: weblazideintf.rswebdataprovi
-msgid "Web DataProvider Module"
-msgstr ""
-
-#: weblazideintf.rswebdataprovi2
-msgid "WEB DataProvider Module%sA datamodule to handle data requests for WEB (HTTP) applications using WebDataProvider components."
-msgstr ""
-
-#: weblazideintf.rswebextdirect
-msgid "Web Ext.Direct Module"
-msgstr ""
-
-#: weblazideintf.rswebextdirect2
-msgid "WEB Ext.Direct Module%sA datamodule to dispatch Ext.Direct requests in WEB (HTTP) applications using TJSONRPCHandler components."
-msgstr ""
-
-#: weblazideintf.rswebjsonrpcmo
-msgid "Web JSON-RPC Module"
-msgstr ""
-
-#: weblazideintf.rswebjsonrpcmo2
-msgid "WEB JSON-RPC Module%sA datamodule to dispatch JSON-RPC requests in WEB (HTTP) applications using TJSONRPCHandler components."
-msgstr ""
-
 #: weblazideintf.rswebmodule
 msgid "Web Module"
 msgstr "Веб-модуль"
Index: components/lazreport/source/languages/lr_const.cs.po
===================================================================
--- components/lazreport/source/languages/lr_const.cs.po	(revision 46146)
+++ components/lazreport/source/languages/lr_const.cs.po	(working copy)
@@ -241,30 +241,10 @@
 msgid "Memo:"
 msgstr "Memo: (text)"
 
-#: lr_const.sdateformat1
-msgid "mm.dd.yy"
-msgstr ""
-
-#: lr_const.sdateformat2
-msgid "mm.dd.yyyy"
-msgstr ""
-
-#: lr_const.sdateformat3
-msgid "d mmm yyyy"
-msgstr ""
-
-#: lr_const.sdateformat4
-msgid "d mmmm yyyy"
-msgstr ""
-
 #: lr_const.sdatetimecategory
 msgid "Date and time"
 msgstr "Datum a čas:"
 
-#: lr_const.sdbfield
-msgid "DB field"
-msgstr ""
-
 #: lr_const.sdefaultprinter
 msgid "Default printer"
 msgstr "Výchozí tiskárna"
@@ -281,8 +261,8 @@
 
 #: lr_const.sdescriptioncount
 #, fuzzy
-#| msgid "COUNT(<BandName>)/Returns count of data-rows given in the <BandName>. "
-msgid "COUNT(<BandName>)/Returns count of data rows given in the <BandName>. "
+#| msgid "COUNT(<BandName>)/Returns count of data rows given in the <BandName>. "
+msgid "COUNT(<BandName>)/Returns count of data-rows given in the <BandName>. "
 msgstr "COUNT(<BandName>)/Returns count of data-rows given in the <BandName>. "
 
 #: lr_const.sdescriptiondayof
@@ -290,10 +270,6 @@
 msgid "DAYOF(<Date>)/Returns day number (1..31) of given <Date>."
 msgstr "DAYOF(<Date>)/Returns day number (1..31) of given <Date>."
 
-#: lr_const.sdescriptiondec
-msgid "DEC(<Value>)/Decrement <Value>."
-msgstr ""
-
 #: lr_const.sdescriptionformatdatetime
 #, fuzzy
 msgid "FORMATDATETIME(<Fmt>, <DateTime>)/Converts a <DateTime> value to a string using mask in <Fmt>."
@@ -314,14 +290,10 @@
 msgid "FRAC(<Value>)/Returns the fractional part of floating point <Value>."
 msgstr "FRAC(<Value>)/Returns the fractional part of floating point <Value>."
 
-#: lr_const.sdescriptioninc
-msgid "INC(<Value>)/Increment <Value>."
-msgstr ""
-
 #: lr_const.sdescriptioninput
 #, fuzzy
-#| msgid "INPUT(<Caption> [,Default])/Shows dialog window with headstring <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
-msgid "INPUT(<Caption> [,Default])/Shows dialog window with title <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
+#| msgid "INPUT(<Caption> [,Default])/Shows dialog window with title <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
+msgid "INPUT(<Caption> [,Default])/Shows dialog window with headstring <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
 msgstr "INPUT(<Caption> [,Default])/Shows dialog window with headstring <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
 
 #: lr_const.sdescriptionint
@@ -374,14 +346,6 @@
 msgid "NAMECASE(<String>)/Converts <String> symbols to lower case, and first symbol is in upper case."
 msgstr "NAMECASE(<String>)/Converts <String> symbols to lower case, and first symbol is in upper case."
 
-#: lr_const.sdescriptionnewcolumn
-msgid "NEWCOLUMN/Create new column on page for current report."
-msgstr ""
-
-#: lr_const.sdescriptionnewpage
-msgid "NEWPAGE/Create new page for current report."
-msgstr ""
-
 #: lr_const.sdescriptionpos
 #, fuzzy
 msgid "POS(<SubString>, <String>)/Returns position of substring in given string."
@@ -392,14 +356,6 @@
 msgid "ROUND(<Value>)/Rounds the floating point <Value> to nearest integer number."
 msgstr "ROUND(<Value>)/Rounds the floating point <Value> to nearest integer number."
 
-#: lr_const.sdescriptionshowband
-msgid "SHOWBAND(<BandName>)/Show <BandName> in report."
-msgstr ""
-
-#: lr_const.sdescriptionstopreport
-msgid "STOPREPORT/Terminate report creation."
-msgstr ""
-
 #: lr_const.sdescriptionstr
 #, fuzzy
 msgid "STR(<Value>)/Converts the given (numeric) <Value> in string."
@@ -529,8 +485,8 @@
 
 #: lr_const.sdocautor
 #, fuzzy
-#| msgid "Autor"
-msgid "Author"
+#| msgid "Author"
+msgid "Autor"
 msgstr "Autor"
 
 #: lr_const.sdocbuild
@@ -555,8 +511,8 @@
 
 #: lr_const.sdocoptformkeywords
 #, fuzzy
-#| msgid "Keys words"
-msgid "Keywords"
+#| msgid "Keywords"
+msgid "Keys words"
 msgstr "Klíčová slova"
 
 #: lr_const.sdocoptformopt
@@ -646,8 +602,8 @@
 
 #: lr_const.serroroccured
 #, fuzzy
-#| msgid "An error occured during calculating"
-msgid "An error occurred during calculation"
+#| msgid "An error occurred during calculation"
+msgid "An error occured during calculating"
 msgstr "Během počítání výsledků se stala chyba"
 
 #: lr_const.sevformcapt
@@ -692,10 +648,6 @@
 msgid "Insert DB field"
 msgstr "Vložit DB Pole"
 
-#: lr_const.sfilenotfound
-msgid "File not found"
-msgstr ""
-
 #: lr_const.sfilter
 msgid "Filter properties"
 msgstr "Volby Filtru"
@@ -865,10 +817,6 @@
 msgid "Force new page"
 msgstr "Vynutit novou stránku"
 
-#: lr_const.sfrdesignerdatainsp
-msgid "Data inspector"
-msgstr ""
-
 #: lr_const.sfrdesignerexists
 msgid "You already have one TfrDesigner component"
 msgstr ""
@@ -1188,10 +1136,6 @@
 msgid "C&ut"
 msgstr "Vyjmout"
 
-#: lr_const.sfrdesignerform_datainsp
-msgid "&Data inspector"
-msgstr ""
-
 #: lr_const.sfrdesignerform_delete
 msgid "&Delete"
 msgstr "Odstranit"
@@ -1328,6 +1272,10 @@
 msgid "Variables &list ..."
 msgstr "Seznam proměnných ..."
 
+#: lr_const.sfrferror
+msgid "Unsupported FRF format"
+msgstr ""
+
 #: lr_const.sfrom
 msgid "from"
 msgstr "z"
@@ -1336,10 +1284,6 @@
 msgid "FR variables"
 msgstr "FR proměnné"
 
-#: lr_const.sfunctions
-msgid "Functions"
-msgstr ""
-
 #: lr_const.sgeditorformcapt
 msgid "Picture"
 msgstr "Obrázek"
@@ -1445,14 +1389,6 @@
 msgid "Insert CheckBox object"
 msgstr "Vložit objekt zaškrtávacího pole"
 
-#: lr_const.sinsert
-msgid "Insert"
-msgstr ""
-
-#: lr_const.sinsertexpression
-msgid "Insert Expression"
-msgstr ""
-
 #: lr_const.sinsertfields
 msgid "Insert DB fields"
 msgstr "Vložit DB pole"
@@ -1487,8 +1423,8 @@
 
 #: lr_const.sinsroundrect
 #, fuzzy
-#| msgid "Insert an RoundRect with shadow area"
-msgid "Insert a RoundRect with shadow area"
+#| msgid "Insert a RoundRect with shadow area"
+msgid "Insert an RoundRect with shadow area"
 msgstr "Vložit zakulacený obdélník se stínovanou oblastí"
 
 #: lr_const.sinsshape
@@ -1495,26 +1431,6 @@
 msgid "Insert Shape object"
 msgstr "Vložit tvarovaný objekt"
 
-#: lr_const.sinterpretator
-msgid "Interpretator"
-msgstr ""
-
-#: lr_const.sinvalidfrfreport
-msgid "Invalid binary report"
-msgstr ""
-
-#: lr_const.sinvalidfrfversion
-msgid "Invalid report version"
-msgstr ""
-
-#: lr_const.sinvalidlrfreport
-msgid "Invalid report format"
-msgstr ""
-
-#: lr_const.sinvalidvariablename
-msgid "\"%s\" is not a valid variable name."
-msgstr ""
-
 #: lr_const.skeepaspectratio
 msgid "Keep aspect ratio"
 msgstr "Dodržet poměr stran"
@@ -2230,8 +2146,8 @@
 
 #: lr_const.sprintererror
 #, fuzzy
-#| msgid "Printer selected is not valid"
-msgid "Selected printer is not valid"
+#| msgid "Selected printer is not valid"
+msgid "Printer selected is not valid"
 msgstr "Zvolená tiskárna není validní"
 
 #: lr_const.sprintformall
@@ -2238,10 +2154,6 @@
 msgid "&All"
 msgstr "Vše"
 
-#: lr_const.sprintformcollate
-msgid "Collate"
-msgstr ""
-
 #: lr_const.sprintformcopy
 msgid "&Copies:"
 msgstr "Kopie:"
@@ -2294,24 +2206,20 @@
 
 #: lr_const.sreportcreatedate
 #, fuzzy
-#| msgid "Report create date"
-msgid "Report creation date"
+#| msgid "Report creation date"
+msgid "Report create date"
 msgstr "Datum vytvoření reportu"
 
 #: lr_const.sreportlastmodifydate
 #, fuzzy
-#| msgid "Report last modify date"
-msgid "Report last modification date"
+#| msgid "Report last modification date"
+msgid "Report last modify date"
 msgstr "Poslední úprava reportu"
 
-#: lr_const.sreportloadingerror
-msgid "Error while loading report"
-msgstr ""
-
 #: lr_const.sreportpreparing
 #, fuzzy
-#| msgid "Report preparing"
-msgid "Preparing report"
+#| msgid "Preparing report"
+msgid "Report preparing"
 msgstr "Příprava reportu"
 
 #: lr_const.sroundrectformbegincolor
@@ -2342,14 +2250,14 @@
 msgid "Framed zone"
 msgstr "Rámovaná oblast"
 
-#: lr_const.sroundrectformgradient
-msgid "Gradient"
+#: lr_const.sroundrectformgradian
+msgid "Gradian"
 msgstr ""
 
 #: lr_const.sroundrectformhint
 #, fuzzy
-#| msgid "Click here to define the shadow color or gradian colors"
-msgid "Click here to define the shadow color or gradient colors"
+#| msgid "Click here to define the shadow color or gradient colors"
+msgid "Click here to define the shadow color or gradian colors"
 msgstr "Klikni zde pro definování barvy stínu nebo barev gradiánu"
 
 #: lr_const.sroundrectformsample
@@ -2459,22 +2367,6 @@
 msgid "ASCII Text file"
 msgstr "ASCII Textový soubor"
 
-#: lr_const.stimeformat1
-msgid "hh:nn:ss"
-msgstr ""
-
-#: lr_const.stimeformat2
-msgid "h:nn:ss"
-msgstr ""
-
-#: lr_const.stimeformat3
-msgid "hh:nn"
-msgstr ""
-
-#: lr_const.stimeformat4
-msgid "h:nn"
-msgstr ""
-
 #: lr_const.sto
 msgid "to"
 msgstr "do"
@@ -2483,10 +2375,6 @@
 msgid "Transparent"
 msgstr "Průhledný"
 
-#: lr_const.sunabletoreadversion
-msgid "Unable to read report version"
-msgstr ""
-
 #: lr_const.suntitled
 msgid "Untitled"
 msgstr "Bez titulku"
@@ -2549,10 +2437,6 @@
 msgid "&Category:"
 msgstr "Katorgorie:"
 
-#: lr_const.svariable
-msgid "Variable"
-msgstr ""
-
 #: lr_const.svbandeditorformbnd
 msgid "Bands"
 msgstr "Skupiny"
Index: components/lazreport/source/languages/lr_const.de.po
===================================================================
--- components/lazreport/source/languages/lr_const.de.po	(revision 46146)
+++ components/lazreport/source/languages/lr_const.de.po	(working copy)
@@ -250,118 +250,53 @@
 msgid "Memo:"
 msgstr "Memo:"
 
-#: lr_const.sdateformat1
-msgid "mm.dd.yy"
-msgstr "mm.tt.jj"
-
-#: lr_const.sdateformat2
-msgid "mm.dd.yyyy"
-msgstr "mm.tt.jjjj"
-
-#: lr_const.sdateformat3
-msgid "d mmm yyyy"
-msgstr "t mmm jjjj"
-
-#: lr_const.sdateformat4
-msgid "d mmmm yyyy"
-msgstr "d mmmm jjjj"
-
 #: lr_const.sdatetimecategory
 msgid "Date and time"
 msgstr "Datum und Zeit"
 
-#: lr_const.sdbfield
-msgid "DB field"
-msgstr "DB-Feld"
-
 #: lr_const.sdefaultprinter
 msgid "Default printer"
 msgstr "Standarddrucker"
 
 #: lr_const.sdescriptionavg
-msgid ""
-"AVG(<Expression> [,BandName [,1]])/Calculates the average of <Expression> "
-"for [BandName] row given. If [1] parameter is used, calculates average for "
-"non-visible rows too."
-msgstr ""
-"AVG(<Ausdruck> [,BandName [,1]])/Berechnet den Durchschnitt von <Ausdruck> "
-"für die in [BandName] festgelegte Reihe. Ist der Parameter [1] angegeben, "
-"wird der Durchschnitt auch für nicht sichtbare Reihen berechnet."
+msgid "AVG(<Expression> [,BandName [,1]])/Calculates the average of <Expression> for [BandName] row given. If [1] parameter is used, calculates average for non-visible rows too."
+msgstr "AVG(<Ausdruck> [,BandName [,1]])/Berechnet den Durchschnitt von <Ausdruck> für die in [BandName] festgelegte Reihe. Ist der Parameter [1] angegeben, wird der Durchschnitt auch für nicht sichtbare Reihen berechnet."
 
 #: lr_const.sdescriptioncopy
-msgid ""
-"COPY(<String>, <Position>, <Length>)/Returns <Length> characters from "
-"<String> starting at <Position>."
-msgstr ""
-"COPY(<String>, <Position>, <Length>)/gibt <Length> Zeichen von <String> ab "
-"<Position>."
+msgid "COPY(<String>, <Position>, <Length>)/Returns <Length> characters from <String> starting at <Position>."
+msgstr "COPY(<String>, <Position>, <Length>)/gibt <Length> Zeichen von <String> ab <Position>."
 
 #: lr_const.sdescriptioncount
-#| msgid ""
-#| "COUNT(<BandName>)/Returns count of data-rows given in the <BandName>. "
-#| "COUNT(<BandName>)/Returns count of data rows given in the <BandName>. "
-msgid "COUNT(<BandName>)/Returns count of data rows given in the <BandName>. "
-msgstr ""
-"COUNT(<BandName>)/Liefert die Zahl der Datenreihen des angegebenen "
-"<BandName>. "
+#, fuzzy
+#| msgid "COUNT(<BandName>)/Returns count of data rows given in the <BandName>. "
+msgid "COUNT(<BandName>)/Returns count of data-rows given in the <BandName>. "
+msgstr "COUNT(<BandName>)/Liefert die Zahl der Datenreihen des angegebenen <BandName>. "
 
 #: lr_const.sdescriptiondayof
 msgid "DAYOF(<Date>)/Returns day number (1..31) of given <Date>."
 msgstr "DAYOF(<Datum>)/Gibt den Tag (1..31) des angegebenen <Datum> zurück."
 
-#: lr_const.sdescriptiondec
-msgid "DEC(<Value>)/Decrement <Value>."
-msgstr "DEC(<Wert>)/Erhöht <Wert>."
-
 #: lr_const.sdescriptionformatdatetime
-msgid ""
-"FORMATDATETIME(<Fmt>, <DateTime>)/Converts a <DateTime> value to a string "
-"using mask in <Fmt>."
-msgstr ""
-"FORMATDATETIME(<Fmt>, <DateTime>)/Konvertiert einen <DateTime>-Wert in einen "
-"in <Fmt> maskierten String."
+msgid "FORMATDATETIME(<Fmt>, <DateTime>)/Converts a <DateTime> value to a string using mask in <Fmt>."
+msgstr "FORMATDATETIME(<Fmt>, <DateTime>)/Konvertiert einen <DateTime>-Wert in einen in <Fmt> maskierten String."
 
 #: lr_const.sdescriptionformatfloat
-msgid ""
-"FORMATFLOAT(<Fmt>, <Numeric>)/Converts a <Numeric> value to a string using "
-"mask in <Fmt>."
-msgstr ""
-"FORMATFLOAT(<Fmt>, <Zahl>)/Konvertiert eine  <Zahl> über die Maske <Fmt> in "
-"einen String."
+msgid "FORMATFLOAT(<Fmt>, <Numeric>)/Converts a <Numeric> value to a string using mask in <Fmt>."
+msgstr "FORMATFLOAT(<Fmt>, <Zahl>)/Konvertiert eine  <Zahl> über die Maske <Fmt> in einen String."
 
 #: lr_const.sdescriptionformattext
-msgid ""
-"FORMATTEXT(<Mask>, <String>)/Applies <Mask> to given <String> and returns "
-"formatted string."
-msgstr ""
-"FORMATTEXT(<Maske>, <String>)/Wendet <Maske>auf den angegebenen <String> und "
-"gibt den formatierten String zurück."
+msgid "FORMATTEXT(<Mask>, <String>)/Applies <Mask> to given <String> and returns formatted string."
+msgstr "FORMATTEXT(<Maske>, <String>)/Wendet <Maske>auf den angegebenen <String> und gibt den formatierten String zurück."
 
 #: lr_const.sdescriptionfrac
 msgid "FRAC(<Value>)/Returns the fractional part of floating point <Value>."
 msgstr "FRAC(<Wert>)/Ergibt den Bruchanteil der Gleitkommazahl <Wert>."
 
-#: lr_const.sdescriptioninc
-msgid "INC(<Value>)/Increment <Value>."
-msgstr "INC(<Wert>)/Verringert <Wert>."
-
 #: lr_const.sdescriptioninput
-#| msgid ""
-#| "INPUT(<Caption> [,Default])/Shows dialog window with headstring <Caption> "
-#| "and edit box. If [Default] parameter is set, puts this string in edit "
-#| "box. After user clicks OK, returns input string.INPUT(<Caption> [,"
-#| "Default])/Shows dialog window with title <Caption> and edit box. If "
-#| "[Default] parameter is set, puts this string in edit box. After user "
-#| "clicks OK, returns input string."
-msgid ""
-"INPUT(<Caption> [,Default])/Shows dialog window with title <Caption> and "
-"edit box. If [Default] parameter is set, puts this string in edit box. After "
-"user clicks OK, returns input string."
-msgstr ""
-"INPUT(<Caption> [,Default])/Zeigt ein Dialogfenster mit der Überschrift "
-"<Caption> und einem Eingabefeld. Ist der Parameter [Default] gesetzt, wird "
-"dieser String im Eingabefeld eingesetzt. Drückt der Anwender OK, wird der "
-"Text im Eingabefeld zurückgeliefert."
+#, fuzzy
+#| msgid "INPUT(<Caption> [,Default])/Shows dialog window with title <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
+msgid "INPUT(<Caption> [,Default])/Shows dialog window with headstring <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
+msgstr "INPUT(<Caption> [,Default])/Zeigt ein Dialogfenster mit der Überschrift <Caption> und einem Eingabefeld. Ist der Parameter [Default] gesetzt, wird dieser String im Eingabefeld eingesetzt. Drückt der Anwender OK, wird der Text im Eingabefeld zurückgeliefert."
 
 #: lr_const.sdescriptionint
 msgid "INT(<Value>)/Returns the integer part of floating point <Value>."
@@ -373,18 +308,11 @@
 
 #: lr_const.sdescriptionlowercase
 msgid "LOWERCASE(<String>)/Converts <String> symbols to lower case."
-msgstr ""
-"LOWERCASE(<String>)/Konvertiert die Zeichen in <String> in Kleinbuchstaben."
+msgstr "LOWERCASE(<String>)/Konvertiert die Zeichen in <String> in Kleinbuchstaben."
 
 #: lr_const.sdescriptionmax
-msgid ""
-"MAX(<Expression> [,BandName [,1]])/Calculates the maximum of <Expression> "
-"for [BandName] row given. If [1] parameter is used, calculates maximum for "
-"non-visible rows too."
-msgstr ""
-"MAX(<Ausdruck> [,BandName [,1]])/Berechnet das Maximum von <Ausdruck> für "
-"die Reihen von[BandName]. Ist der Parameter [1] angegeben, werden auch nicht "
-"sichtbare Reihen berücksichtigt."
+msgid "MAX(<Expression> [,BandName [,1]])/Calculates the maximum of <Expression> for [BandName] row given. If [1] parameter is used, calculates maximum for non-visible rows too."
+msgstr "MAX(<Ausdruck> [,BandName [,1]])/Berechnet das Maximum von <Ausdruck> für die Reihen von[BandName]. Ist der Parameter [1] angegeben, werden auch nicht sichtbare Reihen berücksichtigt."
 
 #: lr_const.sdescriptionmaxnum
 msgid "MAXNUM(<Value1>, <Value2>)/Returns max of given values."
@@ -391,72 +319,33 @@
 msgstr "MAXNUM(<Wert1>, <Wert2>)/Liefert das Maximum der angegeben Werte."
 
 #: lr_const.sdescriptionmessagebox
-msgid ""
-"MESSAGEBOX(<Text>, <Title>, <Buttons>)/Shows standard dialog window with "
-"title, text and buttons."
-msgstr ""
-"MESSAGEBOX(<Text>, <Titel>, <Buttons>)/Zeigt eine normale Dialogbox mit "
-"Titel, Text und Buttons."
+msgid "MESSAGEBOX(<Text>, <Title>, <Buttons>)/Shows standard dialog window with title, text and buttons."
+msgstr "MESSAGEBOX(<Text>, <Titel>, <Buttons>)/Zeigt eine normale Dialogbox mit Titel, Text und Buttons."
 
 #: lr_const.sdescriptionmin
-msgid ""
-"MIN(<Expression> [,BandName [,1]])/Calculates the minimum of <Expression> "
-"for [BandName] row given. If [1] parameter is used, calculates minimum for "
-"non-visible rows too."
-msgstr ""
-"MIN(<Ausdruck> [,BandName [,1]])/Berechnet das Minimum von <Ausdruck> für "
-"die in [BandName] angegebene Reihe. Ist [1] angegeben, werden auch die Werte "
-"in nicht sichtbaren Reihen berücksichtigt."
+msgid "MIN(<Expression> [,BandName [,1]])/Calculates the minimum of <Expression> for [BandName] row given. If [1] parameter is used, calculates minimum for non-visible rows too."
+msgstr "MIN(<Ausdruck> [,BandName [,1]])/Berechnet das Minimum von <Ausdruck> für die in [BandName] angegebene Reihe. Ist [1] angegeben, werden auch die Werte in nicht sichtbaren Reihen berücksichtigt."
 
 #: lr_const.sdescriptionminnum
 msgid "MINNUM(<Value1>, <Value2>)/Returns min of given values."
-msgstr ""
-"MINNUM(<Wert1>, <Wert2>)/Liefert den kleineren der angebenen Werte zurück."
+msgstr "MINNUM(<Wert1>, <Wert2>)/Liefert den kleineren der angebenen Werte zurück."
 
 #: lr_const.sdescriptionmonthof
 msgid "MONTHOF(<Date>)/Returns month number (1..12) of given <Date>."
-msgstr ""
-"MONTHOF(<Datum>)/Gibt den Monat (1..12) aus einem angegebenen <Datum> zurück."
+msgstr "MONTHOF(<Datum>)/Gibt den Monat (1..12) aus einem angegebenen <Datum> zurück."
 
 #: lr_const.sdescriptionnamecase
-msgid ""
-"NAMECASE(<String>)/Converts <String> symbols to lower case, and first symbol "
-"is in upper case."
-msgstr ""
-"NAMECASE(<String>)/Konvertiert alle Zeichen in <String> in Klein- und das "
-"erste Zeichen in Großbuchstaben."
+msgid "NAMECASE(<String>)/Converts <String> symbols to lower case, and first symbol is in upper case."
+msgstr "NAMECASE(<String>)/Konvertiert alle Zeichen in <String> in Klein- und das erste Zeichen in Großbuchstaben."
 
-#: lr_const.sdescriptionnewcolumn
-msgid "NEWCOLUMN/Create new column on page for current report."
-msgstr ""
-"NEWCOLUMN/Erzeugt eine neue Spalte auf der Seite des aktuellen Reports."
-
-#: lr_const.sdescriptionnewpage
-msgid "NEWPAGE/Create new page for current report."
-msgstr "NEWPAGE/Erzeugt eine neue Seite für den aktuellen Report."
-
 #: lr_const.sdescriptionpos
-msgid ""
-"POS(<SubString>, <String>)/Returns position of substring in given string."
-msgstr ""
-"POS(<SubString>, <String>)/Liefert die Position des Substrings im "
-"angegebenen String zurück."
+msgid "POS(<SubString>, <String>)/Returns position of substring in given string."
+msgstr "POS(<SubString>, <String>)/Liefert die Position des Substrings im angegebenen String zurück."
 
 #: lr_const.sdescriptionround
-msgid ""
-"ROUND(<Value>)/Rounds the floating point <Value> to nearest integer number."
-msgstr ""
-"ROUND(<Wert>)/Rundet die Gleitkommazahl <Wert> in die nächstliegende ganze "
-"Zahl."
+msgid "ROUND(<Value>)/Rounds the floating point <Value> to nearest integer number."
+msgstr "ROUND(<Wert>)/Rundet die Gleitkommazahl <Wert> in die nächstliegende ganze Zahl."
 
-#: lr_const.sdescriptionshowband
-msgid "SHOWBAND(<BandName>)/Show <BandName> in report."
-msgstr "SHOWBAND(<BandName>)/Zeigt <BandName> im Report."
-
-#: lr_const.sdescriptionstopreport
-msgid "STOPREPORT/Terminate report creation."
-msgstr "STOPREPORT/Beendet die Reporterzeugung."
-
 #: lr_const.sdescriptionstr
 msgid "STR(<Value>)/Converts the given (numeric) <Value> in string."
 msgstr "STR(<Wert>)/Wandelt den angegebenen (Zahlen-) <Wert> in einen String."
@@ -470,27 +359,16 @@
 msgstr "STRTOTIME(<String>)/Konvertiert den <String> in eine Zeitangabe."
 
 #: lr_const.sdescriptionsum
-msgid ""
-"SUM(<Expression> [,BandName [,1]])/Calculates the sum of <Expression> for "
-"[BandName] row given. If [1] parameter is used, calculates sum for non-"
-"visible rows too."
-msgstr ""
-"SUM(<Ausdruck> [,BandName [,1]])/Berechnet die Summe von [Ausdruck] für die "
-"Reihen von [BandName]. Ist der Parameter [1] angegeben, werden auch nicht "
-"sichtbare Reihen berechnet."
+msgid "SUM(<Expression> [,BandName [,1]])/Calculates the sum of <Expression> for [BandName] row given. If [1] parameter is used, calculates sum for non-visible rows too."
+msgstr "SUM(<Ausdruck> [,BandName [,1]])/Berechnet die Summe von [Ausdruck] für die Reihen von [BandName]. Ist der Parameter [1] angegeben, werden auch nicht sichtbare Reihen berechnet."
 
 #: lr_const.sdescriptiontrim
-msgid ""
-"TRIM(<String>)/Trims all heading and trailing spaces in <String> and returns "
-"resulting string."
-msgstr ""
-"TRIM(<String>)/Schneidet alle führenden und anhängenden Leerzeichen aus dem "
-"<String> und liefert ihn als Ergebnis wieder zurück."
+msgid "TRIM(<String>)/Trims all heading and trailing spaces in <String> and returns resulting string."
+msgstr "TRIM(<String>)/Schneidet alle führenden und anhängenden Leerzeichen aus dem <String> und liefert ihn als Ergebnis wieder zurück."
 
 #: lr_const.sdescriptionuppercase
 msgid "UPPERCASE(<String>)/Converts <String> symbols to upper case."
-msgstr ""
-"UPPERCASE(<String>)/Wandert die Zeichen in <String> in Großbuchstaben um."
+msgstr "UPPERCASE(<String>)/Wandert die Zeichen in <String> in Großbuchstaben um."
 
 #: lr_const.sdescriptionyearof
 msgid "YEAROF(<Date>)/Returns year of given <Date>."
@@ -589,8 +467,9 @@
 msgstr "Report:"
 
 #: lr_const.sdocautor
-#| msgid "Autor"
-msgid "Author"
+#, fuzzy
+#| msgid "Author"
+msgid "Autor"
 msgstr "Autor"
 
 #: lr_const.sdocbuild
@@ -614,8 +493,9 @@
 msgstr "Kommentare"
 
 #: lr_const.sdocoptformkeywords
-#| msgid "Keys words"
-msgid "Keywords"
+#, fuzzy
+#| msgid "Keywords"
+msgid "Keys words"
 msgstr "Schlüsselworte"
 
 #: lr_const.sdocoptformopt
@@ -704,8 +584,9 @@
 msgstr "Fehler"
 
 #: lr_const.serroroccured
-#| msgid "An error occured during calculating"
-msgid "An error occurred during calculation"
+#, fuzzy
+#| msgid "An error occurred during calculation"
+msgid "An error occured during calculating"
 msgstr "Bei der Berechnung trat ein Fehler auf"
 
 #: lr_const.sevformcapt
@@ -751,10 +632,6 @@
 msgid "Insert DB field"
 msgstr "Datenbankfeld einfügen"
 
-#: lr_const.sfilenotfound
-msgid "File not found"
-msgstr "Datei nicht gefunden"
-
 #: lr_const.sfilter
 msgid "Filter properties"
 msgstr "Filtereigenschaften"
@@ -925,10 +802,6 @@
 msgid "Force new page"
 msgstr "Neue Seite erzwingen"
 
-#: lr_const.sfrdesignerdatainsp
-msgid "Data inspector"
-msgstr "Dateninspektor"
-
 #: lr_const.sfrdesignerexists
 msgid "You already have one TfrDesigner component"
 msgstr "Sie haben bereits eine TfrDesigner Komponente"
@@ -1248,10 +1121,6 @@
 msgid "C&ut"
 msgstr "&Ausschneiden"
 
-#: lr_const.sfrdesignerform_datainsp
-msgid "&Data inspector"
-msgstr "&Dateninspektor"
-
 #: lr_const.sfrdesignerform_delete
 msgid "&Delete"
 msgstr "&Löschen"
@@ -1397,6 +1266,10 @@
 msgid "Variables &list ..."
 msgstr "Variablen-&Liste..."
 
+#: lr_const.sfrferror
+msgid "Unsupported FRF format"
+msgstr ""
+
 #: lr_const.sfrom
 msgid "from"
 msgstr "von"
@@ -1405,10 +1278,6 @@
 msgid "FR variables"
 msgstr "FR-Variablen"
 
-#: lr_const.sfunctions
-msgid "Functions"
-msgstr "Funktionen"
-
 #: lr_const.sgeditorformcapt
 msgid "Picture"
 msgstr "Bild"
@@ -1517,14 +1386,6 @@
 msgid "Insert CheckBox object"
 msgstr "Checkboxobjekt einfügen"
 
-#: lr_const.sinsert
-msgid "Insert"
-msgstr "Einfügen"
-
-#: lr_const.sinsertexpression
-msgid "Insert Expression"
-msgstr "Ausdruck einfügen"
-
 #: lr_const.sinsertfields
 msgid "Insert DB fields"
 msgstr "Datenbankfelder einfügen"
@@ -1558,8 +1419,9 @@
 msgstr "&Vertikal"
 
 #: lr_const.sinsroundrect
-#| msgid "Insert an RoundRect with shadow area"
-msgid "Insert a RoundRect with shadow area"
+#, fuzzy
+#| msgid "Insert a RoundRect with shadow area"
+msgid "Insert an RoundRect with shadow area"
 msgstr "Schattierten RoundRect einfügen"
 
 #: lr_const.sinsshape
@@ -1566,26 +1428,6 @@
 msgid "Insert Shape object"
 msgstr "Umrißobjekt einfügen"
 
-#: lr_const.sinterpretator
-msgid "Interpretator"
-msgstr "Interpreter"
-
-#: lr_const.sinvalidfrfreport
-msgid "Invalid binary report"
-msgstr "Ungültiger binärer Report"
-
-#: lr_const.sinvalidfrfversion
-msgid "Invalid report version"
-msgstr "Ungültige Reportversion"
-
-#: lr_const.sinvalidlrfreport
-msgid "Invalid report format"
-msgstr "Ungültiges Reportformat"
-
-#: lr_const.sinvalidvariablename
-msgid "\"%s\" is not a valid variable name."
-msgstr "\"%s\" ist kein gültiger Variablenname."
-
 #: lr_const.skeepaspectratio
 msgid "Keep aspect ratio"
 msgstr "Seitenverhältnis beibehalten"
@@ -2301,8 +2143,9 @@
 msgstr "&Ganze &Seite"
 
 #: lr_const.sprintererror
-#| msgid "Printer selected is not valid"
-msgid "Selected printer is not valid"
+#, fuzzy
+#| msgid "Selected printer is not valid"
+msgid "Printer selected is not valid"
 msgstr "Gewählter Drucker ist ungültig"
 
 #: lr_const.sprintformall
@@ -2309,10 +2152,6 @@
 msgid "&All"
 msgstr "&Alle"
 
-#: lr_const.sprintformcollate
-msgid "Collate"
-msgstr ""
-
 #: lr_const.sprintformcopy
 msgid "&Copies:"
 msgstr "&Kopien:"
@@ -2323,12 +2162,8 @@
 msgstr "Aktuelle &Seite"
 
 #: lr_const.sprintforminfo
-msgid ""
-"Enter page numbers and/or page ranges, separated by commas. For example, "
-"1,3,5-12"
-msgstr ""
-"Geben sie die Seitenzahlen und/oder -bereiche durch ein Komma getrennt ein, "
-"z.B. 1,3,5-12"
+msgid "Enter page numbers and/or page ranges, separated by commas. For example, 1,3,5-12"
+msgstr "Geben sie die Seitenzahlen und/oder -bereiche durch ein Komma getrennt ein, z.B. 1,3,5-12"
 
 #: lr_const.sprintformnumber
 msgid "&Numbers:"
@@ -2368,22 +2203,21 @@
 msgstr "Reportdatei"
 
 #: lr_const.sreportcreatedate
-#| msgid "Report create date"
-msgid "Report creation date"
+#, fuzzy
+#| msgid "Report creation date"
+msgid "Report create date"
 msgstr "Erstelldatum"
 
 #: lr_const.sreportlastmodifydate
-#| msgid "Report last modify date"
-msgid "Report last modification date"
+#, fuzzy
+#| msgid "Report last modification date"
+msgid "Report last modify date"
 msgstr "Datum der letzten Änderung"
 
-#: lr_const.sreportloadingerror
-msgid "Error while loading report"
-msgstr "Fehler beim Laden des Reports"
-
 #: lr_const.sreportpreparing
-#| msgid "Report preparing"
-msgid "Preparing report"
+#, fuzzy
+#| msgid "Preparing report"
+msgid "Report preparing"
 msgstr "Report-Vorbereitung"
 
 #: lr_const.sroundrectformbegincolor
@@ -2414,16 +2248,15 @@
 msgid "Framed zone"
 msgstr "Umrandeter Bereich"
 
-#: lr_const.sroundrectformgradient
-msgid "Gradient"
+#: lr_const.sroundrectformgradian
+msgid "Gradian"
 msgstr ""
 
 #: lr_const.sroundrectformhint
-#| msgid "Click here to define the shadow color or gradian colors"
-msgid "Click here to define the shadow color or gradient colors"
-msgstr ""
-"Klicken Sie hier, um die Schattenfarbe oder die Farben für den Verlauf "
-"festzulegen"
+#, fuzzy
+#| msgid "Click here to define the shadow color or gradient colors"
+msgid "Click here to define the shadow color or gradian colors"
+msgstr "Klicken Sie hier, um die Schattenfarbe oder die Farben für den Verlauf festzulegen"
 
 #: lr_const.sroundrectformsample
 msgid "Sample :"
@@ -2532,22 +2365,6 @@
 msgid "ASCII Text file"
 msgstr "ASCII-Textdatei"
 
-#: lr_const.stimeformat1
-msgid "hh:nn:ss"
-msgstr ""
-
-#: lr_const.stimeformat2
-msgid "h:nn:ss"
-msgstr ""
-
-#: lr_const.stimeformat3
-msgid "hh:nn"
-msgstr ""
-
-#: lr_const.stimeformat4
-msgid "h:nn"
-msgstr ""
-
 #: lr_const.sto
 msgid "to"
 msgstr "bis"
@@ -2556,10 +2373,6 @@
 msgid "Transparent"
 msgstr "Durchsichtig"
 
-#: lr_const.sunabletoreadversion
-msgid "Unable to read report version"
-msgstr "Kann Reportversion nicht lesen"
-
 #: lr_const.suntitled
 msgid "Untitled"
 msgstr "Unbenannt"
@@ -2623,10 +2436,6 @@
 msgid "&Category:"
 msgstr "&Kategorie"
 
-#: lr_const.svariable
-msgid "Variable"
-msgstr "Variable"
-
 #: lr_const.svbandeditorformbnd
 msgid "Bands"
 msgstr "Bänder"
@@ -2660,3 +2469,4 @@
 #: lr_const.syes
 msgid "Yes"
 msgstr "Ja"
+
Index: components/lazreport/source/languages/lr_const.es.po
===================================================================
--- components/lazreport/source/languages/lr_const.es.po	(revision 46146)
+++ components/lazreport/source/languages/lr_const.es.po	(working copy)
@@ -243,30 +243,10 @@
 msgid "Memo:"
 msgstr "Texto:"
 
-#: lr_const.sdateformat1
-msgid "mm.dd.yy"
-msgstr ""
-
-#: lr_const.sdateformat2
-msgid "mm.dd.yyyy"
-msgstr ""
-
-#: lr_const.sdateformat3
-msgid "d mmm yyyy"
-msgstr ""
-
-#: lr_const.sdateformat4
-msgid "d mmmm yyyy"
-msgstr ""
-
 #: lr_const.sdatetimecategory
 msgid "Date and time"
 msgstr "Fecha y hora"
 
-#: lr_const.sdbfield
-msgid "DB field"
-msgstr ""
-
 #: lr_const.sdefaultprinter
 msgid "Default printer"
 msgstr "Impresora por defecto"
@@ -280,8 +260,9 @@
 msgstr "COPY(<String>, <Position>, <Length>)/Devuelve <Length> caracteres desde <String> empezando en <Position>."
 
 #: lr_const.sdescriptioncount
-#| msgid "COUNT(<BandName>)/Returns count of data-rows given in the <BandName>. "
-msgid "COUNT(<BandName>)/Returns count of data rows given in the <BandName>. "
+#, fuzzy
+#| msgid "COUNT(<BandName>)/Returns count of data rows given in the <BandName>. "
+msgid "COUNT(<BandName>)/Returns count of data-rows given in the <BandName>. "
 msgstr "COUNT(<NombreDeBanda>)/Regresa la cuenta de registros en <NombreDeBanda>. "
 
 #: lr_const.sdescriptiondayof
@@ -288,10 +269,6 @@
 msgid "DAYOF(<Date>)/Returns day number (1..31) of given <Date>."
 msgstr "DAYOF(<Fecha>)/Regresa el día (1..31) de una <Fecha> dada."
 
-#: lr_const.sdescriptiondec
-msgid "DEC(<Value>)/Decrement <Value>."
-msgstr ""
-
 #: lr_const.sdescriptionformatdatetime
 msgid "FORMATDATETIME(<Fmt>, <DateTime>)/Converts a <DateTime> value to a string using mask in <Fmt>."
 msgstr "FORMATDATETIME(<Fmt>, <FechaHora>)/Convierte un valor de <FechaHora> a cadena usando la máscara en <Fmt>."
@@ -308,13 +285,10 @@
 msgid "FRAC(<Value>)/Returns the fractional part of floating point <Value>."
 msgstr "FRAC(<Value>)/Devuelve la parte fraccionaria de punto flotante <Value>."
 
-#: lr_const.sdescriptioninc
-msgid "INC(<Value>)/Increment <Value>."
-msgstr ""
-
 #: lr_const.sdescriptioninput
-#| msgid "INPUT(<Caption> [,Default])/Shows dialog window with headstring <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
-msgid "INPUT(<Caption> [,Default])/Shows dialog window with title <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
+#, fuzzy
+#| msgid "INPUT(<Caption> [,Default])/Shows dialog window with title <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
+msgid "INPUT(<Caption> [,Default])/Shows dialog window with headstring <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
 msgstr "INPUT(<Encabezado> [,Default])/Muestra una ventana de diálogo con encabezado <Encabezado> y un control de edición. Si el parámetro [Default] se usa, ésta cadena se pone en el control de edición. Después que se hace clic en ACEPTAR, se regresa la cadena introducida."
 
 #: lr_const.sdescriptionint
@@ -357,14 +331,6 @@
 msgid "NAMECASE(<String>)/Converts <String> symbols to lower case, and first symbol is in upper case."
 msgstr "NAMECASE(<Cadena>)/Convierte la <Cadena> a minúsculas poniendo la primera letra en mayúsculas."
 
-#: lr_const.sdescriptionnewcolumn
-msgid "NEWCOLUMN/Create new column on page for current report."
-msgstr ""
-
-#: lr_const.sdescriptionnewpage
-msgid "NEWPAGE/Create new page for current report."
-msgstr ""
-
 #: lr_const.sdescriptionpos
 msgid "POS(<SubString>, <String>)/Returns position of substring in given string."
 msgstr "POS(<Subcadena>, <Cadena>)/Regresa la posición de <Subcadena> en <Cadena>."
@@ -373,14 +339,6 @@
 msgid "ROUND(<Value>)/Rounds the floating point <Value> to nearest integer number."
 msgstr "ROUND(<Value>)/Redondea el punto flotante <Value> al número entero más cercano."
 
-#: lr_const.sdescriptionshowband
-msgid "SHOWBAND(<BandName>)/Show <BandName> in report."
-msgstr ""
-
-#: lr_const.sdescriptionstopreport
-msgid "STOPREPORT/Terminate report creation."
-msgstr ""
-
 #: lr_const.sdescriptionstr
 msgid "STR(<Value>)/Converts the given (numeric) <Value> in string."
 msgstr "STR(<Value>)/Convierte el (numeric) dado <Value> en cadena."
@@ -502,8 +460,9 @@
 msgstr "Reporte:"
 
 #: lr_const.sdocautor
-#| msgid "Autor"
-msgid "Author"
+#, fuzzy
+#| msgid "Author"
+msgid "Autor"
 msgstr "Autor"
 
 #: lr_const.sdocbuild
@@ -527,8 +486,9 @@
 msgstr "Comentarios"
 
 #: lr_const.sdocoptformkeywords
-#| msgid "Keys words"
-msgid "Keywords"
+#, fuzzy
+#| msgid "Keywords"
+msgid "Keys words"
 msgstr "Palabras clave"
 
 #: lr_const.sdocoptformopt
@@ -617,8 +577,9 @@
 msgstr "Error"
 
 #: lr_const.serroroccured
-#| msgid "An error occured during calculating"
-msgid "An error occurred during calculation"
+#, fuzzy
+#| msgid "An error occurred during calculation"
+msgid "An error occured during calculating"
 msgstr "Ocurrió un error durante el cálculo"
 
 #: lr_const.sevformcapt
@@ -663,10 +624,6 @@
 msgid "Insert DB field"
 msgstr "Insertar campo DB"
 
-#: lr_const.sfilenotfound
-msgid "File not found"
-msgstr "Archivo no encontrado"
-
 #: lr_const.sfilter
 msgid "Filter properties"
 msgstr "Propiedades del filtro"
@@ -837,10 +794,6 @@
 msgid "Force new page"
 msgstr "Forzar página nueva"
 
-#: lr_const.sfrdesignerdatainsp
-msgid "Data inspector"
-msgstr "Inspector de datos"
-
 #: lr_const.sfrdesignerexists
 msgid "You already have one TfrDesigner component"
 msgstr "Usted ya tiene un componente TfrDesigner"
@@ -1160,10 +1113,6 @@
 msgid "C&ut"
 msgstr "C&ortar"
 
-#: lr_const.sfrdesignerform_datainsp
-msgid "&Data inspector"
-msgstr "Inspector de &Datos."
-
 #: lr_const.sfrdesignerform_delete
 msgid "&Delete"
 msgstr "&Eliminar"
@@ -1309,6 +1258,10 @@
 msgid "Variables &list ..."
 msgstr "&Lista de variables ..."
 
+#: lr_const.sfrferror
+msgid "Unsupported FRF format"
+msgstr ""
+
 #: lr_const.sfrom
 msgid "from"
 msgstr "desde"
@@ -1317,10 +1270,6 @@
 msgid "FR variables"
 msgstr "Variables FR"
 
-#: lr_const.sfunctions
-msgid "Functions"
-msgstr "Funciones"
-
 #: lr_const.sgeditorformcapt
 msgid "Picture"
 msgstr "Imagen"
@@ -1427,14 +1376,6 @@
 msgid "Insert CheckBox object"
 msgstr "Insertar objeto de Marca de Verificación"
 
-#: lr_const.sinsert
-msgid "Insert"
-msgstr "Insertar"
-
-#: lr_const.sinsertexpression
-msgid "Insert Expression"
-msgstr "Insertar Expresión"
-
 #: lr_const.sinsertfields
 msgid "Insert DB fields"
 msgstr "Insertar campos DB"
@@ -1468,8 +1409,9 @@
 msgstr "&Vertical"
 
 #: lr_const.sinsroundrect
-#| msgid "Insert an RoundRect with shadow area"
-msgid "Insert a RoundRect with shadow area"
+#, fuzzy
+#| msgid "Insert a RoundRect with shadow area"
+msgid "Insert an RoundRect with shadow area"
 msgstr "Insertar un rectángulo redondeado con sombra"
 
 #: lr_const.sinsshape
@@ -1476,26 +1418,6 @@
 msgid "Insert Shape object"
 msgstr "Insertar objeto de Forma"
 
-#: lr_const.sinterpretator
-msgid "Interpretator"
-msgstr "Intérprete"
-
-#: lr_const.sinvalidfrfreport
-msgid "Invalid binary report"
-msgstr "Reporte binario inválido"
-
-#: lr_const.sinvalidfrfversion
-msgid "Invalid report version"
-msgstr "Versión del reporte no válida"
-
-#: lr_const.sinvalidlrfreport
-msgid "Invalid report format"
-msgstr "Formato de reporte no válido"
-
-#: lr_const.sinvalidvariablename
-msgid "\"%s\" is not a valid variable name."
-msgstr "\"%s\" no es un nombre de variable válido."
-
 #: lr_const.skeepaspectratio
 msgid "Keep aspect ratio"
 msgstr "Mantener proporciones"
@@ -2211,8 +2133,9 @@
 msgstr "&Toda la página"
 
 #: lr_const.sprintererror
-#| msgid "Printer selected is not valid"
-msgid "Selected printer is not valid"
+#, fuzzy
+#| msgid "Selected printer is not valid"
+msgid "Printer selected is not valid"
 msgstr "La impresora seleccionada no es válida"
 
 #: lr_const.sprintformall
@@ -2219,10 +2142,6 @@
 msgid "&All"
 msgstr "&Todo"
 
-#: lr_const.sprintformcollate
-msgid "Collate"
-msgstr "Ordenar copias"
-
 #: lr_const.sprintformcopy
 msgid "&Copies:"
 msgstr "&Copias:"
@@ -2274,22 +2193,21 @@
 msgstr "Archivo de reporte"
 
 #: lr_const.sreportcreatedate
-#| msgid "Report create date"
-msgid "Report creation date"
+#, fuzzy
+#| msgid "Report creation date"
+msgid "Report create date"
 msgstr "Fecha de creación del reporte"
 
 #: lr_const.sreportlastmodifydate
-#| msgid "Report last modify date"
-msgid "Report last modification date"
+#, fuzzy
+#| msgid "Report last modification date"
+msgid "Report last modify date"
 msgstr "Fecha última modificación del reporte"
 
-#: lr_const.sreportloadingerror
-msgid "Error while loading report"
-msgstr "Error al cargar el reporte"
-
 #: lr_const.sreportpreparing
-#| msgid "Report preparing"
-msgid "Preparing report"
+#, fuzzy
+#| msgid "Preparing report"
+msgid "Report preparing"
 msgstr "Preparando el reporte"
 
 #: lr_const.sroundrectformbegincolor
@@ -2320,13 +2238,14 @@
 msgid "Framed zone"
 msgstr "Zona enmarcada"
 
-#: lr_const.sroundrectformgradient
-msgid "Gradient"
-msgstr "Degradado"
+#: lr_const.sroundrectformgradian
+msgid "Gradian"
+msgstr ""
 
 #: lr_const.sroundrectformhint
-#| msgid "Click here to define the shadow color or gradian colors"
-msgid "Click here to define the shadow color or gradient colors"
+#, fuzzy
+#| msgid "Click here to define the shadow color or gradient colors"
+msgid "Click here to define the shadow color or gradian colors"
 msgstr "Haga clic aquí para definir el color o degradado de colores de la sombra"
 
 #: lr_const.sroundrectformsample
@@ -2436,22 +2355,6 @@
 msgid "ASCII Text file"
 msgstr "Archivo de texto ASCII"
 
-#: lr_const.stimeformat1
-msgid "hh:nn:ss"
-msgstr ""
-
-#: lr_const.stimeformat2
-msgid "h:nn:ss"
-msgstr ""
-
-#: lr_const.stimeformat3
-msgid "hh:nn"
-msgstr ""
-
-#: lr_const.stimeformat4
-msgid "h:nn"
-msgstr ""
-
 #: lr_const.sto
 msgid "to"
 msgstr "hacia"
@@ -2460,10 +2363,6 @@
 msgid "Transparent"
 msgstr "Transparente"
 
-#: lr_const.sunabletoreadversion
-msgid "Unable to read report version"
-msgstr "No es posible leer la versión del reporte."
-
 #: lr_const.suntitled
 msgid "Untitled"
 msgstr "SinTítulo"
@@ -2527,10 +2426,6 @@
 msgid "&Category:"
 msgstr "&Categoría:"
 
-#: lr_const.svariable
-msgid "Variable"
-msgstr "Variable"
-
 #: lr_const.svbandeditorformbnd
 msgid "Bands"
 msgstr "Bandas"
Index: components/lazreport/source/languages/lr_const.fr.po
===================================================================
--- components/lazreport/source/languages/lr_const.fr.po	(revision 46146)
+++ components/lazreport/source/languages/lr_const.fr.po	(working copy)
@@ -249,30 +249,10 @@
 msgid "Memo:"
 msgstr ""
 
-#: lr_const.sdateformat1
-msgid "mm.dd.yy"
-msgstr ""
-
-#: lr_const.sdateformat2
-msgid "mm.dd.yyyy"
-msgstr ""
-
-#: lr_const.sdateformat3
-msgid "d mmm yyyy"
-msgstr ""
-
-#: lr_const.sdateformat4
-msgid "d mmmm yyyy"
-msgstr ""
-
 #: lr_const.sdatetimecategory
 msgid "Date and time"
 msgstr "Date et heure"
 
-#: lr_const.sdbfield
-msgid "DB field"
-msgstr ""
-
 #: lr_const.sdefaultprinter
 msgid "Default printer"
 msgstr "Imprimante par défaut"
@@ -287,8 +267,8 @@
 
 #: lr_const.sdescriptioncount
 #, fuzzy
-#| msgid "COUNT(<BandName>)/Returns count of data-rows given in the <BandName>. "
-msgid "COUNT(<BandName>)/Returns count of data rows given in the <BandName>. "
+#| msgid "COUNT(<BandName>)/Returns count of data rows given in the <BandName>. "
+msgid "COUNT(<BandName>)/Returns count of data-rows given in the <BandName>. "
 msgstr "COUNT(<NomBande>)/Retourne le nombre de lignes de <NomBande>. "
 
 #: lr_const.sdescriptiondayof
@@ -295,10 +275,6 @@
 msgid "DAYOF(<Date>)/Returns day number (1..31) of given <Date>."
 msgstr "DAYOF(<Date>)/Renvoie le nombre de jour (1..31) de <Date>."
 
-#: lr_const.sdescriptiondec
-msgid "DEC(<Value>)/Decrement <Value>."
-msgstr ""
-
 #: lr_const.sdescriptionformatdatetime
 msgid "FORMATDATETIME(<Fmt>, <DateTime>)/Converts a <DateTime> value to a string using mask in <Fmt>."
 msgstr "FORMATDATETIME(<Fmt>, <DateTime>)/Convertit une valeur <DateTime> en chaîne de cararctères en utilisant le format <Fmt>."
@@ -315,14 +291,10 @@
 msgid "FRAC(<Value>)/Returns the fractional part of floating point <Value>."
 msgstr ""
 
-#: lr_const.sdescriptioninc
-msgid "INC(<Value>)/Increment <Value>."
-msgstr ""
-
 #: lr_const.sdescriptioninput
 #, fuzzy
-#| msgid "INPUT(<Caption> [,Default])/Shows dialog window with headstring <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
-msgid "INPUT(<Caption> [,Default])/Shows dialog window with title <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
+#| msgid "INPUT(<Caption> [,Default])/Shows dialog window with title <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
+msgid "INPUT(<Caption> [,Default])/Shows dialog window with headstring <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
 msgstr "INPUT(<Caption> [,Default])/Affiche une fenêtre de dialogue avec le titre <Caption> et un champ de saisie. If le paramètre [Default] est présent, ce texte sera affiché dans le champs de saisie. Lorsque l'utilisateur clique sur OK, le texte est retourné."
 
 #: lr_const.sdescriptionint
@@ -365,14 +337,6 @@
 msgid "NAMECASE(<String>)/Converts <String> symbols to lower case, and first symbol is in upper case."
 msgstr "NAMECASE(<String>)/Capitalise  <String>."
 
-#: lr_const.sdescriptionnewcolumn
-msgid "NEWCOLUMN/Create new column on page for current report."
-msgstr ""
-
-#: lr_const.sdescriptionnewpage
-msgid "NEWPAGE/Create new page for current report."
-msgstr ""
-
 #: lr_const.sdescriptionpos
 msgid "POS(<SubString>, <String>)/Returns position of substring in given string."
 msgstr "POS(<SubString>, <String>)/Retourne la position de la chaîne <SubString> dans la chaîne <String>."
@@ -381,14 +345,6 @@
 msgid "ROUND(<Value>)/Rounds the floating point <Value> to nearest integer number."
 msgstr ""
 
-#: lr_const.sdescriptionshowband
-msgid "SHOWBAND(<BandName>)/Show <BandName> in report."
-msgstr ""
-
-#: lr_const.sdescriptionstopreport
-msgid "STOPREPORT/Terminate report creation."
-msgstr ""
-
 #: lr_const.sdescriptionstr
 msgid "STR(<Value>)/Converts the given (numeric) <Value> in string."
 msgstr ""
@@ -511,8 +467,8 @@
 
 #: lr_const.sdocautor
 #, fuzzy
-#| msgid "Autor"
-msgid "Author"
+#| msgid "Author"
+msgid "Autor"
 msgstr "Auteur"
 
 #: lr_const.sdocbuild
@@ -537,8 +493,8 @@
 
 #: lr_const.sdocoptformkeywords
 #, fuzzy
-#| msgid "Keys words"
-msgid "Keywords"
+#| msgid "Keywords"
+msgid "Keys words"
 msgstr "Mots clés"
 
 #: lr_const.sdocoptformopt
@@ -628,8 +584,8 @@
 
 #: lr_const.serroroccured
 #, fuzzy
-#| msgid "An error occured during calculating"
-msgid "An error occurred during calculation"
+#| msgid "An error occurred during calculation"
+msgid "An error occured during calculating"
 msgstr "Une erreur s'est produite pendant le calcul"
 
 #: lr_const.sevformcapt
@@ -676,10 +632,6 @@
 msgid "Insert DB field"
 msgstr "Insérer un champ BDD"
 
-#: lr_const.sfilenotfound
-msgid "File not found"
-msgstr ""
-
 #: lr_const.sfilter
 msgid "Filter properties"
 msgstr "Propriétés de filtre"
@@ -851,10 +803,6 @@
 msgid "Force new page"
 msgstr "Forcer une nouvelle page"
 
-#: lr_const.sfrdesignerdatainsp
-msgid "Data inspector"
-msgstr ""
-
 #: lr_const.sfrdesignerexists
 msgid "You already have one TfrDesigner component"
 msgstr ""
@@ -1175,10 +1123,6 @@
 msgid "C&ut"
 msgstr "Co&uper"
 
-#: lr_const.sfrdesignerform_datainsp
-msgid "&Data inspector"
-msgstr ""
-
 #: lr_const.sfrdesignerform_delete
 msgid "&Delete"
 msgstr "&Supprimer"
@@ -1333,6 +1277,10 @@
 msgid "Variables &list ..."
 msgstr "&Liste de variables..."
 
+#: lr_const.sfrferror
+msgid "Unsupported FRF format"
+msgstr ""
+
 #: lr_const.sfrom
 msgid "from"
 msgstr "de"
@@ -1341,10 +1289,6 @@
 msgid "FR variables"
 msgstr "Variables FR"
 
-#: lr_const.sfunctions
-msgid "Functions"
-msgstr ""
-
 #: lr_const.sgeditorformcapt
 msgid "Picture"
 msgstr "Image"
@@ -1456,14 +1400,6 @@
 msgid "Insert CheckBox object"
 msgstr "Insérer un objet Ccase à cocher"
 
-#: lr_const.sinsert
-msgid "Insert"
-msgstr ""
-
-#: lr_const.sinsertexpression
-msgid "Insert Expression"
-msgstr ""
-
 #: lr_const.sinsertfields
 msgid "Insert DB fields"
 msgstr "Insérer des champs BDD"
@@ -1498,8 +1434,8 @@
 
 #: lr_const.sinsroundrect
 #, fuzzy
-#| msgid "Insert an RoundRect with shadow area"
-msgid "Insert a RoundRect with shadow area"
+#| msgid "Insert a RoundRect with shadow area"
+msgid "Insert an RoundRect with shadow area"
 msgstr "Insérer un rectancle arrondi avec une zone ombré"
 
 #: lr_const.sinsshape
@@ -1506,26 +1442,6 @@
 msgid "Insert Shape object"
 msgstr "Inserer un objet forme géométrique"
 
-#: lr_const.sinterpretator
-msgid "Interpretator"
-msgstr ""
-
-#: lr_const.sinvalidfrfreport
-msgid "Invalid binary report"
-msgstr ""
-
-#: lr_const.sinvalidfrfversion
-msgid "Invalid report version"
-msgstr ""
-
-#: lr_const.sinvalidlrfreport
-msgid "Invalid report format"
-msgstr ""
-
-#: lr_const.sinvalidvariablename
-msgid "\"%s\" is not a valid variable name."
-msgstr ""
-
 #: lr_const.skeepaspectratio
 msgid "Keep aspect ratio"
 msgstr "Garder les proportions de l'aspect"
@@ -2243,8 +2159,8 @@
 
 #: lr_const.sprintererror
 #, fuzzy
-#| msgid "Printer selected is not valid"
-msgid "Selected printer is not valid"
+#| msgid "Selected printer is not valid"
+msgid "Printer selected is not valid"
 msgstr "Imprimante sélectionnée invalide"
 
 #: lr_const.sprintformall
@@ -2251,10 +2167,6 @@
 msgid "&All"
 msgstr "&Tout"
 
-#: lr_const.sprintformcollate
-msgid "Collate"
-msgstr ""
-
 #: lr_const.sprintformcopy
 msgid "&Copies:"
 msgstr "&Copies:"
@@ -2306,21 +2218,17 @@
 msgstr "Fichier du rapport"
 
 #: lr_const.sreportcreatedate
-msgid "Report creation date"
+msgid "Report create date"
 msgstr ""
 
 #: lr_const.sreportlastmodifydate
-msgid "Report last modification date"
+msgid "Report last modify date"
 msgstr ""
 
-#: lr_const.sreportloadingerror
-msgid "Error while loading report"
-msgstr ""
-
 #: lr_const.sreportpreparing
 #, fuzzy
-#| msgid "Report preparing"
-msgid "Preparing report"
+#| msgid "Preparing report"
+msgid "Report preparing"
 msgstr "Préparation du rapport"
 
 #: lr_const.sroundrectformbegincolor
@@ -2351,14 +2259,14 @@
 msgid "Framed zone"
 msgstr "Zone encadrée"
 
-#: lr_const.sroundrectformgradient
-msgid "Gradient"
+#: lr_const.sroundrectformgradian
+msgid "Gradian"
 msgstr ""
 
 #: lr_const.sroundrectformhint
 #, fuzzy
-#| msgid "Click here to define the shadow color or gradian colors"
-msgid "Click here to define the shadow color or gradient colors"
+#| msgid "Click here to define the shadow color or gradient colors"
+msgid "Click here to define the shadow color or gradian colors"
 msgstr "Cliquez ici pour définir la couleur de l'ombre ou les couleurs du dégradé"
 
 #: lr_const.sroundrectformsample
@@ -2468,22 +2376,6 @@
 msgid "ASCII Text file"
 msgstr "Fichier de texte ASCII"
 
-#: lr_const.stimeformat1
-msgid "hh:nn:ss"
-msgstr ""
-
-#: lr_const.stimeformat2
-msgid "h:nn:ss"
-msgstr ""
-
-#: lr_const.stimeformat3
-msgid "hh:nn"
-msgstr ""
-
-#: lr_const.stimeformat4
-msgid "h:nn"
-msgstr ""
-
 #: lr_const.sto
 msgid "to"
 msgstr "à"
@@ -2492,10 +2384,6 @@
 msgid "Transparent"
 msgstr "Transparent"
 
-#: lr_const.sunabletoreadversion
-msgid "Unable to read report version"
-msgstr ""
-
 #: lr_const.suntitled
 msgid "Untitled"
 msgstr "Sans titre"
@@ -2560,10 +2448,6 @@
 msgid "&Category:"
 msgstr "&Catégorie:"
 
-#: lr_const.svariable
-msgid "Variable"
-msgstr ""
-
 #: lr_const.svbandeditorformbnd
 msgid "Bands"
 msgstr "Bandes"
Index: components/lazreport/source/languages/lr_const.hu.po
===================================================================
--- components/lazreport/source/languages/lr_const.hu.po	(revision 46146)
+++ components/lazreport/source/languages/lr_const.hu.po	(working copy)
@@ -242,30 +242,10 @@
 msgid "Memo:"
 msgstr "Jegyzet:"
 
-#: lr_const.sdateformat1
-msgid "mm.dd.yy"
-msgstr "mm.dd.yy"
-
-#: lr_const.sdateformat2
-msgid "mm.dd.yyyy"
-msgstr "mm.dd.yyyy"
-
-#: lr_const.sdateformat3
-msgid "d mmm yyyy"
-msgstr "d mmm yyyy"
-
-#: lr_const.sdateformat4
-msgid "d mmmm yyyy"
-msgstr "d mmmm yyyy"
-
 #: lr_const.sdatetimecategory
 msgid "Date and time"
 msgstr "Dátum és idő"
 
-#: lr_const.sdbfield
-msgid "DB field"
-msgstr "Adatbázis mező"
-
 #: lr_const.sdefaultprinter
 msgid "Default printer"
 msgstr "Alapértelmezett nyomtató"
@@ -279,7 +259,7 @@
 msgstr ""
 
 #: lr_const.sdescriptioncount
-msgid "COUNT(<BandName>)/Returns count of data rows given in the <BandName>. "
+msgid "COUNT(<BandName>)/Returns count of data-rows given in the <BandName>. "
 msgstr ""
 
 #: lr_const.sdescriptiondayof
@@ -286,10 +266,6 @@
 msgid "DAYOF(<Date>)/Returns day number (1..31) of given <Date>."
 msgstr ""
 
-#: lr_const.sdescriptiondec
-msgid "DEC(<Value>)/Decrement <Value>."
-msgstr ""
-
 #: lr_const.sdescriptionformatdatetime
 msgid "FORMATDATETIME(<Fmt>, <DateTime>)/Converts a <DateTime> value to a string using mask in <Fmt>."
 msgstr ""
@@ -306,12 +282,8 @@
 msgid "FRAC(<Value>)/Returns the fractional part of floating point <Value>."
 msgstr ""
 
-#: lr_const.sdescriptioninc
-msgid "INC(<Value>)/Increment <Value>."
-msgstr ""
-
 #: lr_const.sdescriptioninput
-msgid "INPUT(<Caption> [,Default])/Shows dialog window with title <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
+msgid "INPUT(<Caption> [,Default])/Shows dialog window with headstring <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
 msgstr ""
 
 #: lr_const.sdescriptionint
@@ -354,14 +326,6 @@
 msgid "NAMECASE(<String>)/Converts <String> symbols to lower case, and first symbol is in upper case."
 msgstr ""
 
-#: lr_const.sdescriptionnewcolumn
-msgid "NEWCOLUMN/Create new column on page for current report."
-msgstr ""
-
-#: lr_const.sdescriptionnewpage
-msgid "NEWPAGE/Create new page for current report."
-msgstr ""
-
 #: lr_const.sdescriptionpos
 msgid "POS(<SubString>, <String>)/Returns position of substring in given string."
 msgstr ""
@@ -370,14 +334,6 @@
 msgid "ROUND(<Value>)/Rounds the floating point <Value> to nearest integer number."
 msgstr ""
 
-#: lr_const.sdescriptionshowband
-msgid "SHOWBAND(<BandName>)/Show <BandName> in report."
-msgstr ""
-
-#: lr_const.sdescriptionstopreport
-msgid "STOPREPORT/Terminate report creation."
-msgstr ""
-
 #: lr_const.sdescriptionstr
 msgid "STR(<Value>)/Converts the given (numeric) <Value> in string."
 msgstr ""
@@ -499,7 +455,9 @@
 msgstr "Jelentés:"
 
 #: lr_const.sdocautor
-msgid "Author"
+#, fuzzy
+#| msgid "Author"
+msgid "Autor"
 msgstr "Szerző"
 
 #: lr_const.sdocbuild
@@ -523,7 +481,9 @@
 msgstr "Megjegyzések"
 
 #: lr_const.sdocoptformkeywords
-msgid "Keywords"
+#, fuzzy
+#| msgid "Keywords"
+msgid "Keys words"
 msgstr "Kulcsszavak"
 
 #: lr_const.sdocoptformopt
@@ -614,7 +574,9 @@
 msgstr "Hiba"
 
 #: lr_const.serroroccured
-msgid "An error occurred during calculation"
+#, fuzzy
+#| msgid "An error occurred during calculation"
+msgid "An error occured during calculating"
 msgstr "Hiba keletkezett a számolás közben"
 
 #: lr_const.sevformcapt
@@ -659,10 +621,6 @@
 msgid "Insert DB field"
 msgstr "Adatbázis-mező beszúrása"
 
-#: lr_const.sfilenotfound
-msgid "File not found"
-msgstr ""
-
 #: lr_const.sfilter
 msgid "Filter properties"
 msgstr "Tulajdonságok szűrése"
@@ -833,10 +791,6 @@
 msgid "Force new page"
 msgstr "Új oldal kényszerítése"
 
-#: lr_const.sfrdesignerdatainsp
-msgid "Data inspector"
-msgstr "Adat felügyelő"
-
 #: lr_const.sfrdesignerexists
 msgid "You already have one TfrDesigner component"
 msgstr "Már van egy TfrDesigner komponensed"
@@ -1155,10 +1109,6 @@
 msgid "C&ut"
 msgstr "Kivágás"
 
-#: lr_const.sfrdesignerform_datainsp
-msgid "&Data inspector"
-msgstr "A&dat felügyelő"
-
 #: lr_const.sfrdesignerform_delete
 msgid "&Delete"
 msgstr "&Törlés"
@@ -1295,6 +1245,10 @@
 msgid "Variables &list ..."
 msgstr "Változók listája ..."
 
+#: lr_const.sfrferror
+msgid "Unsupported FRF format"
+msgstr ""
+
 #: lr_const.sfrom
 msgid "from"
 msgstr "innen:"
@@ -1303,10 +1257,6 @@
 msgid "FR variables"
 msgstr "FR változók"
 
-#: lr_const.sfunctions
-msgid "Functions"
-msgstr "Függvények"
-
 #: lr_const.sgeditorformcapt
 msgid "Picture"
 msgstr "Kép"
@@ -1412,14 +1362,6 @@
 msgid "Insert CheckBox object"
 msgstr "Jelölőnégyzet beszúrása"
 
-#: lr_const.sinsert
-msgid "Insert"
-msgstr "Beszúrás"
-
-#: lr_const.sinsertexpression
-msgid "Insert Expression"
-msgstr "Kifejezés beszúrása"
-
 #: lr_const.sinsertfields
 msgid "Insert DB fields"
 msgstr "Adatbázismező beszúrása"
@@ -1453,7 +1395,9 @@
 msgstr "&Függőleges"
 
 #: lr_const.sinsroundrect
-msgid "Insert a RoundRect with shadow area"
+#, fuzzy
+#| msgid "Insert a RoundRect with shadow area"
+msgid "Insert an RoundRect with shadow area"
 msgstr "Lekerekített téglalap beszúrása árnyékkal"
 
 #: lr_const.sinsshape
@@ -1460,26 +1404,6 @@
 msgid "Insert Shape object"
 msgstr "Alakzat beszúrása"
 
-#: lr_const.sinterpretator
-msgid "Interpretator"
-msgstr ""
-
-#: lr_const.sinvalidfrfreport
-msgid "Invalid binary report"
-msgstr ""
-
-#: lr_const.sinvalidfrfversion
-msgid "Invalid report version"
-msgstr ""
-
-#: lr_const.sinvalidlrfreport
-msgid "Invalid report format"
-msgstr ""
-
-#: lr_const.sinvalidvariablename
-msgid "\"%s\" is not a valid variable name."
-msgstr ""
-
 #: lr_const.skeepaspectratio
 msgid "Keep aspect ratio"
 msgstr "Méretarány megtartása"
@@ -2195,7 +2119,9 @@
 msgstr "Teljes oldal"
 
 #: lr_const.sprintererror
-msgid "Selected printer is not valid"
+#, fuzzy
+#| msgid "Selected printer is not valid"
+msgid "Printer selected is not valid"
 msgstr "A kiválasztott nyomtató érvénytelen"
 
 #: lr_const.sprintformall
@@ -2202,10 +2128,6 @@
 msgid "&All"
 msgstr "&Mind"
 
-#: lr_const.sprintformcollate
-msgid "Collate"
-msgstr "Oldalankénti csoportosítás"
-
 #: lr_const.sprintformcopy
 msgid "&Copies:"
 msgstr "Másolatok:"
@@ -2257,19 +2179,21 @@
 msgstr "Jelentés &fájl"
 
 #: lr_const.sreportcreatedate
-msgid "Report creation date"
+#, fuzzy
+#| msgid "Report creation date"
+msgid "Report create date"
 msgstr "Jelentés létrehozásának dátuma"
 
 #: lr_const.sreportlastmodifydate
-msgid "Report last modification date"
+#, fuzzy
+#| msgid "Report last modification date"
+msgid "Report last modify date"
 msgstr "Jelentés utolsó módosításának dátuma"
 
-#: lr_const.sreportloadingerror
-msgid "Error while loading report"
-msgstr "Hiba a jelentés betöltése közben"
-
 #: lr_const.sreportpreparing
-msgid "Preparing report"
+#, fuzzy
+#| msgid "Preparing report"
+msgid "Report preparing"
 msgstr "Jelentés előkészítése"
 
 #: lr_const.sroundrectformbegincolor
@@ -2300,12 +2224,14 @@
 msgid "Framed zone"
 msgstr "Keretezett terület"
 
-#: lr_const.sroundrectformgradient
-msgid "Gradient"
-msgstr "Színátmenet"
+#: lr_const.sroundrectformgradian
+msgid "Gradian"
+msgstr ""
 
 #: lr_const.sroundrectformhint
-msgid "Click here to define the shadow color or gradient colors"
+#, fuzzy
+#| msgid "Click here to define the shadow color or gradient colors"
+msgid "Click here to define the shadow color or gradian colors"
 msgstr "Kattintson ide az árnyék vagy az átmenet színeinek megadásához!"
 
 #: lr_const.sroundrectformsample
@@ -2415,22 +2341,6 @@
 msgid "ASCII Text file"
 msgstr "ASCII Szövegfájl"
 
-#: lr_const.stimeformat1
-msgid "hh:nn:ss"
-msgstr "hh:nn:ss"
-
-#: lr_const.stimeformat2
-msgid "h:nn:ss"
-msgstr "h:nn:ss"
-
-#: lr_const.stimeformat3
-msgid "hh:nn"
-msgstr "hh:nn"
-
-#: lr_const.stimeformat4
-msgid "h:nn"
-msgstr "h:nn"
-
 #: lr_const.sto
 msgid "to"
 msgstr "-->"
@@ -2439,10 +2349,6 @@
 msgid "Transparent"
 msgstr "Átlátszó"
 
-#: lr_const.sunabletoreadversion
-msgid "Unable to read report version"
-msgstr ""
-
 #: lr_const.suntitled
 msgid "Untitled"
 msgstr "Névtelen"
@@ -2505,10 +2411,6 @@
 msgid "&Category:"
 msgstr "Kategória:"
 
-#: lr_const.svariable
-msgid "Variable"
-msgstr "Változó"
-
 #: lr_const.svbandeditorformbnd
 msgid "Bands"
 msgstr "Sávok"
Index: components/lazreport/source/languages/lr_const.id.po
===================================================================
--- components/lazreport/source/languages/lr_const.id.po	(revision 46146)
+++ components/lazreport/source/languages/lr_const.id.po	(working copy)
@@ -240,30 +240,10 @@
 msgid "Memo:"
 msgstr ""
 
-#: lr_const.sdateformat1
-msgid "mm.dd.yy"
-msgstr ""
-
-#: lr_const.sdateformat2
-msgid "mm.dd.yyyy"
-msgstr ""
-
-#: lr_const.sdateformat3
-msgid "d mmm yyyy"
-msgstr ""
-
-#: lr_const.sdateformat4
-msgid "d mmmm yyyy"
-msgstr ""
-
 #: lr_const.sdatetimecategory
 msgid "Date and time"
 msgstr "Tanggal dan jam"
 
-#: lr_const.sdbfield
-msgid "DB field"
-msgstr ""
-
 #: lr_const.sdefaultprinter
 msgid "Default printer"
 msgstr "Printer standar"
@@ -278,8 +258,8 @@
 
 #: lr_const.sdescriptioncount
 #, fuzzy
-#| msgid "COUNT(<BandName>)/Returns count of data-rows given in the <BandName>. "
-msgid "COUNT(<BandName>)/Returns count of data rows given in the <BandName>. "
+#| msgid "COUNT(<BandName>)/Returns count of data rows given in the <BandName>. "
+msgid "COUNT(<BandName>)/Returns count of data-rows given in the <BandName>. "
 msgstr "COUNT(<BandName>)/Mengembalikan jumlah baris-data yang diberikan dalam <BandName>. "
 
 #: lr_const.sdescriptiondayof
@@ -286,10 +266,6 @@
 msgid "DAYOF(<Date>)/Returns day number (1..31) of given <Date>."
 msgstr "DAYOF(<Date>)/Mengembalikan angka hari (1..31) dari tanggal <Date>."
 
-#: lr_const.sdescriptiondec
-msgid "DEC(<Value>)/Decrement <Value>."
-msgstr ""
-
 #: lr_const.sdescriptionformatdatetime
 msgid "FORMATDATETIME(<Fmt>, <DateTime>)/Converts a <DateTime> value to a string using mask in <Fmt>."
 msgstr "FORMATDATETIME(<Fmt>, <DateTime>)/Mengubah nilai <DateTime> ke string menggunakan mask dalam <Fmt>."
@@ -306,14 +282,10 @@
 msgid "FRAC(<Value>)/Returns the fractional part of floating point <Value>."
 msgstr ""
 
-#: lr_const.sdescriptioninc
-msgid "INC(<Value>)/Increment <Value>."
-msgstr ""
-
 #: lr_const.sdescriptioninput
 #, fuzzy
-#| msgid "INPUT(<Caption> [,Default])/Shows dialog window with headstring <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
-msgid "INPUT(<Caption> [,Default])/Shows dialog window with title <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
+#| msgid "INPUT(<Caption> [,Default])/Shows dialog window with title <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
+msgid "INPUT(<Caption> [,Default])/Shows dialog window with headstring <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
 msgstr "INPUT(<Caption> [,Default])/Menampilkan jendela dialog dengan headstring <Caption> dan kotak edit. Jika parameter [Default] disetel, menaruh string ini dalam kotak edit. Setelah pengguna mengklik OK, mengembalikan string input."
 
 #: lr_const.sdescriptionint
@@ -356,14 +328,6 @@
 msgid "NAMECASE(<String>)/Converts <String> symbols to lower case, and first symbol is in upper case."
 msgstr "NAMECASE(<String>)/Mengubah simbol <String> ke huruf kecil, dan simbol pertama dalam huruf besar."
 
-#: lr_const.sdescriptionnewcolumn
-msgid "NEWCOLUMN/Create new column on page for current report."
-msgstr ""
-
-#: lr_const.sdescriptionnewpage
-msgid "NEWPAGE/Create new page for current report."
-msgstr ""
-
 #: lr_const.sdescriptionpos
 msgid "POS(<SubString>, <String>)/Returns position of substring in given string."
 msgstr "POS(<SubString>, <String>)/Mengembalikan posisi substring dari string yang diberikan."
@@ -372,14 +336,6 @@
 msgid "ROUND(<Value>)/Rounds the floating point <Value> to nearest integer number."
 msgstr ""
 
-#: lr_const.sdescriptionshowband
-msgid "SHOWBAND(<BandName>)/Show <BandName> in report."
-msgstr ""
-
-#: lr_const.sdescriptionstopreport
-msgid "STOPREPORT/Terminate report creation."
-msgstr ""
-
 #: lr_const.sdescriptionstr
 msgid "STR(<Value>)/Converts the given (numeric) <Value> in string."
 msgstr ""
@@ -501,7 +457,7 @@
 msgstr "Laporan:"
 
 #: lr_const.sdocautor
-msgid "Author"
+msgid "Autor"
 msgstr ""
 
 #: lr_const.sdocbuild
@@ -526,8 +482,8 @@
 
 #: lr_const.sdocoptformkeywords
 #, fuzzy
-#| msgid "Keys words"
-msgid "Keywords"
+#| msgid "Keywords"
+msgid "Keys words"
 msgstr "Kata kunci"
 
 #: lr_const.sdocoptformopt
@@ -617,8 +573,8 @@
 
 #: lr_const.serroroccured
 #, fuzzy
-#| msgid "An error occured during calculating"
-msgid "An error occurred during calculation"
+#| msgid "An error occurred during calculation"
+msgid "An error occured during calculating"
 msgstr "Kesalahan terjadi saat menghitung"
 
 #: lr_const.sevformcapt
@@ -665,10 +621,6 @@
 msgid "Insert DB field"
 msgstr "Sisipkan field DB"
 
-#: lr_const.sfilenotfound
-msgid "File not found"
-msgstr ""
-
 #: lr_const.sfilter
 msgid "Filter properties"
 msgstr "Properti filter"
@@ -840,10 +792,6 @@
 msgid "Force new page"
 msgstr "Paksa halaman baru"
 
-#: lr_const.sfrdesignerdatainsp
-msgid "Data inspector"
-msgstr ""
-
 #: lr_const.sfrdesignerexists
 msgid "You already have one TfrDesigner component"
 msgstr ""
@@ -1164,10 +1112,6 @@
 msgid "C&ut"
 msgstr "C&ut"
 
-#: lr_const.sfrdesignerform_datainsp
-msgid "&Data inspector"
-msgstr ""
-
 #: lr_const.sfrdesignerform_delete
 msgid "&Delete"
 msgstr "&Hapus"
@@ -1322,6 +1266,10 @@
 msgid "Variables &list ..."
 msgstr "Da&ftar variabel..."
 
+#: lr_const.sfrferror
+msgid "Unsupported FRF format"
+msgstr ""
+
 #: lr_const.sfrom
 msgid "from"
 msgstr "dari"
@@ -1330,10 +1278,6 @@
 msgid "FR variables"
 msgstr "Variabel FR"
 
-#: lr_const.sfunctions
-msgid "Functions"
-msgstr ""
-
 #: lr_const.sgeditorformcapt
 msgid "Picture"
 msgstr "Gambar"
@@ -1445,14 +1389,6 @@
 msgid "Insert CheckBox object"
 msgstr "Sisipkan obyek KotakCentang"
 
-#: lr_const.sinsert
-msgid "Insert"
-msgstr ""
-
-#: lr_const.sinsertexpression
-msgid "Insert Expression"
-msgstr ""
-
 #: lr_const.sinsertfields
 msgid "Insert DB fields"
 msgstr "Sisipkan field DB"
@@ -1487,8 +1423,8 @@
 
 #: lr_const.sinsroundrect
 #, fuzzy
-#| msgid "Insert an RoundRect with shadow area"
-msgid "Insert a RoundRect with shadow area"
+#| msgid "Insert a RoundRect with shadow area"
+msgid "Insert an RoundRect with shadow area"
 msgstr "Sisipkan KotakBulat dengan bayangan area"
 
 #: lr_const.sinsshape
@@ -1495,26 +1431,6 @@
 msgid "Insert Shape object"
 msgstr "Sisipkan obyek Bentuk"
 
-#: lr_const.sinterpretator
-msgid "Interpretator"
-msgstr ""
-
-#: lr_const.sinvalidfrfreport
-msgid "Invalid binary report"
-msgstr ""
-
-#: lr_const.sinvalidfrfversion
-msgid "Invalid report version"
-msgstr ""
-
-#: lr_const.sinvalidlrfreport
-msgid "Invalid report format"
-msgstr ""
-
-#: lr_const.sinvalidvariablename
-msgid "\"%s\" is not a valid variable name."
-msgstr ""
-
 #: lr_const.skeepaspectratio
 msgid "Keep aspect ratio"
 msgstr "Jaga raso aspek"
@@ -2232,8 +2148,8 @@
 
 #: lr_const.sprintererror
 #, fuzzy
-#| msgid "Printer selected is not valid"
-msgid "Selected printer is not valid"
+#| msgid "Selected printer is not valid"
+msgid "Printer selected is not valid"
 msgstr "Printer yang dipilih tidak benar"
 
 #: lr_const.sprintformall
@@ -2240,10 +2156,6 @@
 msgid "&All"
 msgstr "Semu&a"
 
-#: lr_const.sprintformcollate
-msgid "Collate"
-msgstr ""
-
 #: lr_const.sprintformcopy
 msgid "&Copies:"
 msgstr "&Duplikat:"
@@ -2295,21 +2207,17 @@
 msgstr "File laporan"
 
 #: lr_const.sreportcreatedate
-msgid "Report creation date"
+msgid "Report create date"
 msgstr ""
 
 #: lr_const.sreportlastmodifydate
-msgid "Report last modification date"
+msgid "Report last modify date"
 msgstr ""
 
-#: lr_const.sreportloadingerror
-msgid "Error while loading report"
-msgstr ""
-
 #: lr_const.sreportpreparing
 #, fuzzy
-#| msgid "Report preparing"
-msgid "Preparing report"
+#| msgid "Preparing report"
+msgid "Report preparing"
 msgstr "Menyiapkan laporan"
 
 #: lr_const.sroundrectformbegincolor
@@ -2340,14 +2248,14 @@
 msgid "Framed zone"
 msgstr "Zona bingkai"
 
-#: lr_const.sroundrectformgradient
-msgid "Gradient"
+#: lr_const.sroundrectformgradian
+msgid "Gradian"
 msgstr ""
 
 #: lr_const.sroundrectformhint
 #, fuzzy
-#| msgid "Click here to define the shadow color or gradian colors"
-msgid "Click here to define the shadow color or gradient colors"
+#| msgid "Click here to define the shadow color or gradient colors"
+msgid "Click here to define the shadow color or gradian colors"
 msgstr "Klik di sini untuk mendefinisikan warna bayangan atau warna gradien"
 
 #: lr_const.sroundrectformsample
@@ -2457,22 +2365,6 @@
 msgid "ASCII Text file"
 msgstr "File Teks ASCII"
 
-#: lr_const.stimeformat1
-msgid "hh:nn:ss"
-msgstr ""
-
-#: lr_const.stimeformat2
-msgid "h:nn:ss"
-msgstr ""
-
-#: lr_const.stimeformat3
-msgid "hh:nn"
-msgstr ""
-
-#: lr_const.stimeformat4
-msgid "h:nn"
-msgstr ""
-
 #: lr_const.sto
 msgid "to"
 msgstr "ke"
@@ -2481,10 +2373,6 @@
 msgid "Transparent"
 msgstr "Transparan"
 
-#: lr_const.sunabletoreadversion
-msgid "Unable to read report version"
-msgstr ""
-
 #: lr_const.suntitled
 msgid "Untitled"
 msgstr "Tidak berjudul"
@@ -2549,10 +2437,6 @@
 msgid "&Category:"
 msgstr "&Kategori:"
 
-#: lr_const.svariable
-msgid "Variable"
-msgstr ""
-
 #: lr_const.svbandeditorformbnd
 msgid "Bands"
 msgstr "Band:"
Index: components/lazreport/source/languages/lr_const.it.po
===================================================================
--- components/lazreport/source/languages/lr_const.it.po	(revision 46146)
+++ components/lazreport/source/languages/lr_const.it.po	(working copy)
@@ -241,30 +241,10 @@
 msgid "Memo:"
 msgstr ""
 
-#: lr_const.sdateformat1
-msgid "mm.dd.yy"
-msgstr ""
-
-#: lr_const.sdateformat2
-msgid "mm.dd.yyyy"
-msgstr ""
-
-#: lr_const.sdateformat3
-msgid "d mmm yyyy"
-msgstr ""
-
-#: lr_const.sdateformat4
-msgid "d mmmm yyyy"
-msgstr ""
-
 #: lr_const.sdatetimecategory
 msgid "Date and time"
 msgstr "Data e ora"
 
-#: lr_const.sdbfield
-msgid "DB field"
-msgstr ""
-
 #: lr_const.sdefaultprinter
 msgid "Default printer"
 msgstr "Stampante di default"
@@ -279,8 +259,8 @@
 
 #: lr_const.sdescriptioncount
 #, fuzzy
-#| msgid "COUNT(<BandName>)/Returns count of data-rows given in the <BandName>. "
-msgid "COUNT(<BandName>)/Returns count of data rows given in the <BandName>. "
+#| msgid "COUNT(<BandName>)/Returns count of data rows given in the <BandName>. "
+msgid "COUNT(<BandName>)/Returns count of data-rows given in the <BandName>. "
 msgstr "COUNT(<BandName>)/Ritorna ilnumero di righe dati in <BandName>. "
 
 #: lr_const.sdescriptiondayof
@@ -287,10 +267,6 @@
 msgid "DAYOF(<Date>)/Returns day number (1..31) of given <Date>."
 msgstr "DAYOF(<Data>)/Ritorna il numero del giorno (1..31) della <Data>."
 
-#: lr_const.sdescriptiondec
-msgid "DEC(<Value>)/Decrement <Value>."
-msgstr ""
-
 #: lr_const.sdescriptionformatdatetime
 msgid "FORMATDATETIME(<Fmt>, <DateTime>)/Converts a <DateTime> value to a string using mask in <Fmt>."
 msgstr "FORMATDATETIME(<Fmt>, <DataOra>)/Converte un valore <DateTime> in una stringa usando la maschera in <Fmt>."
@@ -307,14 +283,10 @@
 msgid "FRAC(<Value>)/Returns the fractional part of floating point <Value>."
 msgstr "FRAC(<Valore>)/Ritorna la parte frazionaria di un <Valore> in virgola mobile."
 
-#: lr_const.sdescriptioninc
-msgid "INC(<Value>)/Increment <Value>."
-msgstr ""
-
 #: lr_const.sdescriptioninput
 #, fuzzy
-#| msgid "INPUT(<Caption> [,Default])/Shows dialog window with headstring <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
-msgid "INPUT(<Caption> [,Default])/Shows dialog window with title <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
+#| msgid "INPUT(<Caption> [,Default])/Shows dialog window with title <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
+msgid "INPUT(<Caption> [,Default])/Shows dialog window with headstring <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
 msgstr "INPUT(<Titolo> [,Default])/Mostra una dialog con scritta di testa <Titolo> ed editbox. Se il parametro [Default] ha un valore, mette quel valore come stringa nell'editbox. Quando l'utente clicca OK, ritorna la stringa nell'editbox."
 
 #: lr_const.sdescriptionint
@@ -357,14 +329,6 @@
 msgid "NAMECASE(<String>)/Converts <String> symbols to lower case, and first symbol is in upper case."
 msgstr "NAMECASE(<Stringa>)/Converte i caratteri di <Stringa> in minuscolo, e il primo carattere in maiuscolo."
 
-#: lr_const.sdescriptionnewcolumn
-msgid "NEWCOLUMN/Create new column on page for current report."
-msgstr ""
-
-#: lr_const.sdescriptionnewpage
-msgid "NEWPAGE/Create new page for current report."
-msgstr ""
-
 #: lr_const.sdescriptionpos
 msgid "POS(<SubString>, <String>)/Returns position of substring in given string."
 msgstr "POS(<SubStringa>, <Stringa>)/Ritorna la posizione della sottostringa nella stringa data."
@@ -373,14 +337,6 @@
 msgid "ROUND(<Value>)/Rounds the floating point <Value> to nearest integer number."
 msgstr "ROUND(<Valore>)/Arrotonda <Valore> in virgola mobile all'intero più vicino."
 
-#: lr_const.sdescriptionshowband
-msgid "SHOWBAND(<BandName>)/Show <BandName> in report."
-msgstr ""
-
-#: lr_const.sdescriptionstopreport
-msgid "STOPREPORT/Terminate report creation."
-msgstr ""
-
 #: lr_const.sdescriptionstr
 msgid "STR(<Value>)/Converts the given (numeric) <Value> in string."
 msgstr "STR(<Valore>)/Converte <Valore> (deve essere un numero) in stringa."
@@ -503,8 +459,8 @@
 
 #: lr_const.sdocautor
 #, fuzzy
-#| msgid "Autor"
-msgid "Author"
+#| msgid "Author"
+msgid "Autor"
 msgstr "Autore"
 
 #: lr_const.sdocbuild
@@ -529,8 +485,8 @@
 
 #: lr_const.sdocoptformkeywords
 #, fuzzy
-#| msgid "Keys words"
-msgid "Keywords"
+#| msgid "Keywords"
+msgid "Keys words"
 msgstr "Parole chiave"
 
 #: lr_const.sdocoptformopt
@@ -620,8 +576,8 @@
 
 #: lr_const.serroroccured
 #, fuzzy
-#| msgid "An error occured during calculating"
-msgid "An error occurred during calculation"
+#| msgid "An error occurred during calculation"
+msgid "An error occured during calculating"
 msgstr "Si è verificato un errore nel calcolo"
 
 #: lr_const.sevformcapt
@@ -668,10 +624,6 @@
 msgid "Insert DB field"
 msgstr "Inserisci campo DB"
 
-#: lr_const.sfilenotfound
-msgid "File not found"
-msgstr ""
-
 #: lr_const.sfilter
 msgid "Filter properties"
 msgstr "Proprietà del filtro"
@@ -843,10 +795,6 @@
 msgid "Force new page"
 msgstr "Forza nuova pagina"
 
-#: lr_const.sfrdesignerdatainsp
-msgid "Data inspector"
-msgstr ""
-
 #: lr_const.sfrdesignerexists
 msgid "You already have one TfrDesigner component"
 msgstr ""
@@ -1167,10 +1115,6 @@
 msgid "C&ut"
 msgstr "&Taglia"
 
-#: lr_const.sfrdesignerform_datainsp
-msgid "&Data inspector"
-msgstr ""
-
 #: lr_const.sfrdesignerform_delete
 msgid "&Delete"
 msgstr "&Cancella"
@@ -1325,6 +1269,10 @@
 msgid "Variables &list ..."
 msgstr "&Lista variabili"
 
+#: lr_const.sfrferror
+msgid "Unsupported FRF format"
+msgstr ""
+
 #: lr_const.sfrom
 msgid "from"
 msgstr "da"
@@ -1333,10 +1281,6 @@
 msgid "FR variables"
 msgstr "Variabili FR"
 
-#: lr_const.sfunctions
-msgid "Functions"
-msgstr ""
-
 #: lr_const.sgeditorformcapt
 msgid "Picture"
 msgstr "Immagine"
@@ -1448,14 +1392,6 @@
 msgid "Insert CheckBox object"
 msgstr "Inserisci oggetto CheckBox"
 
-#: lr_const.sinsert
-msgid "Insert"
-msgstr ""
-
-#: lr_const.sinsertexpression
-msgid "Insert Expression"
-msgstr ""
-
 #: lr_const.sinsertfields
 msgid "Insert DB fields"
 msgstr "Inserisci campi DB"
@@ -1490,8 +1426,8 @@
 
 #: lr_const.sinsroundrect
 #, fuzzy
-#| msgid "Insert an RoundRect with shadow area"
-msgid "Insert a RoundRect with shadow area"
+#| msgid "Insert a RoundRect with shadow area"
+msgid "Insert an RoundRect with shadow area"
 msgstr "Inserisci un RoundRect con area ombreggiata"
 
 #: lr_const.sinsshape
@@ -1498,26 +1434,6 @@
 msgid "Insert Shape object"
 msgstr "Inserisci oggetto forma"
 
-#: lr_const.sinterpretator
-msgid "Interpretator"
-msgstr ""
-
-#: lr_const.sinvalidfrfreport
-msgid "Invalid binary report"
-msgstr ""
-
-#: lr_const.sinvalidfrfversion
-msgid "Invalid report version"
-msgstr ""
-
-#: lr_const.sinvalidlrfreport
-msgid "Invalid report format"
-msgstr ""
-
-#: lr_const.sinvalidvariablename
-msgid "\"%s\" is not a valid variable name."
-msgstr ""
-
 #: lr_const.skeepaspectratio
 msgid "Keep aspect ratio"
 msgstr "Mantieni proporzioni"
@@ -2235,8 +2151,8 @@
 
 #: lr_const.sprintererror
 #, fuzzy
-#| msgid "Printer selected is not valid"
-msgid "Selected printer is not valid"
+#| msgid "Selected printer is not valid"
+msgid "Printer selected is not valid"
 msgstr "La stampante selezionata non è valida"
 
 #: lr_const.sprintformall
@@ -2243,10 +2159,6 @@
 msgid "&All"
 msgstr "&Tutti"
 
-#: lr_const.sprintformcollate
-msgid "Collate"
-msgstr ""
-
 #: lr_const.sprintformcopy
 msgid "&Copies:"
 msgstr "&Copie:"
@@ -2298,21 +2210,17 @@
 msgstr "File del report"
 
 #: lr_const.sreportcreatedate
-msgid "Report creation date"
+msgid "Report create date"
 msgstr ""
 
 #: lr_const.sreportlastmodifydate
-msgid "Report last modification date"
+msgid "Report last modify date"
 msgstr ""
 
-#: lr_const.sreportloadingerror
-msgid "Error while loading report"
-msgstr ""
-
 #: lr_const.sreportpreparing
 #, fuzzy
-#| msgid "Report preparing"
-msgid "Preparing report"
+#| msgid "Preparing report"
+msgid "Report preparing"
 msgstr "Preparazione del report"
 
 #: lr_const.sroundrectformbegincolor
@@ -2343,14 +2251,14 @@
 msgid "Framed zone"
 msgstr "Zona inquadrata"
 
-#: lr_const.sroundrectformgradient
-msgid "Gradient"
+#: lr_const.sroundrectformgradian
+msgid "Gradian"
 msgstr ""
 
 #: lr_const.sroundrectformhint
 #, fuzzy
-#| msgid "Click here to define the shadow color or gradian colors"
-msgid "Click here to define the shadow color or gradient colors"
+#| msgid "Click here to define the shadow color or gradient colors"
+msgid "Click here to define the shadow color or gradian colors"
 msgstr "Cliccare qui per definire il colore ombra o il colore gradian"
 
 #: lr_const.sroundrectformsample
@@ -2460,22 +2368,6 @@
 msgid "ASCII Text file"
 msgstr "File di testo ASCII"
 
-#: lr_const.stimeformat1
-msgid "hh:nn:ss"
-msgstr ""
-
-#: lr_const.stimeformat2
-msgid "h:nn:ss"
-msgstr ""
-
-#: lr_const.stimeformat3
-msgid "hh:nn"
-msgstr ""
-
-#: lr_const.stimeformat4
-msgid "h:nn"
-msgstr ""
-
 #: lr_const.sto
 msgid "to"
 msgstr "a"
@@ -2484,10 +2376,6 @@
 msgid "Transparent"
 msgstr "Trasparente"
 
-#: lr_const.sunabletoreadversion
-msgid "Unable to read report version"
-msgstr ""
-
 #: lr_const.suntitled
 msgid "Untitled"
 msgstr "Senza titolo"
@@ -2552,10 +2440,6 @@
 msgid "&Category:"
 msgstr "&Categoria"
 
-#: lr_const.svariable
-msgid "Variable"
-msgstr ""
-
 #: lr_const.svbandeditorformbnd
 msgid "Bands"
 msgstr "Bande"
Index: components/lazreport/source/languages/lr_const.lt.po
===================================================================
--- components/lazreport/source/languages/lr_const.lt.po	(revision 46146)
+++ components/lazreport/source/languages/lr_const.lt.po	(working copy)
@@ -242,30 +242,10 @@
 msgid "Memo:"
 msgstr "Pastabos:"
 
-#: lr_const.sdateformat1
-msgid "mm.dd.yy"
-msgstr ""
-
-#: lr_const.sdateformat2
-msgid "mm.dd.yyyy"
-msgstr ""
-
-#: lr_const.sdateformat3
-msgid "d mmm yyyy"
-msgstr ""
-
-#: lr_const.sdateformat4
-msgid "d mmmm yyyy"
-msgstr ""
-
 #: lr_const.sdatetimecategory
 msgid "Date and time"
 msgstr "Data ir laikas"
 
-#: lr_const.sdbfield
-msgid "DB field"
-msgstr ""
-
 #: lr_const.sdefaultprinter
 msgid "Default printer"
 msgstr "Numatytas spausdintuvas"
@@ -280,8 +260,8 @@
 
 #: lr_const.sdescriptioncount
 #, fuzzy
-#| msgid "COUNT(<BandName>)/Returns count of data-rows given in the <BandName>. "
-msgid "COUNT(<BandName>)/Returns count of data rows given in the <BandName>. "
+#| msgid "COUNT(<BandName>)/Returns count of data rows given in the <BandName>. "
+msgid "COUNT(<BandName>)/Returns count of data-rows given in the <BandName>. "
 msgstr "COUNT(<JuostosPavadinimas>)/Grąžina duotame <JuostosPavadinimas> esančių duomenų eilučių kiekį."
 
 #: lr_const.sdescriptiondayof
@@ -288,10 +268,6 @@
 msgid "DAYOF(<Date>)/Returns day number (1..31) of given <Date>."
 msgstr "DAYOF(<Data>)/Grąžina duotos <Data> dienos numerį (1..31)."
 
-#: lr_const.sdescriptiondec
-msgid "DEC(<Value>)/Decrement <Value>."
-msgstr ""
-
 #: lr_const.sdescriptionformatdatetime
 msgid "FORMATDATETIME(<Fmt>, <DateTime>)/Converts a <DateTime> value to a string using mask in <Fmt>."
 msgstr "FORMATDATETIME(<Formatas>, <DataLaikas>)/Pagal <Formatas> nurodytą kaukę, verčia <DataLaikas> reikšmę į tekstą."
@@ -308,14 +284,10 @@
 msgid "FRAC(<Value>)/Returns the fractional part of floating point <Value>."
 msgstr "FRAC(<Verė>)/Grąžiną slankaus kablelio skaičiaus <Vertė> trupmeninę dalį."
 
-#: lr_const.sdescriptioninc
-msgid "INC(<Value>)/Increment <Value>."
-msgstr ""
-
 #: lr_const.sdescriptioninput
 #, fuzzy
-#| msgid "INPUT(<Caption> [,Default])/Shows dialog window with headstring <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
-msgid "INPUT(<Caption> [,Default])/Shows dialog window with title <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
+#| msgid "INPUT(<Caption> [,Default])/Shows dialog window with title <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
+msgid "INPUT(<Caption> [,Default])/Shows dialog window with headstring <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
 msgstr "INPUT(<Antraštė> [,Numatyta])/Rodo dialogo langą, kuriame būna <Antraštė> tekstas bei įvesties langelis. Jei nurodytas [,Numatyta] parametras, tai šio parametro tekstas įrašomas į įvesties langelį. Naudotojui paspaudus „Tinka“, grąžina įvesties langelyje esantį tekstą."
 
 #: lr_const.sdescriptionint
@@ -358,14 +330,6 @@
 msgid "NAMECASE(<String>)/Converts <String> symbols to lower case, and first symbol is in upper case."
 msgstr "NAMECASE(<Tekstas>)/Pirmąją <Tekstas> raidę padaro didžiąją, o likusias mažosiomis."
 
-#: lr_const.sdescriptionnewcolumn
-msgid "NEWCOLUMN/Create new column on page for current report."
-msgstr ""
-
-#: lr_const.sdescriptionnewpage
-msgid "NEWPAGE/Create new page for current report."
-msgstr ""
-
 #: lr_const.sdescriptionpos
 msgid "POS(<SubString>, <String>)/Returns position of substring in given string."
 msgstr "POS(<Potekstis>, <Tekstas>)/Grąžina <Potekstis> poziciją duotame <Tekstas>."
@@ -374,14 +338,6 @@
 msgid "ROUND(<Value>)/Rounds the floating point <Value> to nearest integer number."
 msgstr "ROUND(<Vertė>)/Slankiojo kablelio skaičių <Vertė> apvalina link didžiausio sveikojo skaičiaus."
 
-#: lr_const.sdescriptionshowband
-msgid "SHOWBAND(<BandName>)/Show <BandName> in report."
-msgstr ""
-
-#: lr_const.sdescriptionstopreport
-msgid "STOPREPORT/Terminate report creation."
-msgstr ""
-
 #: lr_const.sdescriptionstr
 msgid "STR(<Value>)/Converts the given (numeric) <Value> in string."
 msgstr "STR(<Vertė>)/Duotąjį skaičių <Vertė> keičia į tekstą."
@@ -504,8 +460,8 @@
 
 #: lr_const.sdocautor
 #, fuzzy
-#| msgid "Autor"
-msgid "Author"
+#| msgid "Author"
+msgid "Autor"
 msgstr "Autorius"
 
 #: lr_const.sdocbuild
@@ -530,8 +486,8 @@
 
 #: lr_const.sdocoptformkeywords
 #, fuzzy
-#| msgid "Keys words"
-msgid "Keywords"
+#| msgid "Keywords"
+msgid "Keys words"
 msgstr "Raktažodžiai"
 
 #: lr_const.sdocoptformopt
@@ -621,8 +577,8 @@
 
 #: lr_const.serroroccured
 #, fuzzy
-#| msgid "An error occured during calculating"
-msgid "An error occurred during calculation"
+#| msgid "An error occurred during calculation"
+msgid "An error occured during calculating"
 msgstr "Skaičiuojant įvyko klaida"
 
 #: lr_const.sevformcapt
@@ -668,10 +624,6 @@
 msgid "Insert DB field"
 msgstr "Įterpti DB lauką"
 
-#: lr_const.sfilenotfound
-msgid "File not found"
-msgstr ""
-
 #: lr_const.sfilter
 msgid "Filter properties"
 msgstr "Filtro savybės"
@@ -842,10 +794,6 @@
 msgid "Force new page"
 msgstr "Naujas lapas"
 
-#: lr_const.sfrdesignerdatainsp
-msgid "Data inspector"
-msgstr ""
-
 #: lr_const.sfrdesignerexists
 msgid "You already have one TfrDesigner component"
 msgstr ""
@@ -1165,10 +1113,6 @@
 msgid "C&ut"
 msgstr "Iš&kirpti"
 
-#: lr_const.sfrdesignerform_datainsp
-msgid "&Data inspector"
-msgstr ""
-
 #: lr_const.sfrdesignerform_delete
 msgid "&Delete"
 msgstr "Paša&linti"
@@ -1314,6 +1258,10 @@
 msgid "Variables &list ..."
 msgstr "Kintamųjų &sąrašas…"
 
+#: lr_const.sfrferror
+msgid "Unsupported FRF format"
+msgstr ""
+
 #: lr_const.sfrom
 msgid "from"
 msgstr "nuo"
@@ -1322,10 +1270,6 @@
 msgid "FR variables"
 msgstr "FR kintamieji"
 
-#: lr_const.sfunctions
-msgid "Functions"
-msgstr ""
-
 #: lr_const.sgeditorformcapt
 msgid "Picture"
 msgstr "Paveikslas"
@@ -1434,14 +1378,6 @@
 msgid "Insert CheckBox object"
 msgstr "Įterpti žymimojo langelio objektą"
 
-#: lr_const.sinsert
-msgid "Insert"
-msgstr ""
-
-#: lr_const.sinsertexpression
-msgid "Insert Expression"
-msgstr ""
-
 #: lr_const.sinsertfields
 msgid "Insert DB fields"
 msgstr "Įterpti DB laukus"
@@ -1476,8 +1412,8 @@
 
 #: lr_const.sinsroundrect
 #, fuzzy
-#| msgid "Insert an RoundRect with shadow area"
-msgid "Insert a RoundRect with shadow area"
+#| msgid "Insert a RoundRect with shadow area"
+msgid "Insert an RoundRect with shadow area"
 msgstr "Įterpti apvalių kampų stačiakampį su šešėlio sritimi"
 
 #: lr_const.sinsshape
@@ -1484,26 +1420,6 @@
 msgid "Insert Shape object"
 msgstr "Įterpti figūros objektą"
 
-#: lr_const.sinterpretator
-msgid "Interpretator"
-msgstr ""
-
-#: lr_const.sinvalidfrfreport
-msgid "Invalid binary report"
-msgstr ""
-
-#: lr_const.sinvalidfrfversion
-msgid "Invalid report version"
-msgstr ""
-
-#: lr_const.sinvalidlrfreport
-msgid "Invalid report format"
-msgstr ""
-
-#: lr_const.sinvalidvariablename
-msgid "\"%s\" is not a valid variable name."
-msgstr ""
-
 #: lr_const.skeepaspectratio
 msgid "Keep aspect ratio"
 msgstr "Išlaikyti kraštinių santykį"
@@ -2220,8 +2136,8 @@
 
 #: lr_const.sprintererror
 #, fuzzy
-#| msgid "Printer selected is not valid"
-msgid "Selected printer is not valid"
+#| msgid "Selected printer is not valid"
+msgid "Printer selected is not valid"
 msgstr "Nurodytas netinkamas spausdintuvas"
 
 #: lr_const.sprintformall
@@ -2228,10 +2144,6 @@
 msgid "&All"
 msgstr "&Visus"
 
-#: lr_const.sprintformcollate
-msgid "Collate"
-msgstr ""
-
 #: lr_const.sprintformcopy
 msgid "&Copies:"
 msgstr "&Kopijos:"
@@ -2284,24 +2196,20 @@
 
 #: lr_const.sreportcreatedate
 #, fuzzy
-#| msgid "Report create date"
-msgid "Report creation date"
+#| msgid "Report creation date"
+msgid "Report create date"
 msgstr "Pranešimo sukūrimo data"
 
 #: lr_const.sreportlastmodifydate
 #, fuzzy
-#| msgid "Report last modify date"
-msgid "Report last modification date"
+#| msgid "Report last modification date"
+msgid "Report last modify date"
 msgstr "Pranešimo paskutiniojo keitimo data"
 
-#: lr_const.sreportloadingerror
-msgid "Error while loading report"
-msgstr ""
-
 #: lr_const.sreportpreparing
 #, fuzzy
-#| msgid "Report preparing"
-msgid "Preparing report"
+#| msgid "Preparing report"
+msgid "Report preparing"
 msgstr "Pranešimas ruošiamas"
 
 #: lr_const.sroundrectformbegincolor
@@ -2332,14 +2240,14 @@
 msgid "Framed zone"
 msgstr "Įrėminta zona"
 
-#: lr_const.sroundrectformgradient
-msgid "Gradient"
+#: lr_const.sroundrectformgradian
+msgid "Gradian"
 msgstr ""
 
 #: lr_const.sroundrectformhint
 #, fuzzy
-#| msgid "Click here to define the shadow color or gradian colors"
-msgid "Click here to define the shadow color or gradient colors"
+#| msgid "Click here to define the shadow color or gradient colors"
+msgid "Click here to define the shadow color or gradian colors"
 msgstr "Spustelėkite čia, galėsite nurodyti šešėlio spalvą arba gradiento spalvas"
 
 #: lr_const.sroundrectformsample
@@ -2449,22 +2357,6 @@
 msgid "ASCII Text file"
 msgstr "ASCII teksto failas"
 
-#: lr_const.stimeformat1
-msgid "hh:nn:ss"
-msgstr ""
-
-#: lr_const.stimeformat2
-msgid "h:nn:ss"
-msgstr ""
-
-#: lr_const.stimeformat3
-msgid "hh:nn"
-msgstr ""
-
-#: lr_const.stimeformat4
-msgid "h:nn"
-msgstr ""
-
 #: lr_const.sto
 msgid "to"
 msgstr "iki"
@@ -2473,10 +2365,6 @@
 msgid "Transparent"
 msgstr "Permatomas"
 
-#: lr_const.sunabletoreadversion
-msgid "Unable to read report version"
-msgstr ""
-
 #: lr_const.suntitled
 msgid "Untitled"
 msgstr "Be pavadinimo"
@@ -2540,10 +2428,6 @@
 msgid "&Category:"
 msgstr "&Kategorija:"
 
-#: lr_const.svariable
-msgid "Variable"
-msgstr ""
-
 #: lr_const.svbandeditorformbnd
 msgid "Bands"
 msgstr "Juostos"
Index: components/lazreport/source/languages/lr_const.pl.po
===================================================================
--- components/lazreport/source/languages/lr_const.pl.po	(revision 46146)
+++ components/lazreport/source/languages/lr_const.pl.po	(working copy)
@@ -243,30 +243,10 @@
 msgid "Memo:"
 msgstr ""
 
-#: lr_const.sdateformat1
-msgid "mm.dd.yy"
-msgstr ""
-
-#: lr_const.sdateformat2
-msgid "mm.dd.yyyy"
-msgstr ""
-
-#: lr_const.sdateformat3
-msgid "d mmm yyyy"
-msgstr ""
-
-#: lr_const.sdateformat4
-msgid "d mmmm yyyy"
-msgstr ""
-
 #: lr_const.sdatetimecategory
 msgid "Date and time"
 msgstr "Data i czas"
 
-#: lr_const.sdbfield
-msgid "DB field"
-msgstr ""
-
 #: lr_const.sdefaultprinter
 msgid "Default printer"
 msgstr "Domyślna drukarka"
@@ -281,8 +261,8 @@
 
 #: lr_const.sdescriptioncount
 #, fuzzy
-#| msgid "COUNT(<BandName>)/Returns count of data-rows given in the <BandName>. "
-msgid "COUNT(<BandName>)/Returns count of data rows given in the <BandName>. "
+#| msgid "COUNT(<BandName>)/Returns count of data rows given in the <BandName>. "
+msgid "COUNT(<BandName>)/Returns count of data-rows given in the <BandName>. "
 msgstr "COUNT(<NazwaBandy>)/Zwraca ilość wierszy z bazy danych dla danej <NazwaBandy>. "
 
 #: lr_const.sdescriptiondayof
@@ -289,10 +269,6 @@
 msgid "DAYOF(<Date>)/Returns day number (1..31) of given <Date>."
 msgstr "DAYOF(<Data>)/Zwraca numer dnia (1..31) z podanej daty w <Data>."
 
-#: lr_const.sdescriptiondec
-msgid "DEC(<Value>)/Decrement <Value>."
-msgstr ""
-
 #: lr_const.sdescriptionformatdatetime
 msgid "FORMATDATETIME(<Fmt>, <DateTime>)/Converts a <DateTime> value to a string using mask in <Fmt>."
 msgstr "FORMATDATETIME(<Fmt>, <DataCzas>)/Konwertuje wartość <DataCzas> na ciąg używając maski w <Fmt>."
@@ -309,12 +285,8 @@
 msgid "FRAC(<Value>)/Returns the fractional part of floating point <Value>."
 msgstr ""
 
-#: lr_const.sdescriptioninc
-msgid "INC(<Value>)/Increment <Value>."
-msgstr ""
-
 #: lr_const.sdescriptioninput
-msgid "INPUT(<Caption> [,Default])/Shows dialog window with title <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
+msgid "INPUT(<Caption> [,Default])/Shows dialog window with headstring <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
 msgstr ""
 
 #: lr_const.sdescriptionint
@@ -357,14 +329,6 @@
 msgid "NAMECASE(<String>)/Converts <String> symbols to lower case, and first symbol is in upper case."
 msgstr ""
 
-#: lr_const.sdescriptionnewcolumn
-msgid "NEWCOLUMN/Create new column on page for current report."
-msgstr ""
-
-#: lr_const.sdescriptionnewpage
-msgid "NEWPAGE/Create new page for current report."
-msgstr ""
-
 #: lr_const.sdescriptionpos
 msgid "POS(<SubString>, <String>)/Returns position of substring in given string."
 msgstr ""
@@ -373,14 +337,6 @@
 msgid "ROUND(<Value>)/Rounds the floating point <Value> to nearest integer number."
 msgstr ""
 
-#: lr_const.sdescriptionshowband
-msgid "SHOWBAND(<BandName>)/Show <BandName> in report."
-msgstr ""
-
-#: lr_const.sdescriptionstopreport
-msgid "STOPREPORT/Terminate report creation."
-msgstr ""
-
 #: lr_const.sdescriptionstr
 msgid "STR(<Value>)/Converts the given (numeric) <Value> in string."
 msgstr ""
@@ -503,8 +459,8 @@
 
 #: lr_const.sdocautor
 #, fuzzy
-#| msgid "Autor"
-msgid "Author"
+#| msgid "Author"
+msgid "Autor"
 msgstr "Autor"
 
 #: lr_const.sdocbuild
@@ -529,8 +485,8 @@
 
 #: lr_const.sdocoptformkeywords
 #, fuzzy
-#| msgid "Keys words"
-msgid "Keywords"
+#| msgid "Keywords"
+msgid "Keys words"
 msgstr "Słowa kluczowe"
 
 #: lr_const.sdocoptformopt
@@ -620,8 +576,8 @@
 
 #: lr_const.serroroccured
 #, fuzzy
-#| msgid "An error occured during calculating"
-msgid "An error occurred during calculation"
+#| msgid "An error occurred during calculation"
+msgid "An error occured during calculating"
 msgstr "Wystąpił błąd podczas kalkulacji"
 
 #: lr_const.sevformcapt
@@ -668,10 +624,6 @@
 msgid "Insert DB field"
 msgstr "Wstaw pole z tabeli"
 
-#: lr_const.sfilenotfound
-msgid "File not found"
-msgstr ""
-
 #: lr_const.sfilter
 msgid "Filter properties"
 msgstr "Właściwości filtra"
@@ -843,10 +795,6 @@
 msgid "Force new page"
 msgstr "Wymuś nową stronę"
 
-#: lr_const.sfrdesignerdatainsp
-msgid "Data inspector"
-msgstr ""
-
 #: lr_const.sfrdesignerexists
 msgid "You already have one TfrDesigner component"
 msgstr ""
@@ -1167,10 +1115,6 @@
 msgid "C&ut"
 msgstr "W&ytnij"
 
-#: lr_const.sfrdesignerform_datainsp
-msgid "&Data inspector"
-msgstr ""
-
 #: lr_const.sfrdesignerform_delete
 msgid "&Delete"
 msgstr "&Skasuj"
@@ -1325,6 +1269,10 @@
 msgid "Variables &list ..."
 msgstr "List zmi&ennych..."
 
+#: lr_const.sfrferror
+msgid "Unsupported FRF format"
+msgstr ""
+
 #: lr_const.sfrom
 msgid "from"
 msgstr "z"
@@ -1333,10 +1281,6 @@
 msgid "FR variables"
 msgstr "Zmienne FR"
 
-#: lr_const.sfunctions
-msgid "Functions"
-msgstr ""
-
 #: lr_const.sgeditorformcapt
 msgid "Picture"
 msgstr "Obrazek"
@@ -1448,14 +1392,6 @@
 msgid "Insert CheckBox object"
 msgstr "Wstaw pole wyboru"
 
-#: lr_const.sinsert
-msgid "Insert"
-msgstr ""
-
-#: lr_const.sinsertexpression
-msgid "Insert Expression"
-msgstr ""
-
 #: lr_const.sinsertfields
 msgid "Insert DB fields"
 msgstr "Wstaw pole z tabeli"
@@ -1490,8 +1426,8 @@
 
 #: lr_const.sinsroundrect
 #, fuzzy
-#| msgid "Insert an RoundRect with shadow area"
-msgid "Insert a RoundRect with shadow area"
+#| msgid "Insert a RoundRect with shadow area"
+msgid "Insert an RoundRect with shadow area"
 msgstr "Wstaw pole o kształcie kwadratu z cieniem"
 
 #: lr_const.sinsshape
@@ -1498,26 +1434,6 @@
 msgid "Insert Shape object"
 msgstr "Wstaw zdefiniowany kształt"
 
-#: lr_const.sinterpretator
-msgid "Interpretator"
-msgstr ""
-
-#: lr_const.sinvalidfrfreport
-msgid "Invalid binary report"
-msgstr ""
-
-#: lr_const.sinvalidfrfversion
-msgid "Invalid report version"
-msgstr ""
-
-#: lr_const.sinvalidlrfreport
-msgid "Invalid report format"
-msgstr ""
-
-#: lr_const.sinvalidvariablename
-msgid "\"%s\" is not a valid variable name."
-msgstr ""
-
 #: lr_const.skeepaspectratio
 msgid "Keep aspect ratio"
 msgstr "Wymuszaj oryginalne proporcje"
@@ -2235,8 +2151,8 @@
 
 #: lr_const.sprintererror
 #, fuzzy
-#| msgid "Printer selected is not valid"
-msgid "Selected printer is not valid"
+#| msgid "Selected printer is not valid"
+msgid "Printer selected is not valid"
 msgstr "Wybrana drukarka jest nieprawidłowa"
 
 #: lr_const.sprintformall
@@ -2243,10 +2159,6 @@
 msgid "&All"
 msgstr "&Wszystko"
 
-#: lr_const.sprintformcollate
-msgid "Collate"
-msgstr ""
-
 #: lr_const.sprintformcopy
 msgid "&Copies:"
 msgstr "&Kopie:"
@@ -2298,21 +2210,17 @@
 msgstr "Plik zapisanego raportu"
 
 #: lr_const.sreportcreatedate
-msgid "Report creation date"
+msgid "Report create date"
 msgstr ""
 
 #: lr_const.sreportlastmodifydate
-msgid "Report last modification date"
+msgid "Report last modify date"
 msgstr ""
 
-#: lr_const.sreportloadingerror
-msgid "Error while loading report"
-msgstr ""
-
 #: lr_const.sreportpreparing
 #, fuzzy
-#| msgid "Report preparing"
-msgid "Preparing report"
+#| msgid "Preparing report"
+msgid "Report preparing"
 msgstr "Przygotowanie raportu"
 
 #: lr_const.sroundrectformbegincolor
@@ -2343,14 +2251,14 @@
 msgid "Framed zone"
 msgstr "Strefa obramowania"
 
-#: lr_const.sroundrectformgradient
-msgid "Gradient"
+#: lr_const.sroundrectformgradian
+msgid "Gradian"
 msgstr ""
 
 #: lr_const.sroundrectformhint
 #, fuzzy
-#| msgid "Click here to define the shadow color or gradian colors"
-msgid "Click here to define the shadow color or gradient colors"
+#| msgid "Click here to define the shadow color or gradient colors"
+msgid "Click here to define the shadow color or gradian colors"
 msgstr "Kliknij tutaj aby zdefiniować kolor cienia lub gradient kolorów"
 
 #: lr_const.sroundrectformsample
@@ -2460,22 +2368,6 @@
 msgid "ASCII Text file"
 msgstr "Plik tekstowy ASCII"
 
-#: lr_const.stimeformat1
-msgid "hh:nn:ss"
-msgstr ""
-
-#: lr_const.stimeformat2
-msgid "h:nn:ss"
-msgstr ""
-
-#: lr_const.stimeformat3
-msgid "hh:nn"
-msgstr ""
-
-#: lr_const.stimeformat4
-msgid "h:nn"
-msgstr ""
-
 #: lr_const.sto
 msgid "to"
 msgstr "w"
@@ -2484,10 +2376,6 @@
 msgid "Transparent"
 msgstr "Przeźroczysty"
 
-#: lr_const.sunabletoreadversion
-msgid "Unable to read report version"
-msgstr ""
-
 #: lr_const.suntitled
 msgid "Untitled"
 msgstr "Bez tytułu"
@@ -2552,10 +2440,6 @@
 msgid "&Category:"
 msgstr "&Kategoria:"
 
-#: lr_const.svariable
-msgid "Variable"
-msgstr ""
-
 #: lr_const.svbandeditorformbnd
 msgid "Bands"
 msgstr "Bandy"
Index: components/lazreport/source/languages/lr_const.po
===================================================================
--- components/lazreport/source/languages/lr_const.po	(revision 46146)
+++ components/lazreport/source/languages/lr_const.po	(working copy)
@@ -235,30 +235,10 @@
 msgid "Memo:"
 msgstr ""
 
-#: lr_const.sdateformat1
-msgid "mm.dd.yy"
-msgstr ""
-
-#: lr_const.sdateformat2
-msgid "mm.dd.yyyy"
-msgstr ""
-
-#: lr_const.sdateformat3
-msgid "d mmm yyyy"
-msgstr ""
-
-#: lr_const.sdateformat4
-msgid "d mmmm yyyy"
-msgstr ""
-
 #: lr_const.sdatetimecategory
 msgid "Date and time"
 msgstr ""
 
-#: lr_const.sdbfield
-msgid "DB field"
-msgstr ""
-
 #: lr_const.sdefaultprinter
 msgid "Default printer"
 msgstr ""
@@ -272,7 +252,7 @@
 msgstr ""
 
 #: lr_const.sdescriptioncount
-msgid "COUNT(<BandName>)/Returns count of data rows given in the <BandName>. "
+msgid "COUNT(<BandName>)/Returns count of data-rows given in the <BandName>. "
 msgstr ""
 
 #: lr_const.sdescriptiondayof
@@ -279,10 +259,6 @@
 msgid "DAYOF(<Date>)/Returns day number (1..31) of given <Date>."
 msgstr ""
 
-#: lr_const.sdescriptiondec
-msgid "DEC(<Value>)/Decrement <Value>."
-msgstr ""
-
 #: lr_const.sdescriptionformatdatetime
 msgid "FORMATDATETIME(<Fmt>, <DateTime>)/Converts a <DateTime> value to a string using mask in <Fmt>."
 msgstr ""
@@ -299,12 +275,8 @@
 msgid "FRAC(<Value>)/Returns the fractional part of floating point <Value>."
 msgstr ""
 
-#: lr_const.sdescriptioninc
-msgid "INC(<Value>)/Increment <Value>."
-msgstr ""
-
 #: lr_const.sdescriptioninput
-msgid "INPUT(<Caption> [,Default])/Shows dialog window with title <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
+msgid "INPUT(<Caption> [,Default])/Shows dialog window with headstring <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
 msgstr ""
 
 #: lr_const.sdescriptionint
@@ -347,14 +319,6 @@
 msgid "NAMECASE(<String>)/Converts <String> symbols to lower case, and first symbol is in upper case."
 msgstr ""
 
-#: lr_const.sdescriptionnewcolumn
-msgid "NEWCOLUMN/Create new column on page for current report."
-msgstr ""
-
-#: lr_const.sdescriptionnewpage
-msgid "NEWPAGE/Create new page for current report."
-msgstr ""
-
 #: lr_const.sdescriptionpos
 msgid "POS(<SubString>, <String>)/Returns position of substring in given string."
 msgstr ""
@@ -363,14 +327,6 @@
 msgid "ROUND(<Value>)/Rounds the floating point <Value> to nearest integer number."
 msgstr ""
 
-#: lr_const.sdescriptionshowband
-msgid "SHOWBAND(<BandName>)/Show <BandName> in report."
-msgstr ""
-
-#: lr_const.sdescriptionstopreport
-msgid "STOPREPORT/Terminate report creation."
-msgstr ""
-
 #: lr_const.sdescriptionstr
 msgid "STR(<Value>)/Converts the given (numeric) <Value> in string."
 msgstr ""
@@ -492,7 +448,7 @@
 msgstr ""
 
 #: lr_const.sdocautor
-msgid "Author"
+msgid "Autor"
 msgstr ""
 
 #: lr_const.sdocbuild
@@ -516,7 +472,7 @@
 msgstr ""
 
 #: lr_const.sdocoptformkeywords
-msgid "Keywords"
+msgid "Keys words"
 msgstr ""
 
 #: lr_const.sdocoptformopt
@@ -605,7 +561,7 @@
 msgstr ""
 
 #: lr_const.serroroccured
-msgid "An error occurred during calculation"
+msgid "An error occured during calculating"
 msgstr ""
 
 #: lr_const.sevformcapt
@@ -650,10 +606,6 @@
 msgid "Insert DB field"
 msgstr ""
 
-#: lr_const.sfilenotfound
-msgid "File not found"
-msgstr ""
-
 #: lr_const.sfilter
 msgid "Filter properties"
 msgstr ""
@@ -823,10 +775,6 @@
 msgid "Force new page"
 msgstr ""
 
-#: lr_const.sfrdesignerdatainsp
-msgid "Data inspector"
-msgstr ""
-
 #: lr_const.sfrdesignerexists
 msgid "You already have one TfrDesigner component"
 msgstr ""
@@ -1145,10 +1093,6 @@
 msgid "C&ut"
 msgstr ""
 
-#: lr_const.sfrdesignerform_datainsp
-msgid "&Data inspector"
-msgstr ""
-
 #: lr_const.sfrdesignerform_delete
 msgid "&Delete"
 msgstr ""
@@ -1285,6 +1229,10 @@
 msgid "Variables &list ..."
 msgstr ""
 
+#: lr_const.sfrferror
+msgid "Unsupported FRF format"
+msgstr ""
+
 #: lr_const.sfrom
 msgid "from"
 msgstr ""
@@ -1293,10 +1241,6 @@
 msgid "FR variables"
 msgstr ""
 
-#: lr_const.sfunctions
-msgid "Functions"
-msgstr ""
-
 #: lr_const.sgeditorformcapt
 msgid "Picture"
 msgstr ""
@@ -1402,14 +1346,6 @@
 msgid "Insert CheckBox object"
 msgstr ""
 
-#: lr_const.sinsert
-msgid "Insert"
-msgstr ""
-
-#: lr_const.sinsertexpression
-msgid "Insert Expression"
-msgstr ""
-
 #: lr_const.sinsertfields
 msgid "Insert DB fields"
 msgstr ""
@@ -1443,7 +1379,7 @@
 msgstr ""
 
 #: lr_const.sinsroundrect
-msgid "Insert a RoundRect with shadow area"
+msgid "Insert an RoundRect with shadow area"
 msgstr ""
 
 #: lr_const.sinsshape
@@ -1450,26 +1386,6 @@
 msgid "Insert Shape object"
 msgstr ""
 
-#: lr_const.sinterpretator
-msgid "Interpretator"
-msgstr ""
-
-#: lr_const.sinvalidfrfreport
-msgid "Invalid binary report"
-msgstr ""
-
-#: lr_const.sinvalidfrfversion
-msgid "Invalid report version"
-msgstr ""
-
-#: lr_const.sinvalidlrfreport
-msgid "Invalid report format"
-msgstr ""
-
-#: lr_const.sinvalidvariablename
-msgid "\"%s\" is not a valid variable name."
-msgstr ""
-
 #: lr_const.skeepaspectratio
 msgid "Keep aspect ratio"
 msgstr ""
@@ -2184,7 +2100,7 @@
 msgstr ""
 
 #: lr_const.sprintererror
-msgid "Selected printer is not valid"
+msgid "Printer selected is not valid"
 msgstr ""
 
 #: lr_const.sprintformall
@@ -2191,10 +2107,6 @@
 msgid "&All"
 msgstr ""
 
-#: lr_const.sprintformcollate
-msgid "Collate"
-msgstr ""
-
 #: lr_const.sprintformcopy
 msgid "&Copies:"
 msgstr ""
@@ -2246,19 +2158,15 @@
 msgstr ""
 
 #: lr_const.sreportcreatedate
-msgid "Report creation date"
+msgid "Report create date"
 msgstr ""
 
 #: lr_const.sreportlastmodifydate
-msgid "Report last modification date"
+msgid "Report last modify date"
 msgstr ""
 
-#: lr_const.sreportloadingerror
-msgid "Error while loading report"
-msgstr ""
-
 #: lr_const.sreportpreparing
-msgid "Preparing report"
+msgid "Report preparing"
 msgstr ""
 
 #: lr_const.sroundrectformbegincolor
@@ -2289,12 +2197,12 @@
 msgid "Framed zone"
 msgstr ""
 
-#: lr_const.sroundrectformgradient
-msgid "Gradient"
+#: lr_const.sroundrectformgradian
+msgid "Gradian"
 msgstr ""
 
 #: lr_const.sroundrectformhint
-msgid "Click here to define the shadow color or gradient colors"
+msgid "Click here to define the shadow color or gradian colors"
 msgstr ""
 
 #: lr_const.sroundrectformsample
@@ -2404,22 +2312,6 @@
 msgid "ASCII Text file"
 msgstr ""
 
-#: lr_const.stimeformat1
-msgid "hh:nn:ss"
-msgstr ""
-
-#: lr_const.stimeformat2
-msgid "h:nn:ss"
-msgstr ""
-
-#: lr_const.stimeformat3
-msgid "hh:nn"
-msgstr ""
-
-#: lr_const.stimeformat4
-msgid "h:nn"
-msgstr ""
-
 #: lr_const.sto
 msgid "to"
 msgstr ""
@@ -2428,10 +2320,6 @@
 msgid "Transparent"
 msgstr ""
 
-#: lr_const.sunabletoreadversion
-msgid "Unable to read report version"
-msgstr ""
-
 #: lr_const.suntitled
 msgid "Untitled"
 msgstr ""
@@ -2494,10 +2382,6 @@
 msgid "&Category:"
 msgstr ""
 
-#: lr_const.svariable
-msgid "Variable"
-msgstr ""
-
 #: lr_const.svbandeditorformbnd
 msgid "Bands"
 msgstr ""
Index: components/lazreport/source/languages/lr_const.pt_BR.po
===================================================================
--- components/lazreport/source/languages/lr_const.pt_BR.po	(revision 46146)
+++ components/lazreport/source/languages/lr_const.pt_BR.po	(working copy)
@@ -241,30 +241,10 @@
 msgid "Memo:"
 msgstr "Memo:"
 
-#: lr_const.sdateformat1
-msgid "mm.dd.yy"
-msgstr ""
-
-#: lr_const.sdateformat2
-msgid "mm.dd.yyyy"
-msgstr ""
-
-#: lr_const.sdateformat3
-msgid "d mmm yyyy"
-msgstr ""
-
-#: lr_const.sdateformat4
-msgid "d mmmm yyyy"
-msgstr ""
-
 #: lr_const.sdatetimecategory
 msgid "Date and time"
 msgstr "Data e hora"
 
-#: lr_const.sdbfield
-msgid "DB field"
-msgstr ""
-
 #: lr_const.sdefaultprinter
 msgid "Default printer"
 msgstr "Impressora padrão"
@@ -279,8 +259,8 @@
 
 #: lr_const.sdescriptioncount
 #, fuzzy
-#| msgid "COUNT(<BandName>)/Returns count of data-rows given in the <BandName>. "
-msgid "COUNT(<BandName>)/Returns count of data rows given in the <BandName>. "
+#| msgid "COUNT(<BandName>)/Returns count of data rows given in the <BandName>. "
+msgid "COUNT(<BandName>)/Returns count of data-rows given in the <BandName>. "
 msgstr "COUNT(<NomeBanda>)/Retorna a contagem de linhas de uma <NomeBanda> dada."
 
 #: lr_const.sdescriptiondayof
@@ -287,10 +267,6 @@
 msgid "DAYOF(<Date>)/Returns day number (1..31) of given <Date>."
 msgstr "DAYOF(<Data>)/Retorna o numero do dia (1..31) de uma dada <Data>."
 
-#: lr_const.sdescriptiondec
-msgid "DEC(<Value>)/Decrement <Value>."
-msgstr ""
-
 #: lr_const.sdescriptionformatdatetime
 msgid "FORMATDATETIME(<Fmt>, <DateTime>)/Converts a <DateTime> value to a string using mask in <Fmt>."
 msgstr "FORMATDATETIME(<Fmt>,<DataHora>)/Converte um valor <DataHora> para um string usando a máscara <Fmt>."
@@ -307,14 +283,10 @@
 msgid "FRAC(<Value>)/Returns the fractional part of floating point <Value>."
 msgstr "FRAC(<Valor>)/Retorna a parte fracionária do <Valor> de ponto flutuante."
 
-#: lr_const.sdescriptioninc
-msgid "INC(<Value>)/Increment <Value>."
-msgstr ""
-
 #: lr_const.sdescriptioninput
 #, fuzzy
-#| msgid "INPUT(<Caption> [,Default])/Shows dialog window with headstring <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
-msgid "INPUT(<Caption> [,Default])/Shows dialog window with title <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
+#| msgid "INPUT(<Caption> [,Default])/Shows dialog window with title <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
+msgid "INPUT(<Caption> [,Default])/Shows dialog window with headstring <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
 msgstr "INPUT(<Título> [,Padrão])/Mostra janela de diálogo com cabeçalho <Título> e caixa texto. Se o parâmetro [Padrão] for informado, coloca-o na caixa de texto. Após o usuário clicar OK, retorna a string digitada."
 
 #: lr_const.sdescriptionint
@@ -357,14 +329,6 @@
 msgid "NAMECASE(<String>)/Converts <String> symbols to lower case, and first symbol is in upper case."
 msgstr "NAMECASE(<String>)/Converte os caracteres da <String> para minúsculas, e o primeiro caractere para maiúscula."
 
-#: lr_const.sdescriptionnewcolumn
-msgid "NEWCOLUMN/Create new column on page for current report."
-msgstr ""
-
-#: lr_const.sdescriptionnewpage
-msgid "NEWPAGE/Create new page for current report."
-msgstr ""
-
 #: lr_const.sdescriptionpos
 msgid "POS(<SubString>, <String>)/Returns position of substring in given string."
 msgstr "POS(<SubString>, <String>)/Retorna a posição da <SubString> para uma dada <String>."
@@ -373,14 +337,6 @@
 msgid "ROUND(<Value>)/Rounds the floating point <Value> to nearest integer number."
 msgstr "ROUND(<Valor>)/Arrendoda o <Valor> de ponto flutuante para o número inteiro mais próximo."
 
-#: lr_const.sdescriptionshowband
-msgid "SHOWBAND(<BandName>)/Show <BandName> in report."
-msgstr ""
-
-#: lr_const.sdescriptionstopreport
-msgid "STOPREPORT/Terminate report creation."
-msgstr ""
-
 #: lr_const.sdescriptionstr
 msgid "STR(<Value>)/Converts the given (numeric) <Value> in string."
 msgstr "STR(<Valor>)/Converte um dado <Valor> numérico em \"string\"."
@@ -503,8 +459,8 @@
 
 #: lr_const.sdocautor
 #, fuzzy
-#| msgid "Autor"
-msgid "Author"
+#| msgid "Author"
+msgid "Autor"
 msgstr "Autor"
 
 #: lr_const.sdocbuild
@@ -529,8 +485,8 @@
 
 #: lr_const.sdocoptformkeywords
 #, fuzzy
-#| msgid "Keys words"
-msgid "Keywords"
+#| msgid "Keywords"
+msgid "Keys words"
 msgstr "Palavras Chaves"
 
 #: lr_const.sdocoptformopt
@@ -620,8 +576,8 @@
 
 #: lr_const.serroroccured
 #, fuzzy
-#| msgid "An error occured during calculating"
-msgid "An error occurred during calculation"
+#| msgid "An error occurred during calculation"
+msgid "An error occured during calculating"
 msgstr "Ocorreu um erro durante o cálculo"
 
 #: lr_const.sevformcapt
@@ -667,10 +623,6 @@
 msgid "Insert DB field"
 msgstr "Inserir campo BD"
 
-#: lr_const.sfilenotfound
-msgid "File not found"
-msgstr ""
-
 #: lr_const.sfilter
 msgid "Filter properties"
 msgstr "Propriedades Filtro"
@@ -841,10 +793,6 @@
 msgid "Force new page"
 msgstr "Forçar nova página"
 
-#: lr_const.sfrdesignerdatainsp
-msgid "Data inspector"
-msgstr ""
-
 #: lr_const.sfrdesignerexists
 msgid "You already have one TfrDesigner component"
 msgstr "Você já tem um componente TfrDesigner"
@@ -1164,10 +1112,6 @@
 msgid "C&ut"
 msgstr "&Recortar"
 
-#: lr_const.sfrdesignerform_datainsp
-msgid "&Data inspector"
-msgstr ""
-
 #: lr_const.sfrdesignerform_delete
 msgid "&Delete"
 msgstr "&Apagar"
@@ -1313,6 +1257,10 @@
 msgid "Variables &list ..."
 msgstr "&Lista variáveis ..."
 
+#: lr_const.sfrferror
+msgid "Unsupported FRF format"
+msgstr ""
+
 #: lr_const.sfrom
 msgid "from"
 msgstr "de"
@@ -1321,10 +1269,6 @@
 msgid "FR variables"
 msgstr "FR variáveis"
 
-#: lr_const.sfunctions
-msgid "Functions"
-msgstr ""
-
 #: lr_const.sgeditorformcapt
 msgid "Picture"
 msgstr "Figura"
@@ -1433,14 +1377,6 @@
 msgid "Insert CheckBox object"
 msgstr "Inserir objeto CheckBox"
 
-#: lr_const.sinsert
-msgid "Insert"
-msgstr ""
-
-#: lr_const.sinsertexpression
-msgid "Insert Expression"
-msgstr ""
-
 #: lr_const.sinsertfields
 msgid "Insert DB fields"
 msgstr "Inserir campos BD"
@@ -1475,8 +1411,8 @@
 
 #: lr_const.sinsroundrect
 #, fuzzy
-#| msgid "Insert an RoundRect with shadow area"
-msgid "Insert a RoundRect with shadow area"
+#| msgid "Insert a RoundRect with shadow area"
+msgid "Insert an RoundRect with shadow area"
 msgstr "Inserir retângulo arredondado com área sombreada"
 
 #: lr_const.sinsshape
@@ -1483,26 +1419,6 @@
 msgid "Insert Shape object"
 msgstr "Inserir objeto Shape"
 
-#: lr_const.sinterpretator
-msgid "Interpretator"
-msgstr ""
-
-#: lr_const.sinvalidfrfreport
-msgid "Invalid binary report"
-msgstr ""
-
-#: lr_const.sinvalidfrfversion
-msgid "Invalid report version"
-msgstr ""
-
-#: lr_const.sinvalidlrfreport
-msgid "Invalid report format"
-msgstr ""
-
-#: lr_const.sinvalidvariablename
-msgid "\"%s\" is not a valid variable name."
-msgstr ""
-
 #: lr_const.skeepaspectratio
 msgid "Keep aspect ratio"
 msgstr "Manter razão aspecto"
@@ -2219,8 +2135,8 @@
 
 #: lr_const.sprintererror
 #, fuzzy
-#| msgid "Printer selected is not valid"
-msgid "Selected printer is not valid"
+#| msgid "Selected printer is not valid"
+msgid "Printer selected is not valid"
 msgstr "Impressora selecionada não é válida"
 
 #: lr_const.sprintformall
@@ -2227,10 +2143,6 @@
 msgid "&All"
 msgstr "&Tudo"
 
-#: lr_const.sprintformcollate
-msgid "Collate"
-msgstr ""
-
 #: lr_const.sprintformcopy
 msgid "&Copies:"
 msgstr "&Cópias:"
@@ -2283,24 +2195,20 @@
 
 #: lr_const.sreportcreatedate
 #, fuzzy
-#| msgid "Report create date"
-msgid "Report creation date"
+#| msgid "Report creation date"
+msgid "Report create date"
 msgstr "Data de criação do relatório"
 
 #: lr_const.sreportlastmodifydate
 #, fuzzy
-#| msgid "Report last modify date"
-msgid "Report last modification date"
+#| msgid "Report last modification date"
+msgid "Report last modify date"
 msgstr "Data da última alteração do relatório"
 
-#: lr_const.sreportloadingerror
-msgid "Error while loading report"
-msgstr ""
-
 #: lr_const.sreportpreparing
 #, fuzzy
-#| msgid "Report preparing"
-msgid "Preparing report"
+#| msgid "Preparing report"
+msgid "Report preparing"
 msgstr "Preparando relatório"
 
 #: lr_const.sroundrectformbegincolor
@@ -2331,14 +2239,14 @@
 msgid "Framed zone"
 msgstr "Zona emoldurada"
 
-#: lr_const.sroundrectformgradient
-msgid "Gradient"
+#: lr_const.sroundrectformgradian
+msgid "Gradian"
 msgstr ""
 
 #: lr_const.sroundrectformhint
 #, fuzzy
-#| msgid "Click here to define the shadow color or gradian colors"
-msgid "Click here to define the shadow color or gradient colors"
+#| msgid "Click here to define the shadow color or gradient colors"
+msgid "Click here to define the shadow color or gradian colors"
 msgstr "Clique aqui para definir a cor do sombreamento ou as cores gradientes"
 
 #: lr_const.sroundrectformsample
@@ -2448,22 +2356,6 @@
 msgid "ASCII Text file"
 msgstr "Arquivo texto ASCII"
 
-#: lr_const.stimeformat1
-msgid "hh:nn:ss"
-msgstr ""
-
-#: lr_const.stimeformat2
-msgid "h:nn:ss"
-msgstr ""
-
-#: lr_const.stimeformat3
-msgid "hh:nn"
-msgstr ""
-
-#: lr_const.stimeformat4
-msgid "h:nn"
-msgstr ""
-
 #: lr_const.sto
 msgid "to"
 msgstr "para"
@@ -2472,10 +2364,6 @@
 msgid "Transparent"
 msgstr "Transparente"
 
-#: lr_const.sunabletoreadversion
-msgid "Unable to read report version"
-msgstr ""
-
 #: lr_const.suntitled
 msgid "Untitled"
 msgstr "Sem título"
@@ -2539,10 +2427,6 @@
 msgid "&Category:"
 msgstr "&Categoria:"
 
-#: lr_const.svariable
-msgid "Variable"
-msgstr ""
-
 #: lr_const.svbandeditorformbnd
 msgid "Bands"
 msgstr "Bandas"
Index: components/lazreport/source/languages/lr_const.ru.po
===================================================================
--- components/lazreport/source/languages/lr_const.ru.po	(revision 46146)
+++ components/lazreport/source/languages/lr_const.ru.po	(working copy)
@@ -240,30 +240,10 @@
 msgid "Memo:"
 msgstr "Блок текста:"
 
-#: lr_const.sdateformat1
-msgid "mm.dd.yy"
-msgstr "dd.mm.yy"
-
-#: lr_const.sdateformat2
-msgid "mm.dd.yyyy"
-msgstr "dd.mm.yyyy"
-
-#: lr_const.sdateformat3
-msgid "d mmm yyyy"
-msgstr "d mmm yyyy"
-
-#: lr_const.sdateformat4
-msgid "d mmmm yyyy"
-msgstr "d mmmm yyyy"
-
 #: lr_const.sdatetimecategory
 msgid "Date and time"
 msgstr "Дата и время"
 
-#: lr_const.sdbfield
-msgid "DB field"
-msgstr "Поле БД"
-
 #: lr_const.sdefaultprinter
 msgid "Default printer"
 msgstr "Принтер по умолчанию"
@@ -277,8 +257,9 @@
 msgstr "COPY(<String>, <Position>, <Length>)/Возвращает <Length> символов из строки <String>, начиная с <Position>."
 
 #: lr_const.sdescriptioncount
-#| msgid "COUNT(<BandName>)/Returns count of data-rows given in the <BandName>. "
-msgid "COUNT(<BandName>)/Returns count of data rows given in the <BandName>. "
+#, fuzzy
+#| msgid "COUNT(<BandName>)/Returns count of data rows given in the <BandName>. "
+msgid "COUNT(<BandName>)/Returns count of data-rows given in the <BandName>. "
 msgstr "COUNT(<BandName>)/Возвращает число строк данных в <BandName>. "
 
 #: lr_const.sdescriptiondayof
@@ -285,10 +266,6 @@
 msgid "DAYOF(<Date>)/Returns day number (1..31) of given <Date>."
 msgstr "DAYOF(<Date>)/Возвращает номер дня (1..31) для заданной <Date>."
 
-#: lr_const.sdescriptiondec
-msgid "DEC(<Value>)/Decrement <Value>."
-msgstr "DEC(<Value>)/Уменьшает <Value>."
-
 #: lr_const.sdescriptionformatdatetime
 msgid "FORMATDATETIME(<Fmt>, <DateTime>)/Converts a <DateTime> value to a string using mask in <Fmt>."
 msgstr "FORMATDATETIME(<Fmt>, <DateTime>)/Преобразует значение <DateTime> в строку, используя маску <Fmt>."
@@ -305,13 +282,10 @@
 msgid "FRAC(<Value>)/Returns the fractional part of floating point <Value>."
 msgstr "FRAC(<Value>)/Возвращает дробную часть вещественного значения <Value>."
 
-#: lr_const.sdescriptioninc
-msgid "INC(<Value>)/Increment <Value>."
-msgstr "INC(<Value>)/Увеличивает <Value>."
-
 #: lr_const.sdescriptioninput
-#| msgid "INPUT(<Caption> [,Default])/Shows dialog window with headstring <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
-msgid "INPUT(<Caption> [,Default])/Shows dialog window with title <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
+#, fuzzy
+#| msgid "INPUT(<Caption> [,Default])/Shows dialog window with title <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
+msgid "INPUT(<Caption> [,Default])/Shows dialog window with headstring <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
 msgstr "INPUT(<Caption> [,Default])/Выводит диалоговое окно с заголовком <Caption> и полем ввода. Если задан параметр [Default], помещает эту строку в поле ввода. После нажатия пользователем кнопки OK возвращает введённую строку."
 
 #: lr_const.sdescriptionint
@@ -354,16 +328,6 @@
 msgid "NAMECASE(<String>)/Converts <String> symbols to lower case, and first symbol is in upper case."
 msgstr "NAMECASE(<String>)/Преобразует символы строки <String> в нижний регистр, и первый символ - в верхний регистр."
 
-#: lr_const.sdescriptionnewcolumn
-#| msgid "NEWCOLUMN/Create new collumn on page for current report"
-msgid "NEWCOLUMN/Create new column on page for current report."
-msgstr "NEWCOLUMN/Создаёт новый столбец на странице текущего отчёта."
-
-#: lr_const.sdescriptionnewpage
-#| msgid "NEWPAGE/Create new page for current report"
-msgid "NEWPAGE/Create new page for current report."
-msgstr "NEWPAGE/Создаёт новую страницу текущего отчёта."
-
 #: lr_const.sdescriptionpos
 msgid "POS(<SubString>, <String>)/Returns position of substring in given string."
 msgstr "POS(<SubString>, <String>)/Возвращает позицию подстроки <SubString> в строке <String> ."
@@ -372,16 +336,6 @@
 msgid "ROUND(<Value>)/Rounds the floating point <Value> to nearest integer number."
 msgstr "ROUND(<Value>)/Округляет вещественное значение <Value> до ближайшего целого числа."
 
-#: lr_const.sdescriptionshowband
-#| msgid "SHOWBAND(<BandName>)/Show <BandName> in report"
-msgid "SHOWBAND(<BandName>)/Show <BandName> in report."
-msgstr "SHOWBAND(<BandName>)/Показывает имя поля <BandName> в отчёте."
-
-#: lr_const.sdescriptionstopreport
-#| msgid "STOPREPORT/Terminate create report"
-msgid "STOPREPORT/Terminate report creation."
-msgstr "STOPREPORT/Прерывает создание отчёта."
-
 #: lr_const.sdescriptionstr
 msgid "STR(<Value>)/Converts the given (numeric) <Value> in string."
 msgstr "STR(<Value>)/Преобразует заданное числовое значение <Value> в строковое представление."
@@ -503,8 +457,9 @@
 msgstr "Отчёт:"
 
 #: lr_const.sdocautor
-#| msgid "Autor"
-msgid "Author"
+#, fuzzy
+#| msgid "Author"
+msgid "Autor"
 msgstr "Автор"
 
 #: lr_const.sdocbuild
@@ -528,8 +483,9 @@
 msgstr "Комментарии"
 
 #: lr_const.sdocoptformkeywords
-#| msgid "Keys words"
-msgid "Keywords"
+#, fuzzy
+#| msgid "Keywords"
+msgid "Keys words"
 msgstr "Ключевые слова"
 
 #: lr_const.sdocoptformopt
@@ -618,8 +574,9 @@
 msgstr "Ошибка"
 
 #: lr_const.serroroccured
-#| msgid "An error occured during calculating"
-msgid "An error occurred during calculation"
+#, fuzzy
+#| msgid "An error occurred during calculation"
+msgid "An error occured during calculating"
 msgstr "Во время подсчёта произошла ошибка"
 
 #: lr_const.sevformcapt
@@ -665,10 +622,6 @@
 msgid "Insert DB field"
 msgstr "Вставить поле БД"
 
-#: lr_const.sfilenotfound
-msgid "File not found"
-msgstr "Файл не найден"
-
 #: lr_const.sfilter
 msgid "Filter properties"
 msgstr "Фильтр свойств"
@@ -839,10 +792,6 @@
 msgid "Force new page"
 msgstr "С новой страницы"
 
-#: lr_const.sfrdesignerdatainsp
-msgid "Data inspector"
-msgstr "Инспектор данных"
-
 #: lr_const.sfrdesignerexists
 msgid "You already have one TfrDesigner component"
 msgstr "Экземпляр компонента TfrDesigner уже имеется"
@@ -1162,10 +1111,6 @@
 msgid "C&ut"
 msgstr "&Вырезать"
 
-#: lr_const.sfrdesignerform_datainsp
-msgid "&Data inspector"
-msgstr "Инспектор &данных"
-
 #: lr_const.sfrdesignerform_delete
 msgid "&Delete"
 msgstr "&Удалить"
@@ -1311,6 +1256,10 @@
 msgid "Variables &list ..."
 msgstr "Сп&исок переменных ..."
 
+#: lr_const.sfrferror
+msgid "Unsupported FRF format"
+msgstr ""
+
 #: lr_const.sfrom
 msgid "from"
 msgstr "из"
@@ -1319,10 +1268,6 @@
 msgid "FR variables"
 msgstr "Переменные FR"
 
-#: lr_const.sfunctions
-msgid "Functions"
-msgstr "Функции"
-
 #: lr_const.sgeditorformcapt
 msgid "Picture"
 msgstr "Изображение"
@@ -1431,14 +1376,6 @@
 msgid "Insert CheckBox object"
 msgstr "Вставить объект CheckBox"
 
-#: lr_const.sinsert
-msgid "Insert"
-msgstr "Вставить"
-
-#: lr_const.sinsertexpression
-msgid "Insert Expression"
-msgstr "Вставить выражение"
-
 #: lr_const.sinsertfields
 msgid "Insert DB fields"
 msgstr "Вставить поля БД"
@@ -1472,8 +1409,9 @@
 msgstr "&Вертикальное"
 
 #: lr_const.sinsroundrect
-#| msgid "Insert an RoundRect with shadow area"
-msgid "Insert a RoundRect with shadow area"
+#, fuzzy
+#| msgid "Insert a RoundRect with shadow area"
+msgid "Insert an RoundRect with shadow area"
 msgstr "Вставить прямоугольник со скруглёнными углами (RoundRect) и областью тени"
 
 #: lr_const.sinsshape
@@ -1480,26 +1418,6 @@
 msgid "Insert Shape object"
 msgstr "Вставить объект-фигуру"
 
-#: lr_const.sinterpretator
-msgid "Interpretator"
-msgstr "Интерпретатор"
-
-#: lr_const.sinvalidfrfreport
-msgid "Invalid binary report"
-msgstr "Неверный двоичный отчёт"
-
-#: lr_const.sinvalidfrfversion
-msgid "Invalid report version"
-msgstr "Некорректная версия отчёта"
-
-#: lr_const.sinvalidlrfreport
-msgid "Invalid report format"
-msgstr "Некорректный формат отчёта"
-
-#: lr_const.sinvalidvariablename
-msgid "\"%s\" is not a valid variable name."
-msgstr "\"%s\" не является корректным именем переменной."
-
 #: lr_const.skeepaspectratio
 msgid "Keep aspect ratio"
 msgstr "Сохранять соотношение сторон"
@@ -2215,8 +2133,9 @@
 msgstr "&Вся страница"
 
 #: lr_const.sprintererror
-#| msgid "Printer selected is not valid"
-msgid "Selected printer is not valid"
+#, fuzzy
+#| msgid "Selected printer is not valid"
+msgid "Printer selected is not valid"
 msgstr "Выбран некорректный принтер"
 
 #: lr_const.sprintformall
@@ -2223,10 +2142,6 @@
 msgid "&All"
 msgstr "&Все"
 
-#: lr_const.sprintformcollate
-msgid "Collate"
-msgstr "Разобрать по копиям"
-
 #: lr_const.sprintformcopy
 msgid "&Copies:"
 msgstr "&Копии:"
@@ -2278,22 +2193,21 @@
 msgstr "Файл очёта"
 
 #: lr_const.sreportcreatedate
-#| msgid "Report create date"
-msgid "Report creation date"
+#, fuzzy
+#| msgid "Report creation date"
+msgid "Report create date"
 msgstr "Дата создания отчёта"
 
 #: lr_const.sreportlastmodifydate
-#| msgid "Report last modify date"
-msgid "Report last modification date"
+#, fuzzy
+#| msgid "Report last modification date"
+msgid "Report last modify date"
 msgstr "Дата последнего изменения отчёта"
 
-#: lr_const.sreportloadingerror
-msgid "Error while loading report"
-msgstr "Ошибка при загрузке отчёта"
-
 #: lr_const.sreportpreparing
-#| msgid "Report preparing"
-msgid "Preparing report"
+#, fuzzy
+#| msgid "Preparing report"
+msgid "Report preparing"
 msgstr "Подготовка отчёта"
 
 #: lr_const.sroundrectformbegincolor
@@ -2324,13 +2238,14 @@
 msgid "Framed zone"
 msgstr "Зона фрейма"
 
-#: lr_const.sroundrectformgradient
-msgid "Gradient"
-msgstr "Градиент"
+#: lr_const.sroundrectformgradian
+msgid "Gradian"
+msgstr ""
 
 #: lr_const.sroundrectformhint
-#| msgid "Click here to define the shadow color or gradian colors"
-msgid "Click here to define the shadow color or gradient colors"
+#, fuzzy
+#| msgid "Click here to define the shadow color or gradient colors"
+msgid "Click here to define the shadow color or gradian colors"
 msgstr "Щёлкните здесь для задания цвета тени либо цветов градиента"
 
 #: lr_const.sroundrectformsample
@@ -2440,22 +2355,6 @@
 msgid "ASCII Text file"
 msgstr "Текстовый файл ASCII"
 
-#: lr_const.stimeformat1
-msgid "hh:nn:ss"
-msgstr "hh:nn:ss"
-
-#: lr_const.stimeformat2
-msgid "h:nn:ss"
-msgstr "h:nn:ss"
-
-#: lr_const.stimeformat3
-msgid "hh:nn"
-msgstr "hh:nn"
-
-#: lr_const.stimeformat4
-msgid "h:nn"
-msgstr "h:nn"
-
 #: lr_const.sto
 msgid "to"
 msgstr "в"
@@ -2464,10 +2363,6 @@
 msgid "Transparent"
 msgstr "Прозрачный"
 
-#: lr_const.sunabletoreadversion
-msgid "Unable to read report version"
-msgstr "Невозможно прочитать версию отчёта"
-
 #: lr_const.suntitled
 msgid "Untitled"
 msgstr "Безымянный"
@@ -2531,10 +2426,6 @@
 msgid "&Category:"
 msgstr "&Категория"
 
-#: lr_const.svariable
-msgid "Variable"
-msgstr "Переменная"
-
 #: lr_const.svbandeditorformbnd
 msgid "Bands"
 msgstr "Поля"
Index: components/lazreport/source/languages/lr_const.uk.po
===================================================================
--- components/lazreport/source/languages/lr_const.uk.po	(revision 46146)
+++ components/lazreport/source/languages/lr_const.uk.po	(working copy)
@@ -243,30 +243,10 @@
 msgid "Memo:"
 msgstr ""
 
-#: lr_const.sdateformat1
-msgid "mm.dd.yy"
-msgstr ""
-
-#: lr_const.sdateformat2
-msgid "mm.dd.yyyy"
-msgstr ""
-
-#: lr_const.sdateformat3
-msgid "d mmm yyyy"
-msgstr ""
-
-#: lr_const.sdateformat4
-msgid "d mmmm yyyy"
-msgstr ""
-
 #: lr_const.sdatetimecategory
 msgid "Date and time"
 msgstr "Дата та час"
 
-#: lr_const.sdbfield
-msgid "DB field"
-msgstr ""
-
 #: lr_const.sdefaultprinter
 msgid "Default printer"
 msgstr "Принтер за замовчуванням"
@@ -281,8 +261,8 @@
 
 #: lr_const.sdescriptioncount
 #, fuzzy
-#| msgid "COUNT(<BandName>)/Returns count of data-rows given in the <BandName>. "
-msgid "COUNT(<BandName>)/Returns count of data rows given in the <BandName>. "
+#| msgid "COUNT(<BandName>)/Returns count of data rows given in the <BandName>. "
+msgid "COUNT(<BandName>)/Returns count of data-rows given in the <BandName>. "
 msgstr "COUNT(<BandName>)/Повертає кількість рядків даних у <BandName>."
 
 #: lr_const.sdescriptiondayof
@@ -289,10 +269,6 @@
 msgid "DAYOF(<Date>)/Returns day number (1..31) of given <Date>."
 msgstr "DAYOF(<Date>)/Повертає номер дня (1..31) для заданої <Date>."
 
-#: lr_const.sdescriptiondec
-msgid "DEC(<Value>)/Decrement <Value>."
-msgstr ""
-
 #: lr_const.sdescriptionformatdatetime
 msgid "FORMATDATETIME(<Fmt>, <DateTime>)/Converts a <DateTime> value to a string using mask in <Fmt>."
 msgstr "FORMATDATETIME(<Fmt>, <DateTime>)/Перетворює значення <DateTime> в рядок, використовуючи маску <Fmt>."
@@ -309,14 +285,10 @@
 msgid "FRAC(<Value>)/Returns the fractional part of floating point <Value>."
 msgstr "FRAC(<Value>)/Повертає дробову частину дійсного значення <Value>."
 
-#: lr_const.sdescriptioninc
-msgid "INC(<Value>)/Increment <Value>."
-msgstr ""
-
 #: lr_const.sdescriptioninput
 #, fuzzy
-#| msgid "INPUT(<Caption> [,Default])/Shows dialog window with headstring <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
-msgid "INPUT(<Caption> [,Default])/Shows dialog window with title <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
+#| msgid "INPUT(<Caption> [,Default])/Shows dialog window with title <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
+msgid "INPUT(<Caption> [,Default])/Shows dialog window with headstring <Caption> and edit box. If [Default] parameter is set, puts this string in edit box. After user clicks OK, returns input string."
 msgstr "INPUT(<Caption> [,Default])/Виводить діалогове вікно з заголовком <Caption> і полем введення. Якщо задано параметр [Default], поміщає цей рядок у полі введення. Після натискання користувачем кнопки OK повертає введений рядок."
 
 #: lr_const.sdescriptionint
@@ -359,14 +331,6 @@
 msgid "NAMECASE(<String>)/Converts <String> symbols to lower case, and first symbol is in upper case."
 msgstr "NAMECASE(<String>)/Перетворює символи рядка <String> в нижній регістр, а перший символ - у верхній регістр."
 
-#: lr_const.sdescriptionnewcolumn
-msgid "NEWCOLUMN/Create new column on page for current report."
-msgstr ""
-
-#: lr_const.sdescriptionnewpage
-msgid "NEWPAGE/Create new page for current report."
-msgstr ""
-
 #: lr_const.sdescriptionpos
 msgid "POS(<SubString>, <String>)/Returns position of substring in given string."
 msgstr "POS(<SubString>, <String>)/Повертає позицію підрядка <SubString> в рядку <String>."
@@ -375,14 +339,6 @@
 msgid "ROUND(<Value>)/Rounds the floating point <Value> to nearest integer number."
 msgstr "ROUND(<Value>)/Округлює дійсне значення <Value> до найближчого цілого числа."
 
-#: lr_const.sdescriptionshowband
-msgid "SHOWBAND(<BandName>)/Show <BandName> in report."
-msgstr ""
-
-#: lr_const.sdescriptionstopreport
-msgid "STOPREPORT/Terminate report creation."
-msgstr ""
-
 #: lr_const.sdescriptionstr
 msgid "STR(<Value>)/Converts the given (numeric) <Value> in string."
 msgstr "STR(<Value>)/Перетворює задане числове значення <Value> в рядок."
@@ -505,8 +461,8 @@
 
 #: lr_const.sdocautor
 #, fuzzy
-#| msgid "Autor"
-msgid "Author"
+#| msgid "Author"
+msgid "Autor"
 msgstr "Автор"
 
 #: lr_const.sdocbuild
@@ -531,8 +487,8 @@
 
 #: lr_const.sdocoptformkeywords
 #, fuzzy
-#| msgid "Keys words"
-msgid "Keywords"
+#| msgid "Keywords"
+msgid "Keys words"
 msgstr "Ключові слова"
 
 #: lr_const.sdocoptformopt
@@ -622,8 +578,8 @@
 
 #: lr_const.serroroccured
 #, fuzzy
-#| msgid "An error occured during calculating"
-msgid "An error occurred during calculation"
+#| msgid "An error occurred during calculation"
+msgid "An error occured during calculating"
 msgstr "Під час обчислення сталася помилка"
 
 #: lr_const.sevformcapt
@@ -669,10 +625,6 @@
 msgid "Insert DB field"
 msgstr "Вставити поле БД"
 
-#: lr_const.sfilenotfound
-msgid "File not found"
-msgstr ""
-
 #: lr_const.sfilter
 msgid "Filter properties"
 msgstr "Фільтр властивостей"
@@ -843,10 +795,6 @@
 msgid "Force new page"
 msgstr "З нової сторінки"
 
-#: lr_const.sfrdesignerdatainsp
-msgid "Data inspector"
-msgstr ""
-
 #: lr_const.sfrdesignerexists
 msgid "You already have one TfrDesigner component"
 msgstr ""
@@ -1166,10 +1114,6 @@
 msgid "C&ut"
 msgstr "Ви&різати"
 
-#: lr_const.sfrdesignerform_datainsp
-msgid "&Data inspector"
-msgstr ""
-
 #: lr_const.sfrdesignerform_delete
 msgid "&Delete"
 msgstr "Ви&далити"
@@ -1315,6 +1259,10 @@
 msgid "Variables &list ..."
 msgstr "Список &змінних ..."
 
+#: lr_const.sfrferror
+msgid "Unsupported FRF format"
+msgstr ""
+
 #: lr_const.sfrom
 msgid "from"
 msgstr "з"
@@ -1323,10 +1271,6 @@
 msgid "FR variables"
 msgstr "Змінні FR"
 
-#: lr_const.sfunctions
-msgid "Functions"
-msgstr ""
-
 #: lr_const.sgeditorformcapt
 msgid "Picture"
 msgstr "Зображення"
@@ -1435,14 +1379,6 @@
 msgid "Insert CheckBox object"
 msgstr "Вставити об'єкт CheckBox"
 
-#: lr_const.sinsert
-msgid "Insert"
-msgstr ""
-
-#: lr_const.sinsertexpression
-msgid "Insert Expression"
-msgstr ""
-
 #: lr_const.sinsertfields
 msgid "Insert DB fields"
 msgstr "Вставити поля БД"
@@ -1477,8 +1413,8 @@
 
 #: lr_const.sinsroundrect
 #, fuzzy
-#| msgid "Insert an RoundRect with shadow area"
-msgid "Insert a RoundRect with shadow area"
+#| msgid "Insert a RoundRect with shadow area"
+msgid "Insert an RoundRect with shadow area"
 msgstr "Вставити заокруглений прямокутних з областю тіні"
 
 #: lr_const.sinsshape
@@ -1485,26 +1421,6 @@
 msgid "Insert Shape object"
 msgstr "Вставити об'єкт-фігуру"
 
-#: lr_const.sinterpretator
-msgid "Interpretator"
-msgstr ""
-
-#: lr_const.sinvalidfrfreport
-msgid "Invalid binary report"
-msgstr ""
-
-#: lr_const.sinvalidfrfversion
-msgid "Invalid report version"
-msgstr ""
-
-#: lr_const.sinvalidlrfreport
-msgid "Invalid report format"
-msgstr ""
-
-#: lr_const.sinvalidvariablename
-msgid "\"%s\" is not a valid variable name."
-msgstr ""
-
 #: lr_const.skeepaspectratio
 msgid "Keep aspect ratio"
 msgstr "Зберегти пропорції"
@@ -2221,8 +2137,8 @@
 
 #: lr_const.sprintererror
 #, fuzzy
-#| msgid "Printer selected is not valid"
-msgid "Selected printer is not valid"
+#| msgid "Selected printer is not valid"
+msgid "Printer selected is not valid"
 msgstr "Вибраний невірний принтер"
 
 #: lr_const.sprintformall
@@ -2229,10 +2145,6 @@
 msgid "&All"
 msgstr "&Всі"
 
-#: lr_const.sprintformcollate
-msgid "Collate"
-msgstr ""
-
 #: lr_const.sprintformcopy
 msgid "&Copies:"
 msgstr "&Копії:"
@@ -2284,21 +2196,17 @@
 msgstr "Файл звіту"
 
 #: lr_const.sreportcreatedate
-msgid "Report creation date"
+msgid "Report create date"
 msgstr ""
 
 #: lr_const.sreportlastmodifydate
-msgid "Report last modification date"
+msgid "Report last modify date"
 msgstr ""
 
-#: lr_const.sreportloadingerror
-msgid "Error while loading report"
-msgstr ""
-
 #: lr_const.sreportpreparing
 #, fuzzy
-#| msgid "Report preparing"
-msgid "Preparing report"
+#| msgid "Preparing report"
+msgid "Report preparing"
 msgstr "Підготовка звіту"
 
 #: lr_const.sroundrectformbegincolor
@@ -2329,14 +2237,14 @@
 msgid "Framed zone"
 msgstr "Зона фрейма"
 
-#: lr_const.sroundrectformgradient
-msgid "Gradient"
+#: lr_const.sroundrectformgradian
+msgid "Gradian"
 msgstr ""
 
 #: lr_const.sroundrectformhint
 #, fuzzy
-#| msgid "Click here to define the shadow color or gradian colors"
-msgid "Click here to define the shadow color or gradient colors"
+#| msgid "Click here to define the shadow color or gradient colors"
+msgid "Click here to define the shadow color or gradian colors"
 msgstr "Клацніть тут щоб задати колір тіні або кольори градієнта"
 
 #: lr_const.sroundrectformsample
@@ -2446,22 +2354,6 @@
 msgid "ASCII Text file"
 msgstr "Текстовий файл ASCII"
 
-#: lr_const.stimeformat1
-msgid "hh:nn:ss"
-msgstr ""
-
-#: lr_const.stimeformat2
-msgid "h:nn:ss"
-msgstr ""
-
-#: lr_const.stimeformat3
-msgid "hh:nn"
-msgstr ""
-
-#: lr_const.stimeformat4
-msgid "h:nn"
-msgstr ""
-
 #: lr_const.sto
 msgid "to"
 msgstr "до"
@@ -2470,10 +2362,6 @@
 msgid "Transparent"
 msgstr "Прозорий"
 
-#: lr_const.sunabletoreadversion
-msgid "Unable to read report version"
-msgstr ""
-
 #: lr_const.suntitled
 msgid "Untitled"
 msgstr "Без_назви"
@@ -2537,10 +2425,6 @@
 msgid "&Category:"
 msgstr "&Категорія:"
 
-#: lr_const.svariable
-msgid "Variable"
-msgstr ""
-
 #: lr_const.svbandeditorformbnd
 msgid "Bands"
 msgstr "Поля"
help.diff (176,376 bytes)   

Reinier Olislagers

2014-09-07 08:47

developer   ~0076948

Sorry, forgot. Attached patch fixes the problem:
* LHelp: remove debug info in default mode, strip. There is a debug build mode already present that can be used for debugging
* Replace fixed iteration # timeout in wait loop for getting response from lhelp with time based version (10 seconds): if lhelp doesn't respond within that time, it's unlikely the user will be able to use it effectively.
* lazhelpchm.pas: follow help protocol description already implemented in IDE help that uses processID in IPC name to minimize chance of conflict between multiple instances.
* Some additional debugln diagnostic logging
* LHelp demo package: separate instructions that user needs before running from background info
* Cosmetic changes, updated readme to follow naming/defaults for current Lazarus

Tested demo application as well as Lazarus IDE help.

Bart Broersma

2014-09-07 09:30

developer   ~0076950

Maybe I'm wrong, but there seem to be several unrelated .po changes in your patch?

Reinier Olislagers

2014-09-07 14:28

developer   ~0076956

Last edited: 2014-09-07 14:29

View 2 revisions

Sorry. Probably due to Laz changing .po files on build?!? TBH, I'm getting sick of having to svn revert .po files all the times before creating a patch.
Wouldn't it be possible to set up an svn hook that uses rstconv (or whatever is used) to regenerate the relevant .po files when committing whatever source files cause the regeneration?

Attached help2.diff.

Reinier Olislagers

2014-09-07 14:28

developer  

help2.diff (8,638 bytes)   
Index: components/chmhelp/README.txt
===================================================================
--- components/chmhelp/README.txt	(revision 46149)
+++ components/chmhelp/README.txt	(working copy)
@@ -35,20 +35,18 @@
     http://sourceforge.net/projects/freepascal/files/Documentation/
     the lcl.chm, rtl.chm, fcl.chm, prog.chm from
     http://www.stack.nl/~marcov/doc-chm.zip
-    or a daily snapshot from
-    ftp://freepascal.dfmk.hu/pub/lazarus/snapshots/
 
     HelpLabel Name and Tag do not need to be altered.
     The HelpLabel is the name of the named pipe that lazarus will use to communicate with lhelp.
 
-7 ) Configure the DataBases
+7 ) Configure the Databases
 
-    Choose the DataBases tab.
+    Choose the Databases tab.
 
     RTLUnits:
-    this should be "rtl.chm://"
+    Leave it empty to use the default: "rtl.chm://"
     FCLUnits:
-    this should be "fcl.chm://"
+    Leave it empty to use the default: "fcl.chm://"
 
     NOTE if you have only a single lcl-fcl-rtl.chm file then paths become:
     "lcl-fcl-rtl.chm://rtl/"
Index: components/chmhelp/democontrol/ctxchmhelpunit1.lfm
===================================================================
--- components/chmhelp/democontrol/ctxchmhelpunit1.lfm	(revision 46149)
+++ components/chmhelp/democontrol/ctxchmhelpunit1.lfm	(working copy)
@@ -7,10 +7,10 @@
   ClientHeight = 239
   ClientWidth = 359
   OnCreate = FormCreate
-  LCLVersion = '1.1'
+  LCLVersion = '1.3'
   object Edit1: TEdit
     Left = 71
-    Height = 25
+    Height = 21
     Top = 72
     Width = 225
     HelpType = htKeyword
@@ -20,7 +20,7 @@
   end
   object Edit2: TEdit
     Left = 71
-    Height = 25
+    Height = 21
     Top = 128
     Width = 224
     HelpType = htKeyword
@@ -30,7 +30,7 @@
   end
   object ShowHelpButton: TButton
     Left = 70
-    Height = 27
+    Height = 23
     Top = 20
     Width = 105
     AutoSize = True
Index: components/chmhelp/democontrol/ctxchmhelpunit1.pas
===================================================================
--- components/chmhelp/democontrol/ctxchmhelpunit1.pas	(revision 46149)
+++ components/chmhelp/democontrol/ctxchmhelpunit1.pas	(working copy)
@@ -7,13 +7,22 @@
 
   TLHelpConnector starts "lhelp" a chm viewer written in pure pascal.
 
+How to run this program
+    Make sure the example.chm file is created
+    You can create the example.chm with
+    ../../../tools/chmaker/chmmaker.lpi
+    (see the README.txt in the chmmaker directory).
+
+    Run the program.
+
+    Focus the edit field and press F1. lhelp will be started. lhelp will load
+    example.chm and shows the page MainPage.html.
+
 How was the example created:
     Put a TCHMHelpDatabase on a form.
     Set AutoRegister to true.
     Set KeywordPrefix to 'example'
     Set Filename to the path of the chm file '../../../tools/chmaker/example.chm'
-    You can create the example.chm with chmmaker (see the REDAME.txt
-    in the chmmaker directory).
 
     Put a TLHelpConnector on the form.
     Set AutoRegister to true.
@@ -22,10 +31,6 @@
     Put a TEdit on a form.
     Set HelpType to htKeyword
     Set HelpKeyword to 'example/MainPage.html'
-
-    Run the program.
-    Focus the edit field and press F1. lhelp will be started. lhelp will load
-    example.chm and shows the page MainPage.html.
 }
 unit CtxCHMHelpUnit1;
 
Index: components/chmhelp/lhelp/lhelp.lpi
===================================================================
--- components/chmhelp/lhelp/lhelp.lpi	(revision 46149)
+++ components/chmhelp/lhelp/lhelp.lpi	(working copy)
@@ -82,7 +82,6 @@
       <Unit1>
         <Filename Value="chmdataprovider.pas"/>
         <IsPartOfProject Value="True"/>
-        <UnitName Value="ChmDataProvider"/>
       </Unit1>
       <Unit2>
         <Filename Value="chmspecialparser.pas"/>
@@ -113,7 +112,6 @@
       <Unit7>
         <Filename Value="chmcontentprovider.pas"/>
         <IsPartOfProject Value="True"/>
-        <UnitName Value="chmcontentprovider"/>
       </Unit7>
       <Unit8>
         <Filename Value="httpcontentprovider.pas"/>
@@ -141,6 +139,10 @@
       </Optimizations>
     </CodeGeneration>
     <Linking>
+      <Debugging>
+        <GenerateDebugInfo Value="False"/>
+        <StripSymbols Value="True"/>
+      </Debugging>
       <Options>
         <Win32>
           <GraphicApplication Value="True"/>
Index: components/chmhelp/lhelp/lhelpcore.pas
===================================================================
--- components/chmhelp/lhelp/lhelpcore.pas	(revision 46149)
+++ components/chmhelp/lhelp/lhelpcore.pas	(working copy)
@@ -540,6 +540,7 @@
     end;
     if (URL<>'') and (Res = Ord(srSuccess)) then
       AddRecentFile(Url);
+    debugln('Going to send TLHelpResponse code: '+inttostr(Res));
     SendResponse(Res);
     if MustClose then
     begin
Index: components/chmhelp/packages/help/lazhelpchm.pas
===================================================================
--- components/chmhelp/packages/help/lazhelpchm.pas	(revision 46149)
+++ components/chmhelp/packages/help/lazhelpchm.pas	(working copy)
@@ -184,8 +184,14 @@
   end;
 
   if Connection.ServerRunning = false then begin
-    IPCFile:=ExtractFileName(Application.ExeName);
-    IPCFile+='lhelpconnector';
+    // Use '_lhlpctl_' in case application developer uses SimpleIPC
+    // and also uses the exe name followed by the process ID.
+    // Follow help protocol specs defined in
+    // http://wiki.lazarus.freepascal.org/Help_protocol
+    // Use process id in order to avoid conflicts when multiple entries are running
+    IPCFile:=LowerCase(ExtractFileName(Application.ExeName))+
+      '_lhlpctl_'+
+      copy(inttostr(GetProcessID)+'00000',1,5);
     {$IFDEF Unix}
     if FileExistsUTF8('/tmp/'+IPCFile) then
       DeleteFileUTF8('/tmp/'+IPCFile);
Index: components/chmhelp/packages/help/lhelpcontrol.pas
===================================================================
--- components/chmhelp/packages/help/lhelpcontrol.pas	(revision 46149)
+++ components/chmhelp/packages/help/lhelpcontrol.pas	(working copy)
@@ -97,14 +97,24 @@
 { TLHelpConnection }
 
 function TLHelpConnection.WaitForMsgResponse: TLHelpResponse;
+const
+  // This value should be big enough to give any reasonable help system time to
+  // respond.
+  // If it does respond but takes longer, the delay should be irritating for the
+  // typical user so it then isn't fit for purpose.
+  TimeoutSecs=10;
 var
+  Iterations: integer;
   Stream: TStream;
-  WaitTime: Integer = 5000;
+  StartTime: TDateTime;
+  TimeOut: TDateTime;
 begin
   Result := srNoAnswer;
-  while WaitTime >= 0 do
+  TimeOut := EncodeTime(0,0,TimeOutSecs,0);
+  StartTime := Now;
+  while (Now-StartTime)<TimeOut do
   begin
-    Dec(WaitTime, 50);
+    Inc(Iterations);
     if fServerIn.PeekMessage(50, True) then
     begin
       Stream := fServerIn.MsgData;
@@ -114,6 +124,7 @@
     end;
     if Assigned(FProcessWhileWaiting) then FProcessWhileWaiting();
   end;
+  debugln('LHelpControl: WaitForMsgResponse: hit timeout ('+inttostr(TimeoutSecs)+')');
 end;
 
 function TLHelpConnection.SendMessage(Stream: TStream): TLHelpResponse;
@@ -215,6 +226,7 @@
       InheritHandles := false;
       ShowWindow:=swoShowNormal;
       CommandLine := Cmd;
+      debugln('LHelpControl: going to start help server by executing '+Cmd);
       Execute;
       Free;
     end;
@@ -243,7 +255,7 @@
     UrlRequest.FileRequest.FileName := HelpFileName+#0;
     UrlRequest.FileRequest.RequestType := rtURL;
     UrlRequest.Url := Url+#0;
-    Result:=srNoAnswer;
+    Result := srNoAnswer;
     try
       Stream.Write(UrlRequest,SizeOf(UrlRequest));
       Result := SendMessage(Stream);
Index: components/chmhelp/packages/idehelp/lazchmhelp.pas
===================================================================
--- components/chmhelp/packages/idehelp/lazchmhelp.pas	(revision 46149)
+++ components/chmhelp/packages/idehelp/lazchmhelp.pas	(working copy)
@@ -310,8 +310,8 @@
 function TChmHelpViewer.PassTheBuck(Node: THelpNode; var ErrMsg: string
   ): TShowHelpResult;
 var
- I: Integer;
- Viewer: THelpViewer;
+  I: Integer;
+  Viewer: THelpViewer;
 begin
   Result := shrViewerNotFound;
   ErrMsg := 'Attempted to find viewer for "'+ Node.URL + '" failed.';
@@ -522,7 +522,10 @@
 
   case Res of
     srSuccess: Result := shrSuccess;
-    srNoAnswer: Result := shrSuccess;
+    srNoAnswer: begin
+      Result := shrHelpNotFound;
+      ErrMsg := 'No answer from help viewer for URL '+URL;
+    end;
     srInvalidContext: begin
       Result := shrNone;
       ErrMsg := 'Invalid context showing '+URL;
help2.diff (8,638 bytes)   

Bart Broersma

2014-09-07 15:15

developer   ~0076957

Last edited: 2014-09-07 15:19

View 3 revisions

Yes, this can be annoying.

You could only do an svn diff of the folder (or files) you have been working on.
This however may not always be possible/practible.
In this case you could have done "svn diff components/chmhelp"

Sometimes svn revert, svn up helps resolving it.
If not, then someone has forgotten to commit the regenerated po files (so that's an error by some other dev probably)

Before creating the diff, do "svn -q status" (e.g. in lazarus root) to see what has changed.

Reinier Olislagers

2014-09-07 15:25

developer   ~0076958

Yes, I was aware of those thing, but...
"someone has forgotten to commit" Those errors occur A LOT. Would be easier to find some way to avoid the possibility of errors at all.

Mattias Gaertner

2014-09-07 17:50

manager   ~0076964

Hit the lazy committer A LOT.

Juha Manninen

2014-09-07 18:34

developer   ~0076965

Applied, thanks.

Reinier Olislagers

2014-09-08 06:59

developer   ~0076975

Thanks ehm... A LOT, everybody! ;)

Issue History

Date Modified Username Field Change
2012-07-22 08:57 Reinier Olislagers New Issue
2012-07-22 08:57 Reinier Olislagers Widgetset => Win32/Win64
2012-07-22 12:41 Mattias Gaertner Note Added: 0061183
2012-07-22 13:51 Reinier Olislagers Note Added: 0061184
2012-08-27 04:58 Reinier Olislagers Note Added: 0061927
2014-05-09 11:31 Reinier Olislagers Note Edited: 0061927 View Revisions
2014-05-09 11:31 Reinier Olislagers Tag Attached: lhelp
2014-09-05 09:48 Reinier Olislagers Note Added: 0076903
2014-09-05 09:50 Reinier Olislagers Tag Attached: chm
2014-09-06 14:47 Reinier Olislagers Tag Attached: patch
2014-09-06 14:48 Reinier Olislagers Note Added: 0076940
2014-09-06 17:55 Juha Manninen Note Added: 0076942
2014-09-07 08:47 Reinier Olislagers File Added: help.diff
2014-09-07 08:47 Reinier Olislagers Note Added: 0076948
2014-09-07 09:30 Bart Broersma Note Added: 0076950
2014-09-07 14:28 Reinier Olislagers Note Added: 0076956
2014-09-07 14:28 Reinier Olislagers File Added: help2.diff
2014-09-07 14:29 Reinier Olislagers Note Edited: 0076956 View Revisions
2014-09-07 15:15 Bart Broersma Note Added: 0076957
2014-09-07 15:17 Bart Broersma Note Edited: 0076957 View Revisions
2014-09-07 15:19 Bart Broersma Note Edited: 0076957 View Revisions
2014-09-07 15:25 Reinier Olislagers Note Added: 0076958
2014-09-07 17:50 Mattias Gaertner Note Added: 0076964
2014-09-07 18:11 Juha Manninen Assigned To => Juha Manninen
2014-09-07 18:11 Juha Manninen Status new => assigned
2014-09-07 18:34 Juha Manninen Fixed in Revision => r46156
2014-09-07 18:34 Juha Manninen LazTarget => -
2014-09-07 18:34 Juha Manninen Note Added: 0076965
2014-09-07 18:34 Juha Manninen Status assigned => resolved
2014-09-07 18:34 Juha Manninen Resolution open => fixed
2014-09-08 06:59 Reinier Olislagers Note Added: 0076975
2014-09-08 06:59 Reinier Olislagers Status resolved => closed
2015-05-02 15:24 Juha Manninen Relationship added related to 0027981